Maschinendefinition – Übersicht

Maschinendefinitionen stellen in Mastercam den Startpunkt für das Erzeugen von Bearbeitungsjobs dar. Bevor Sie in Ihrem Betrieb einen Bearbeitungsjob beginnen, entscheiden Sie normalerweise zuerst, auf welcher Maschine der Job gestartet werden soll und erstellen dann aufgrund der Funktionen und Fähigkeiten Ihrer Werkzeugmaschine den Job. In Mastercam wählen Sie vor der Werkzeugwegerzeugung eine Maschinendefinition aus. Die Maschinendefinition ist ein Modell der Leistungsmerkmale und Eigenschaften Ihrer Werkzeugmaschine und dient als Vorlage zum Einrichten von Bearbeitungsjobs.

Maschinendefinitionen verbinden drei Hauptkomponenten:

  • Ein schematisches Modell der Komponenten Ihrer Werkzeugmaschine (wie beispielsweise, welche Linear- und Rotationsachsen vorhanden sind), wie sie miteinander verbunden sind und kinematische Einstellungen, wie beispielsweise maximale Bewegungsgeschwindigkeiten. Diese sind im Maschinendefinitions-Manager eingestellt.

  • Eine Steuerungsdefinition, die die Fähigkeiten Ihrer Steuerungseinheit darstellt (formt). Diese liefert Daten, wie beispielsweise Toleranzen und NC-Formatierungsdaten, an den Postprozessor. Sie importiert außerdem Daten, wie beispielsweise Postprozessortext, Zusatztext und Zusatzwerte aus dem Postprozessor und exportiert diese in andere Bereiche von Mastercam. Verwenden Sie den Steuerungsdefinitions-Manager zum Definieren dieser Einstellungen.

  • Ein Verweis auf Ihren Postprozessor. Dies bedeutet, dass der Postprozessor automatisch ausgewählt wird, wenn Sie eine Maschinendefinition auswählen, um mit der Werkzeugwegerzeugung zu beginnen.

Hinweis: Die meisten Mastercam-Anwender benötigen nur eine Basis-Maschinendefinition. Dies ermöglicht schnelles Starten und Arbeiten, ohne Solidmodelle und andere Zusatzfunktionen erstellen/einstellen zu müssen.

Die Maschinendefinition in der aktiven Maschinengruppe des Werkzeugweg-Managers legt fest, welches Mastercam-Produkt in der Arbeitsumgebung aktiv ist. Wird zum Beispiel eine Fräsmaschinendefinition gewählt, wird Mastercam Fräsen aktiviert und im Menü „Werkzeugwege“ stehen die Fräswerkzeugwege zur Verfügung. Wenn auf demselben Teil Werkzeugwege für eine andere Maschine erzeugt werden sollen, müssen Sie die Maschine aus dem Menü Maschinentyp wählen, damit Mastercam eine neue Maschinengruppe anlegt.

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Auswählen eines Maschinentyps

  1. Wählen Sie im Menü „Maschinentyp“ den Typ der gewünschten Maschine. Die Maschinenliste wird daraufhin angezeigt.

  2. Wenn die gewünschte Maschine aufgelistet ist, wählen Sie sie aus. Mastercam lädt die gewählte Maschine und erzeugt im Werkzeugweg-Manager eine neue Maschinengruppe.

  3. Wenn die gewünschte Maschine nicht aufgelistet ist, gehen Sie folgendermaßen vor.

  1. Klicken Sie auf Listenverwaltung. Es erscheint daraufhin das Dialogfeld „Maschinendefinition – Menümanagement“.

  2. Klicken Sie auf die Schaltfläche Blättern.

    Das Dialogfeld „Ordner Suchen“ wird angezeigt.

  3. Navigieren Sie zum Ordner, der Ihre Maschinendefinitionen enthält und wählen Sie ihn aus. Im linken Fenster des Dialogfelds „Maschinendefinition - Menümanagement“ listet dann die verfügbaren Maschinen auf.

  4. Wählen Sie die gewünschte Maschinendefinition und klicken Sie auf Hinzu.

    Die gewählte Maschinendefinition wird daraufhin ins rechte Fenster des Dialogfelds verschoben.

  5. Klicken Sie auf OK. Mastercam fügt die gewählte Maschine der Liste der verfügbaren Maschinen hinzu.

  6. Wiederholen Sie die Schritte 1 und 2.

Siehe auch...

  • Ändern einer Maschinendefinition

  • Maschinendefinition – Übersicht

  • Anforderungen für Basis-Maschinendefinitionen


Erstellen einer Basis-Maschinendefinition

Gehen Sie in folgenden Schritten vor, um eine Maschinendefinition zu erstellen. Siehe Bearbeiten einer Maschinendefinition für eine Anleitung zum Ändern einer vorhandenen Maschinendefinition.

Bevor Sie beginnen:

  • Jede Maschinendefinition repräsentiert eine einzelne Werkzeugmaschine. Im Maschinendefinitions-Manager müssen Daten zu Vorschüben, Spindeldrehzahlen, Kühlmittel und anderen Parameter eingegeben werden. Halten Sie daher beim Erstellen einer Maschinendefinition die Dokumentation zu Ihrer Werkzeugmaschine bereit.

  • Die Maschinendefinition erfordert außerdem eine Steuerungsdefinition und einen Postprozessor. Stellen Sie sicher, dass diese Dateien auf Ihrem Mastercam-System zur Vervollständigung der Maschinendefinition zur Verfügung stehen. Wenden Sie sich bei weiteren Fragen zum Einrichten von Steuerungsdefinitionen oder Postprozessoren an Ihren Mastercam-Vertriebspartner.

  • Sie können eine neue Maschinendefinitionsdatei erstellen, indem Sie eine der in Mastercam enthaltenen Maschinendefinitionen anpassen. Klicken Sie dazu im Maschinendefinitions-Manager auf die Schaltfläche Speichern als (bzw. „Maschinendefinitionsdatei unter einem neuen Namen sichern“) und geben Sie der Datei eine neue Bezeichnung.

Klicken Sie unten auf die nachfolgenden Links, um die einzelnen Prozess-Schritte einzublenden.

  1. Erster Schritt

    1. Klicken Sie im Menü Einstellungen auf Maschinendefinition (Manager)....

    2. Wählen Sie den Maschinentyp, der erstellt werden soll, durch einen Mausklick auf die entsprechende Schaltfläche.

    Ist im Werkzeugweg-Manager eine Maschinengruppe aktiviert, wird die entsprechende Maschinendefinition automatisch im Maschinendefinitions-Manager geöffnet. Klicken Sie in der Symbolleiste auf die Schaltfläche „Neu“ („Datenbank leeren...“), um eine leere Maschinendefinition zu öffnen.

  2. Hinzufügen der Steuerungsdefinition und des Postprozessors

    1. Mit der Steuerungsdatei können ein oder mehrere Postprozessoren verknüpft sein. Klicken Sie im Bereich Postprozessor auf den Pfeil rechts neben der Datei-Dropdownliste, um den „Postprozessor“ zu wählen, der der Maschinendefinition hinzugefügt werden soll.

  3. Eingeben allgemeiner Bearbeitungsparameter

    `

    Klicken Sie in der Symbolleiste auf die Schaltfläche „Allgemeine Maschinenparameter ändern“, um das Dialogfeld „Allgemeine Maschinenparameter“ aufzurufen.

    Es enthält Parameter zur Steuerung von Achsenvorschüben und Begrenzungen (Limits), Kühlmittel, Maschinendynamik für die Highfeed-Bearbeitung und Drehen-spezifische Parameter für das Koordinatensystem.

  4. Platzieren von Komponentengruppen (Drehen)

    Jede Maschinendefinition, gleich welcher Typ, beginnt beim Maschinenbett. Bei Fräsmaschinendefinitionen sind dem Bett drei Komponentengruppen angefügt. In Drehen stehen zusätzliche Komponentengruppen zur Auswahl. Ziehen Sie die gewünschten Komponentengruppen mit der Maus in die Maschinenkonfigurationsstruktur.

  5. Hinzufügen von Komponenten und Eingeben ihrer Eigenschaften

    Fügen Sie diejenigen Komponenten in die Maschinendefinition ein, die zur Repräsentation der Konstruktionsweise der Maschine erforderlich sind. Die Beziehungen zwischen Komponenten und Gruppen und zwischen den Komponenten werden als „gleichwertig“ und „untergeordnet“ bezeichnet.

    • Gleichwertige Komponenten werden an dieselbe Komponente angefügt und können zusammen und unabhängig verschoben werden.

    • Eine untergeordnete Komponente wird an eine übergeordnete angefügt und zusammen mit dieser verschoben.

    • Eine Komponentengruppe kann nur eine untergeordnete Komponente direkt unter dieser in der Verzeichnisstruktur besitzen.

    Die Komponenten können auf folgende Weise hinzugefügt werden:

    • Klicken Sie mit der rechten Maustaste auf eine Komponente oder Gruppe und dann im Kontextmenü auf Komponente hinzu.

    • Ziehen Sie mit der Maus eine Komponente aus der Komponentenbibliothek auf die gewünschte Position in der Maschinenkonfigurationsstruktur.

    • Ziehen Sie mit der Maus eine vorhandene Komponente aus der Struktur auf eine neue Position. Dabei wird abgefragt, ob Sie die Komponente verschieben oder kopieren möchten.

    Klicken Sie doppelt auf eine Komponente, um ihr Eigeschaftsdialogfeld aufzurufen. Sie müssen für jede Komponente nur die Registerkarte Parameter für die Komponenten-Eigenschaften vervollständigen:

    Die Registerkarten Geometrie und Position/Orientierung auf der Maschine werden zur Unterstützung von Maschinensimulationsfunktionen verwendet. Falls Ihre Maschinendefinition Simulation unterstützen muss, klicken Sie hier, um weitere Informationen dazu aufzurufen.

  6. Erzeugen von Achsenkombinationen

    Achsenkombinationen sind erforderlich, wenn mehr als eine Komponente mit derselben Achsenbezeichnung vorhanden ist. Bei einer Doppelspindeldrehmaschine beispielsweise kommen beide Spindeln für die Z-Achse in Betracht. Mit Achsenkombinationen können Sie festlegen, welche Komponentensätze das Koordinatensystem für ein bestimmtes Teil definieren.

    • Die meisten Router und Fräsmaschinen haben nur eine einzelne Standard-Achsenkombination. . Diese wird automatisch für Sie erzeugt.

    • Achsenkombinationen werden meistens auf Drehmaschinen mit mehreren Spindeln und Revolvern verwendet.

    Klicken Sie hier, um weitere Informationen dazu aufzurufen.

  7. Speichern der Maschinendefinition

    Klicken Sie zum Speichern Ihrer Maschinendefinitionsdatei auf die Schaltfläche Speichern (bzw. „Aktuelle Maschinendefinition speichern“).

    Wichtig! Die einzige Möglichkeit, eine Maschinendefinitionsdatei zu erzeugen und zu speichern besteht in der Verwendung des Maschinendefinitions-Managers, wobei dieser über das Menü Einstellungen aufgerufen werden muss. Wenn Sie den Maschinendefinitions-Manager aus den Eigenschaften der Maschinengruppe heraus öffnen und eine Maschinendefinition ändern, werden die Änderungen nur in der lokalen Kopie der Maschinendefinition in der Teiledatei gespeichert.

    Wenn Sie eine Maschinendefinition über das Menü Einstellungen ändern und diese Maschine wird gerade in einer Maschinengruppe verwendet, werden Sie gefragt, ob die Maschinendefinition in der Maschinengruppe durch die aktualisierte ersetzt werden soll.

  8. Verwenden der Maschinendefinition in einer Teiledatei

    Laden Sie über das Menü Maschinentyp eine Fräs-, Dreh-, Router- oder Drahten-Maschinendefinition.

Siehe auch...

  • Ändern einer Maschinendefinition

  • Maschinendefinition – Übersicht

  • Anforderungen für Basis-Maschinendefinitionen

  • Auswählen eines Maschinentyps


Anforderungen für Basis-Maschinendefinitionen

Der Maschinendefinitions-Manager bietet viele leistungsstarke Funktionen und Optionen, mit denen Sie eine hochkomplexe Maschine erstellen können. Es eignen sich jedoch nicht alle dieser Funktionen für alle Anwendungen.

Alle Mastercam Produkte, außer Mill-Turn— einschließlich aller Fräsen-Level — erfordern nur eine einfache, parameterbasierte Maschinendefinition. Dies bedeutet, dass Sie keine Solidmodelle Ihrer Maschinenkomponenten erzeugen müssen. Diese Maschinendefinitionen unterstützen jedoch keine Maschinensimulation.

Basis-Maschinendefinitionen ermöglichen einen schnellen Start, ohne detaillierte Komponentenmodelle erstellen zu müssen. Sie können nach der Erzeugung Ihrer Basis-Maschinendefinition später sehr einfach Solidmodelle hinzufügen, falls sich Ihre Anforderungen ändern.

Alle Maschinendefinitionen müssen die folgenden minimalen Standards erfüllen:

  • Alle Linear- und Rotationsachen müssen in der Komponentenstruktur im Maschinendefinitions-Managers dargestellt sein. Die Richtungen und Bezeichnungen der Achsen müssen korrekt eingestellt sein.

Zusätzlich muss jede Komponentengruppe, die eine programmierbare Achse enthält, entweder eine Werkzeughalter-Komponente (wie z.B. eine Werkzeugspindel) oder eine Werkstückhalter-Komponente (wie z.B. ein Tisch oder eine Spannvorrichtung) enthalten.

  • In der Komponentenstruktur müssen außerdem Aggregat-Bearbeitungsköpfe und -Blöcke definiert sein.

  • Es muss mindestens eine Achsenkombination vorhanden sein. Achsenkombinationen informieren Mastercam darüber, durch welche Achsenkomponenten das Koordinatensystem für eine vorgegebene Operation definiert ist. Beispiel: Eine Zweispindel-Drehmaschine besitzt zwei mögliche Z-Achsen, je nachdem, welche Spindel in Gebrauch ist.

Die meisten 3-5-Achsen-Fräsmaschinen und -Router besitzen nur eine einzelne Standard-Achsenkombination:

Multi-Revolver- und Mehrspindel-Drehmaschinen besitzen normalerweise mehrere Achsenkombinationen, die individuell definiert werden müssen:

  • Sie müssen eine Steuerungsdefinition und einen Postprozessor auswählen. Es sollten alle Seiten Ihrer Steuerungsdefinition vollständig und überprüft worden sein, da viele Postprozessorvariablen direkt aus ihren Werten initialisiert werden.

Sie müssen für jede Komponente nur die Registerkarte Parameter für die Komponenten-Eigenschaften vervollständigen:

Die anderen Registerkarten werden von der Maschinensimulationsfunktion verwendet. (Sie werden außerdem durch die Dreh-Rohteil- und Peripherie-Komponenten benutzt. Klicken Sie hier, um weitere Informationen dazu aufzurufen.)

Die meisten der Allgemeinen Maschinenparameter sind optional. In einigen Registerkarten können Sie nützliche Voreinstellungen festlegen, wie z.B. Werkzeugbibliotheken und Konstruktionsebenen, während andere Einstellungen, wie Vorschubbegrenzungen und Achsen-Verfahrlimits, für Ihren Postprozessor als Parameterwerte zur Verfügung stehen.

  • Anwender von Mastercam-Fräsen, die die Highfeed-Bearbeitungsfunktionen verwenden wollen, müssen die Registerkarte Maschinendynamik ausfüllen:

  • Anwender von Mastercam-Drehen, die eine Standard-KEbene oder ein Standard-WKS einstellen oder eine vertikale Revolverdrehmaschine programmieren wollen, müssen diese Aktionen auf der Registerkarte KEbene, WKS, HTC/VTL vornehmen:

.

Siehe auch...

  • Erstellen einer Maschinendefinition

  • Ändern einer Maschinendefinition

  • Maschinendefinition – Übersicht


Maschinendefinitions-Manager

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Maschinendefinitionen stellen den ersten Schritt beim Programmieren Ihres Teiles dar. Im Maschinendefinitions-Manager fügen Sie Maschinenkomponenten zusammen, stellen Maschinen- und Komponenteneigenschaften ein und wählen eine Steuerungsdefinition und einen Postprozessor aus. Nachdem Sie eine Maschinendefinition erzeugt und gewählt haben, können Sie mit der Erstellung von Werkzeugwegoperationen für die Maschine beginnen.

Im Fenster Maschinenkonfiguration ist ein schematisches Modell Ihrer Werkzeugmaschine dargestellt. Die einzelnen Komponenten und Komponentengruppen sind in einer Verzeichnisstruktur angeordnet.

  • Klicken Sie zum Hinzufügen neuer Komponenten oder zum Einstellen von Eigenschaften einzelner Komponenten mit der rechten Maustaste in die Verzeichnisstruktur.

  • Komponenten und Gruppen fügen Sie hinzu, indem Sie sie aus den anderen Fenstern herüberziehen.

  • Markieren Sie die Kontrollkästchen vor den Komponenten, um sie für eine Simulation auszuwählen.

Steuerungsdefinitionen und Postprozessoren

Die Maschinendefinition ist fester Bestandteil der Steuerungsdefinition und des Postprozessors.

  • Die Steuerungsdefinition liefert dem Postprozessor Daten über den Funktionsumfang und die Anforderungen Ihrer Steuerung. Sie initialisiert viele NC-Einstellungen und Postprozessorvariablen.

  • Die Steuerungsdefinition informiert Mastercam darüber, welche Postprozessoren für diese Maschine konfiguriert wurden. (Die meisten Maschinen- und Steuerungsdefinitionen sind nur für einen einzelnen Postprozessor konfiguriert.)

  • Wählen Sie zuerst die Steuerungsdefinition. Wählen Sie dann einen der zugelassenen Postprozessoren.

Symbolleiste des Maschinendefinitions-Managers

Mit den Schaltflächen der Symbolleiste können folgende Aktionen ausgeführt werden:

  • Ausführen von Basisfunktionen, wie beispielsweise das Öffnen und Speichern Ihrer Maschinendefinitionen und das Einrichten eines entsprechenden Kennwortschutzes.

  • Einstellen von Eigenschaften, die die gesamte Maschine betreffen.

  • Öffnen erweiterter Simulations- und Programmierfunktionen.

Klicken Sie oben auf die Registerkarte „Felddefinitionen“, um Informationen zu den einzelnen Schaltflächen aufzurufen.

Hinweise:

  • Der Maschinendefinitions-Manager besitzt viele Funktionen und Features zur Unterstützung erweiterter Maschinendefinitionen für die Simulation und Mastercam Mill-Turn. Wenn Sie diese Funktionen nicht verwenden, betreffen Sie viele Maschinendefinitions-Features nicht und können ignoriert werden.

  • Der Maschinendefinitions-Manager kann nur diejenigen Maschinentypen öffnen, die mit den von Ihnen erworbenen Mastercam-Produkten assoziiert sind und auf Ihrem SIM aktiviert sind. Wenden Sie sich für Informationen zum Erwerb der Software bitte an Ihren Mastercam Vertriebspartner.

Optionen des Kontextmenüs

In drei Fenstern des Maschinendefinitions-Managers können Sie Kontextmenüs aufrufen:

Unbenutzte Komponentengruppen: Enthält die Komponentengruppen, die (noch) nicht in die Maschinenkonfigurationsstruktur eingefügt wurden. Drücken Sie die rechte Maustaste, um die Komponenten als Icons (Symbole) oder als Liste anzeigen zu lassen.

Komponentenbibliothek: In diesem Fenster werden die verfügbaren Komponenten der aktuellen Bibliothek angezeigt. Drücken Sie darin die rechte Maustaste, um die Darstellungsart der Komponenten und die Sortiermethode der Liste zu ändern.

Verzeichnisstruktur der Maschinenkonfiguration: Dieses Fenster enthält die Komponentengruppen und Komponenten der aktuellen Maschinendefinition. Klicken Sie zum Ändern der Maschinenkonfigurationsstruktur mit der rechten Maustaste auf eine Komponente oder Gruppe. Zusätzlich können Sie über das Kontextmenü die Anzeige der Struktur auf- oder zuklappen, die Größe der Komponenten-Icons ändern und Komponenten umbenennen oder löschen.

Was möchten Sie tun?

  • Einen Maschinentyp wählen

  • Eine Maschinendefinition erstellen

  • Eine Maschinendefinition ändern

  • Hinzufügen von Geometrie zu einer Maschinendefinition

  • Einer Maschinendefinition einen Arbeitsbereich zuweisen

  • Eine Standard-Maschinendefinition festlegen

Weitere Informationen zu...

  • Maschinendefinition – Übersicht

  • Steuerungsdefinitionen und Postprozessoren

  • Maschinen-Komponenten, Komponentengruppen und Bibliotheken

  • Metrische und Inch-Maschinendefinitionen


Registerkarte &bdquo;OP Vorschubbegrenzungen, Achsenbewegung“ (Allgemeine Maschinenparameter)

Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“ (Allgemeine Maschinenparameter)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Die allgemeinen Maschinenparameter sind globale Einstellungen für die Maschinendefinition. Definieren Sie auf dieser Registerkarte die Vorschublimits für Werkzeugwege und Optionen für Rotationsbewegungen auf 5-Achsen-Maschinen.

Vorschublimits

Diese Vorschublimits (bzw. Vorschubbegrenzungen) repräsentieren den interpolierten Vorschub, wenn in mehreren Achsen gleichzeitig verfahren wird. Mit Hilfe dieser Vorschublimits werden die Vorschubwerte aller Fräs-, Dreh-, Router- und Draht-Operationen begrenzt, so dass keine höheren Werte eingegeben werden können.

Zeitvorschubratenlimits umkehren

Die Werte in diesen Feldern limitieren die Min. und Max. Gegen-Vorschübe. Gegen-Vorschübe definieren die Zeit, die das Werkzeug zum Fertigstellen einer vorgegebenen Linear-/Rotations- oder Bogenbewegung erfordert, statt die Geschwindigkeit, mit der das Werkzeug die Bewegung fertigstellt. Anders gesagt, Gegen-Vorschübe stellen eine Möglichkeit dar, den Vorschub als Quotient aus Vorschub und Abstand auszudrücken. In Mastercam ist dies durch die folgende Berechnung definiert:

Gegenvorschub (für Linearbewegungen) = „Vorschub von Mastercam“/Länge

Oder,

Gegenvorschub (für Rotationsbewegungen) = „Vorschub von Mastercam“/Durchmesser

Dies führt zu einem Vorschub, den die Maschinensteuerung direkt verwenden kann, um die Maschinenachsen streng nach der Zeit für die Bewegung zu verschieben, oder präziser: nach dem Kehrwert der Zeit der Bewegung. Falls Ihr Postprozessor und Ihre Steuerung Gegenvorschübe unterstützen, müssen Sie diese Limits einstellen, weil Zeitberechnungen für Gegenvorschübe dazu neigen, die Limits für Vorschübe zu überschreiten, die durch die Steuerung erlaubt sind.

5-Achsen - Rotationsbewegung

Wenn Sie eine 5-Achsen-Maschine definieren, stellen Sie auf dieser Registerkarte auch Rotationsbewegungsoptionen für den Postprozessor ein.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „Achsenvorschubbegrenzungen“

  • Registerkarte „Kühlmittelbefehle“

  • Registerkarte „WZ/Materialbibliotheken“

  • Registerkarte „Maschinendynamik“

  • KEbene / WEbene

  • Maschinendefinitions-Manager


Erzeugen einer Achsenkombination

Verwenden Sie in einer Maschinendefinition Achsenkombinationen für Werkzeugmaschinen mit mehreren Achsen (z.B. Drehmaschinen mit mehreren Spindeln/Revolvern). Dabei gelten folgende Regeln:

  • Jede Komponentengruppe muss entweder in einer Werkstück-Einspannkomponente (Maschinentisch oder Spannvorrichtung) oder einer Werkzeughalter-Komponente (Werkzeug- oder Routerspindel, Router Aufsatzspindel, Aggregat, Bohrkopf oder Revolver) enden.

  • Wählen Sie Achsen sowohl von einer Werkstück-Einspann- als auch von einer Werkzeughalter-Komponentengruppe.

  • Einer einzelnen Achsenkombination können nur je eine der X-, Y-, und Z-Linearachsenkomponenten und bis zu drei nicht achsparallele Rotationsachsen zugewiesen werden.

  • Achsenkombinationen können entweder in der Orginaldatei oder in der lokalen Kopie der Maschinendefinition erstellt werden.

  • Sie weisen auf der Seite Achsen-Kombinationen einer Operation eine Achsenkombination zu oder indem Sie auf der Registerkarte „Werkzeuge“ in den Operationsparametern auf die Schaltfläche Achsen-Kombinationen klicken.

Sie können optional jeder Achsenkombination voreingestellte Referenzpunkte und eine Werkzeugwechselposition zuweisen. Diese Postionen werden zu voreingestellten Positionen der jeweiligen Achsenkombination, wenn Sie sie für eine Operation wählen. In Drahten können Sie allen auf einer bestimmten Maschine erzeugten Drahtwegen eine voreingestellte Startposition zuweisen.

Gehen Sie zum Erzeugen einer Achsenkombination in folgenden Schritten vor:

  1. Klicken Sie im Maschinendefinitions-Manager auf die Schaltfläche Achsenkombinationen ändern [image].

  2. Klicken Sie im Dialogfeld Maschinen-Achsenkombinationen mit der rechten Maustaste in das Fenster Verwendete Komponenten und dann im Kontextmenü auf Alle öffnen, um alle Gruppen und Komponenten in der Maschinendefintion einzublenden.

  3. Klicken Sie mit der rechten Maustaste in den Bereich Achsenkombinationen und dann im Kontextmenü auf Neue Achsenkombination.

  4. Markieren Sie die neue Achsenkombination, drücken Sie die rechte Maustaste und wählen Sie die Kontextmenü-Option Selektierte Achsenkombination umbenennen. Geben Sie eine beschreibende Bezeichnung ein und drücken Sie [ENTER].

  5. Wählen Sie die Komponenten aus einer Werkstück-Einspanngruppe. Sobald diese Komponenten gewählt sind, blockiert Mastercam die Auswahl von Komponenten aus einer weiteren Werkstück-Einspanngruppe.

  6. Wählen Sie Komponenten aus einer Werkzeughaltergruppe, die mit der Werkstück-Einspanngruppe gepaart werden sollen. Mastercam speichert die Achsenkombination während Sie Ihre Auswahl treffen.

  7. Klicken Sie danach auf OK, um das Dialogfeld zu schließen. Die Abbildung unten zeigt ist eine Achsenkombination für eine Drehmaschine.

Siehe auch...

  • Werkzeugwechselpositionen und Referenzpunkte

  • Dialogfeld „Maschinen-Achsenkombinationen“

  • Maschinendefinitions-Manager


Registerkarte &bdquo;Kühlmittelbefehle“ (Allgemeine Maschinenparameter)

Registerkarte „Kühlmittelbefehle“ (Allgemeine Maschinenparameter)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Die allgemeinen Maschinenparameter sind globale Einstellungen für die Maschinendefinition.

Definieren Sie auf dieser Registerkarte Art und Funktionsweise der Kühlung für die Werkzeugmaschine. Diese Kühlmittelbefehle werden in der Werkzeugdefinition, auf der Registerkarte Werkzeuge, auf den Seiten „Kühlmittel“, Zusatztext und in der Funktion Punktänderung verwendet. Werkzeugdefinition,

Für eine einzelne Operation können mehrere Kühlmitteleinstellungen definiert werden. Bei einem langen Bohrer kann zum Beispiel „Werkzeug“- und „Strahl“-Kühlung erforderlich sein. Über die Kühlmitteleinstellungen können Sie auch andere Geräte wie einen Kompressor ansteuern. Zur Nutzung der Kühlmittelfunktionen muss Ihr Postprozessor angepasst werden.

WICHTIG! Einen Postprozessor so anzupassen, dass er neue Kühlmitelfunktionen unterstützt, ist eine anspruchsvolle Aufgabe, die nur von erfahrenen Postprozessorautoren durchgeführt werden sollte.

Kompatibilität für Mastercam V9 Postprozessoren

Markieren Sie das Kontrollkästchen Kühlmittel anhand der Werte im Postprozessor setzen, damit die Kühlung so funktioniert wie in Mastercam V9. Bei dieser Einstellung kann der Postprozessor ohne Änderung mit dem Zusatztextbereich arbeiten.

Wenn erster Kühlmittelbefehl = AUS, dann ALLE anderen auch aus

Markieren Sie dieses Kontrollkästchen, um alle Kühlmitteloptionen mit einem einzelnen „Aus“-Ereignis zu steuern. Diese Option ist automatisch deaktiviert, wenn Sie die Option für die Kompatibilität mit V9 Postprozessoren gewählt haben.

Aktivieren von Kühlmittelfunktionen

Jede Kühlmitteloption besitzt eine Ereignisbezeichnung: eine „Ereignis Ein“-Einstellung und eine „Ereignis Aus“-Einstellung. Befolgen Sie zum Aktivieren oder Deaktivieren der jeweiligen Option folgende Regeln:

Ereigniseintrag | Aktionen
““ zwei Anführungszeichen | Deaktiviert die Kühlmittelfunktion. Die Optionen Aktivieren/Deaktivieren sind deaktiviert, wenn das Ereignis deaktiviert ist.
Leeres Ereignisfeld | Aktiviert die Kühlmitteloption und fügt als Bezeichnung den werkseitig voreingestellten Text ein. Die Optionen Aktivieren/Deaktivieren können separat aktiviert werden.
Für ein Ereignis eingegebener Text | Aktiviert die Kühlmitteloption und fügt als Bezeichung den Text ein.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

  • Registerkarte „Achsenvorschubbegrenzungen“

  • Registerkarte „WZ/Materialbibliotheken“

  • Registerkarte „Maschinendynamik“

  • KEbene / WEbene

  • Maschinendefinitions-Manager

  • Dialogfeld „Kühlmittel“


Registerkarte &bdquo;WZ/Materialbibliotheken“ (Allgemeine Maschinenparameter)

Registerkarte „WZ/Materialbibliotheken“ (Allgemeine Maschinenparameter)

Wählen Sie auf dieser Registerkarte die voreingestellten WZ/Material-Bibliotheken, die mit der aktuellen Maschine verwendet werden sollen. Durch die Auswahl einer WZ-Bibliothek in der Maschinendefinition erhalten Sie bei jeder Werkzeugwegerzeugung einen leichten Zugang zu genau jenen Werkzeugen die mit der Maschine verwendet werden.

Verwenden Sie die Schaltfläche Ordner öffnen zur Auswahl der voreingestellten Bibliotheken und Kataloge der Maschine.

Markieren Sie das Kontrollkästchen Autom. Laden der Werkzeuge, wenn die Maschine in eine Maschinengruppe gelesen wird,

damit Mastercam automatisch Werkzeuge aus Operationen in der aktuellen Teile-Datei und zukünftigen Teile-Dateien, die Sie mit dieser Maschinendefinition öffnen, in die Maschine lädt. Wenn Sie die Maschine durch Drücken der Schaltfläche Replace auf der Seite „Dateien“ im Dialogfeld „Eigenschaften der Maschinengruppe“ in eine Maschinengruppe laden, werden alle Werkzeuge, die in Operationen in der Maschinengruppe verwendet werden, automatisch in die Maschine geladen. Alternativ dazu können Sie auf der Seite „Dateien“ des Dialogfelds „Eigenschaften der Maschinengruppe“ die Schaltfläche Werkzeuge in die Maschine laden (siehe roter Kreis unten) drücken.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

  • Registerkarte „Achsenvorschubbegrenzungen“

  • Registerkarte „Kühlmittelbefehle“

  • Registerkarte „Maschinendynamik“

  • KEbene / WEbene

  • Maschinendefinitions-Manager

  • Werkzeugbibliotheken

  • Arbeiten mit Materialien


Registerkarte &bdquo;Achsenvorschubbegrenzungen“ (Allgemeine Maschinenparameter)

Registerkarte „Achsenvorschubbegrenzungen“ (Allgemeine Maschinenparameter)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Die allgemeinen Maschinenparameter sind globale Einstellungen für die Maschinendefinition.

Stellen Sie auf dieser Registerkarte „Vorschubbegrenzungen“ (bzw. Vorschublimits) für Linear- und Rotationsachsen ein. Diese Begrenzungen werden dann im Dialogfeld „Maschinenkomponentenmanager - ...“ für die Achsen angezeigt, wenn Sie dort auf die Schaltfläche Von der Maschine klicken. Alle Vorschübe, die Sie in einem Achsen-Eigenschaften-Dialogfeld einstellen, überschreiben die auf dieser Registerkarte eingestellten Vorschubbegrenzungen.

Achsenvorschubbegrenzungen können auch durch eine Verwendung umgekehrter Vorschübe im Postprozessor programmiert werden, bei denen Sie die vom Werkzeug für eine bestimmte Strecke benötigte Zeit definieren.

Rufen Sie die Seite „Vorschub“ in der Steuerungsdefinition auf, um den Vorschubtyp für die Steuerung auszuwählen.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

  • Registerkarte „Kühlmittelbefehle“

  • Registerkarte „WZ/Materialbibliotheken“

  • Registerkarte „Maschinendynamik“

  • KEbene / WEbene

  • Maschinendefinitions-Manager


3-Achsen-Vertikalfräsmaschine – Beispiel

Die nachfolgend dargestellte Struktur der Maschinenkonfiguration formt eine 3-Achsen-Fräsmaschine. Die Achsen Y und X wurden in derjenigen Reihenfolge in die Konfigurationsstruktur eingefügt, in der sie mit der Maschinenbasis verbunden sind. Die Y-Achse ist mit der Maschinenbasis verbunden und die X-Achse mit der Y-Achse.

Eine Konfiguration für eine Fräsmaschine sieht immer eine Werkzeugwechsler-Gruppe vor. In diesem Fall wird die Werkzeugwechsler-Gruppe jedoch nicht verwendet.


Zuweisen eines Arbeitsbereichs zu einer Maschinendefinition

Ein Arbeitsbereich ist ein gespeichertes, personalisiertes Mastercam-Interaktions-Layout, wie beispielsweise Symbolleistenanzeigen, Grafikfenster-Kontextmenü-Optionen und Tastenkürzel, die häufig verwendeten Mastercam-Funktionen zugewiesen sind. Arbeitsbereiche können individuell angepasst werden, so dass regelmäßig bei Ihrer Arbeit verwendete Tools und Funktionen angezeigt werden können und nicht über Menüs aufgerufen werden müssen.

In Mastercam können Sie einen Arbeitsbereich in einer Maschinendefinition speichern. Markieren Sie unten im Maschinendefinitions-Manager das Kontrollkästchen Arbeitsbereich, um einen Arbeitsbereich in einer Maschinendefinitionsdatei zu speichern, und wählen Sie dann im Dropdownmenü einen Arbeitsbereich aus.

Wenn Sie (zur Werkzeugwegerzeugung) die Maschinendefinition einer Maschinengruppe zuweisen, wird der assoziierte Arbeitsbereich automatisch in das Mastercam-Fenster geladen. Wenn Sie beispielsweise eine 5-Achsen-Fräsmaschine definiert und den 5-Achsen-Werkzeugweg-Arbeitsbereich angepasst haben, können Sie den Arbeitsbereich in der 5-Achsen-Maschinendefinition speichern. Immer wenn Sie dann diese 5-Achsen-Maschinendefinition wählen, zeigt Mastercam automatisch den benutzerdefinierten Arbeitsbereich. Die in Maschinendefinitionen gespeicherten Arbeitsbereiche stehen bei einem Rechnerwechsel auch auf dem anderen Rechner für die jeweilige Maschine zur Verfügung.

Siehe auch...

  • Anpassen von Symbolleisten und Menüs

  • Maschinendefinitions-Manager


Einstellen der Standard-Maschinendefinition

Mastercam erlaubt das Definieren von zwei Standard-Maschinendefinitionstypen. Diese sind im Dialogfeld Systemkonfiguration eingestellt und in Ihrer *.config-Datei gespeichert.

Standard-Maschinendefinition für jeden Produkttyp

Dies ist die Maschine, die ausgewählt wird, wenn Sie im Menü Maschinentyp den Eintrag Voreinstellung wählen.

Klicken Sie in der Menüleiste auf Einstellungen, Konfiguration und wählen Sie die Seite Maschinen. Klicken Sie in der Mastercam-Registerkarte auf Konfiguration und wählen Sie (im Dialogfeld „Systemkonfiguration“) die Seite Maschinen. Wählen Sie die gewünschte Maschine für jedes Produkt:

Hinweis: Sie können die Schaltfläche Selektieren drücken (siehe unten), um zu einer Maschinendefinition zu gelangen, die nicht in den Dropdownlisten für die Maschinendefinitionen jedes Produkts angezeigt wird.

Mastercam verwendet diese Maschinendefinition in den folgenden Fällen:

  • Wenn Sie im Menü Maschinentyp einen Maschinentyp auswählen und dann auf Voreinstellung klicken.

  • Wenn Sie in der Menüleiste auf Datei, Neu klicken.

  • Wenn Sie ein Teil mit Werkzeugwegen aus einer Mastercam-Vorgängerversion importieren.

Hinweis: Falls die Standard-Maschine die Bearbeitung des importierten Teils nicht unterstützt— wenn es sich beispielsweise um ein 5-Achsen-Teil handelt und Sie haben eine 3-Achsen-Standard-Maschinendefinition gewählt— dann gibt Mastercam eine Meldung aus und ersetzt eine Mastercam-definierte Maschine.

Start-Maschinendefinition

Dies ist eine Maschinendefinition, die automatisch geladen wird, wenn Sie Mastercam starten. Mastercam erzeugt auf Basis der Start-Maschinendefinition automatisch eine Maschinengruppe. Klicken Sie zum Spezifizieren dieser Maschine in der Menüleiste auf Einstellungen, Konfiguration, wählen die Seite Start / Ende und dann ein entsprechendes Start-Produkt aus dem Dropdown-Menü.

Siehe auch...

  • Erzeugen einer Basis-Maschinendefinition

  • Maschinendefinition – Übersicht

  • Maschinendefinitions-Manager

  • Auswählen eines Maschinentyps


Metrische und Inch-Maschinendefinitionen

Wie alle Mastercam Teiledateien werden auch Maschinendefinitionsdateien entsprechend der beim Erstellen verwendeten Einheiten entweder als metrische oder Inch-Dateien erkannt. Daher weist eine Meldung darauf hin, dass die Einheit geändert wird, wenn Sie in der metrischen Einheit arbeiten und über den Maschinendefinitions-Manager eine Inch-Maschinendefinition öffnen:

Dies gilt allerdings nur, solange der Maschinendefinitions-Manager geöffnet ist. Wenn Sie die Maschinendefinition schließen, schaltet Mastercam auf die Einheit zurück, die bei der Arbeit an Ihrem Teil ursprünglich aktiv war. Die Einheit für Ihr Teil wurde nicht umgestellt.

Als Arbeitserleichterung stellt Mastercam Anwendern jeweils einen kompletten Satz an metrischen und Inch-Maschinendefinitionen zur Verfügung. So können Sie Maschinendefinitionen verwenden, die für die Einheit erzeugt wurden, mit der Sie normalerweise arbeiten. Von Vorteil ist dabei, dass Sie nun z.B. auch metrische Teile mit inch-Maschinendefinitionen bearbeiten können und umgekehrt.

Wenn Sie normalerweise in der metrischen Einheit arbeiten oder die „Werkzeugmaschinen-eigenen“ Maße metrisch sind, möchten Sie die Maschinendefinition möglicherweise als metrische Datei erzeugen, damit Sie bei jeder Änderung nicht jedes Mal aufgefordert werden, die Einheit zu ändern. Dies hat jedoch keinen Einfluss darauf, wie Ihre Teile bearbeitet werden. Jede Maschinendefinition enthält standardmäßig sowohl metrische als auch Inch-Parameterwerte, die von Mastercam automatisch verwendet werden, um Teile in beiden Einheiten zu bearbeiten.

Bitte befolgen Sie diese Anweisungen:

  • Wenn Sie die Zusatzapplikation „UpdatePost“ zur automatischen Erzeugung von Maschinendefinitionen verwenden, stellen Sie in Mastercam die gewünschte Einheit ein, bevor Sie „UpdatePost“ ausführen.

  • Sie müssen keine separaten metrischen und Inch-Versionen Ihrer Maschinendefinitionen erzeugen. Sie können eine inch-Maschinendefinition als Standard-Maschine in Ihrer metrischen *.config-Datei auswählen und umgekehrt. Wenn Sie nur eine Maschine haben, brauchen Sie nur eine Maschinendefinition dafür erzeugen.

  • Wenn Sie Teile-Geometrie in inch- oder der metrischen Einheit erzeugen möchten, wählen Sie im Dialogfeld „Systemkonfiguration“ die entsprechende *.config-Datei. Die aktive Maschinendefinition oder Maschinengruppe wirkt sich in keiner Weise auf die Einheit aus, in der Ihre Geometrie erzeugt wird.

Metrische und Inch-Steuerungsdefinitionen

Steuerungsdefinitionen und Postprozessoren sind keine Einheiten zugewiesen. Metrische und Inch-Maschinendefinitionen können jeweils dieselben Steuerungsdateien und Postprozessoren verwenden. Da sich die Steuerungsdefinition jedoch an der Position befindet, wo Sie die Voreinstellungsdatei wählen, die beim Auswählen einer Maschinendefinition automatisch geladen wird, installiert Mastercam separate Steuerungsdefinitionen, die auf metrische und Inch-Voreinstellungsdateien verweisen. Dies dient dazu, Ihre Arbeit zu erleichtern.

  • Sie können jede Steuerungsdefinition so konfigurieren, dass sie entweder auf eine metrische oder Inch-Voreinstellungsdatei verweist.

  • Auf der Registerkarte „Dateien“ des Dialogfeldes „Eigenschaften der Maschinengruppe“ für eine beliebige Maschinengruppe können Sie entweder eine metrische oder Inch-Voreinstellungsdatei (*.default) wählen.

Siehe auch...

  • Erstellen einer Maschinendefinition

  • Maschinendefinition – Übersicht

  • Maschinendefinitions-Manager


Maschinenkomponenten

Komponenten sind die elementaren Bausteine einer Maschinendefinition. Zu ihnen zählen Linear- und Rotationsachsen, Werkzeugspindeln, Tische, Spannfutter, Reiststöcke, Lünetten, Revolver, automatische Werkzeugwechsler, Aggregate, Blockbohrer und Mehrfachköpfe. Auch ein „Zusatz“-Typ (bzw. „Erweitert“) steht zur Verfügung, so dass Sie eine Komponente, wie beispielsweise eine Werkstück-Einspannvorrichtung, zur Maschinendefinition hinzufügen können.

Komponenten können in einer Komponentenbibliotheksdatei mit der Dateiendung *.GMD-7 gespeichert werden. Öffnen Sie Komponentenbibliotheken im Fenster Komponentendatei des Maschinendefinitions-Managers.

Komponenten können auf zweierlei Weise Ihrer Maschine hinzugefügt werden.

  • Öffnen Sie zum Hinzufügen einer Komponente aus einer Bibliothek die Bibliothek und ziehen Sie die Komponente aus dem Fenster Komponentendatei auf die geünschte Position in der Komponentenstruktur. Dies ermöglicht das Hinzufügen vordefinierter Komponenten, deren Eigenschaften bereits eingestellt sind.

  • Klicken Sie zum Erzeugen neuer Komponenten mit der rechten Maustaste in die Komponentenstruktur und wählen Sie die Kontextmenü-Option Komponente hinzu.

Vor dem Einfügen einer Komponente in die Maschinendefinition müssen Sie die Komponentengruppe definieren. Jeder Maschinentyp unterstützt einen vordefinierten Satz von Komponentengruppen. Jede Gruppe beschreibt eine Unterbaugruppe der Werkzeugmaschine, an die die Komponenten angefügt werden.

Fügen Sie die Komponenten in der Reihenfolge hinzu, die der Art entspricht, wie sie untereinander an der Werkzeugmaschine angefügt sind. Eine 3-Achsen Fräsmaschine kann zum Beispiel eine X-Achse besitzen, die mit dem Maschinenbett verbunden ist, eine Y-Achse, die mit der X-Achse verbunden ist und einen Tisch, der mit der Y-Achse verbunden ist. Diese Komponenten würden Sie, wie in der Abbildung rechts dargestellt, zum Maschinenbett hinzufügen:

Die meisten Komponenten besitzen Eigenschaftenseiten. Daten und Parameter, die bei den Komponenten-Eigenschaften einzugeben sind, müssen Sie in Ihrer Werkzeugmaschinen-Dokumentation nachschlagen. Klicken Sie zum Öffnen der Eigenschaften im Fenster „Maschinenkonfiguration“ doppelt auf eine Komponente oder klicken Sie dort mit der rechten Maustaste und wählen Sie dann die Kontextmenü-Option Eigenschaften. Die meisten Komponenten besitzen Parameter-, Geometrie- und Position/Orientierungs-Eigenschaften. Die Geometrie- oder Position/Orientierungs-Eigenschaften müssen normalerweise nur dann vervollständigt werden, wenn Sie eine Maschinensimulation verwenden.

Beziehungen zwischen Komponenten

Beim Hinzufügen von Komponenten zu einer Maschinendefinition können die Komponenten entweder gleichwertig (auf derselben Stufe) oder untergeordnet (auf der nächsttieferen Stufe) sein. Die erste Komponente in einer Komponentengruppe ist immer eine untergeordnete Einzelkomponente, die keine gleichwertigen Komponenten besitzen kann.

Klicken Sie zum Einblenden weiterer Informationen zu Eigenschaften der Komponenten auf die folgenden Links:

  • Linearachse

  • Rotationsachse

  • Spannvorrichtung

  • WZ-Spindel

  • Revolver

  • Autom. WZ-Wechsler

  • Blockbohrer

  • Aggregate

  • Router-Spindel und Router-Aufsatzspindel

Siehe auch...

  • Komponentengruppen

  • Erstellen einer Maschinendefinition

  • Ändern einer Maschinendefinition

  • Maschinendefinitions-Manager


Komponentengruppen

Bevor Sie einer Maschinendefinition eine Komponente hinzufügen, muss gegebenenfalls eine Komponentengruppe hinzugefügt werden. Jede Komponentengruppe stellt eine Unterbaugruppe der Werkzeugmaschine dar, an die die Komponenten angefügt werden. Komponentengruppen besitzen keine Eigenschaften. Sie fungieren als Aufnahmeort für die Maschinenkomponenten in der Maschinenkonfigurationsstruktur.

Beim Definieren einer Werkzeugmaschine fügen Sie eine Komponentengruppe in die Maschinenkonfigurationsstruktur ein, indem Sie die Komponentengruppe mit der Maus in die Verzeichnisstruktur ziehen und dort ablegen. Jede Komponentengruppe, die der Maschine hinzugefügt wurde, ist eine „Untergruppe“ der Maschinenbasis. Die Komponentengruppen sind in der Maschinenkonfigurationsstruktur einander gleichgeordnet, wie in der Abbildung unten zu sehen ist:

Hinzufügen einer Komponentengruppe

Gehen Sie nach einer der folgenden Methoden vor, um eine Komponentengruppe in eine Maschinendefinition einzufügen:

  • Ziehen Sie die Komponentengruppe mit der Maus auf die gewünschte Position in der Maschinenkonfigurationsstruktur und legen Sie sie dort ab.

  • Klicken Sie doppelt auf die Komponentengruppe, um sie am unteren Ende der Maschinenkonfigurationsstruktur einzufügen.

Sie können eine Komponentengruppe verschieben, indem Sie sie mit der Maus an eine Position in der Maschinenkonfigurationsstruktur ziehen.

Entfernen einer Komponentengruppe

  • Markieren Sie die Komponentengruppe, und drücken Sie die Taste [Entf]. Sie wird daraufhin in das Fenster Unbenutzte Komponentengruppen verschoben.

Jeder Maschinentyp unterstützt einen vordefinierten Satz von Komponentengruppen:

  • Fräsmaschinen unterstützen Tisch-, Spindel- und Werkzeugwechsel-Komponentengruppen. Diese Gruppen erscheinen automatisch in der Maschinenkonfigurationsstruktur, wenn Sie mit dem Aufbau einer neuen Fräsmaschinendefinition beginnen.

  • Drehmaschinen unterstützen linke und rechte Spindeln, Werkzeuggruppen für verschiedene Positionen, eine feste Werkzeuggruppe für Stufenwerkzeuge, eine Reitstockgruppe und eine Lünettengruppe.

  • Router (Holzbearbeitungsmaschinen) unterstützen eine Maschinentischgruppe, eine Routerkopfgruppe und eine Werkzeugwechselgruppe.

  • Drahterodiermaschinen unterstützen eine Drahterodiertischgruppe und eine Gruppe für die obere und eine für die untere Drahtführung.

Bei allen Maschinentypen muss jede Komponentengruppe entweder in einer Werkstück-Einspannkomponente (Maschinentisch oder Spannvorrichtung) oder einer Werkzeughalterkomponente (Werkzeug- oder Router-Spindel, Router-Aufsatzspindel, Aggregat, Blockbohrer, Revolver oder Drahtführung) enden..

Siehe auch...

  • Maschinenkomponenten

  • Erstellen einer Maschinendefinition

  • Ändern einer Maschinendefinition

  • Maschinendefinitions-Manager


Komponentenbibliotheken

Eine Komponentenbibliothek ist eine Datei mit vordefinierten Komponenten, die Sie für die Werkzeugmaschinen, die Sie definieren, eingerichtet haben. Für einige Werkzeugmaschinen können allgemeine Komponenten verwendet werden. Indem Sie eine Komponente in einer Bibliothek speichern, können Sie sie zu einer oder mehreren Maschinendefinitionen hinzufügen, ohne jedes Mal Komponenteneigenschaften einstellen zu müssen. Mastercam speichert Komponentenbibliotheken mit der Dateiendung *.GMD-7.

Öffnen einer Komponentenbibliothek

Sie können eine Komponentenbibliothek im Maschinendefinitions-Manager auf eine der folgenden Arten öffnen:

  • Öffnen Sie die Komponentenbibliothek, indem Sie im Dialogfeld CNC-Maschinentypen auf die Komponenten-Schaltfläche klicken. Dieses Dialogfeld wird angezeigt, wenn im Werkzeugweg-Manager keine Maschinengruppe vorhanden ist.

  • Klicken Sie im Maschinendefinitions-Manager auf die Schaltfläche „Maschinendefinition laden“, ändern Sie dann den Dateityp in *.GMD-7, und wählen Sie eine Komponentenbibliothek.

Hinweis: Die Felder Steuerungsdefinition und Postprozessor sind im Maschinendefinitions-Manager nicht verfügbar, wenn Sie eine Komponentenbibliothek bearbeiten. Einer Komponentenbibliothek kann weder eine Steuerungsdefinition noch ein Postprozessor zugewiesen werden.

Im Lieferumfang von Mastercam sind mehrere Komponentenbibliotheken enthalten. Die Bibliothek namens ALL COMPONENTS.GMD-7 enthält alle Komponentengruppen und Komponenten, die für jeden Maschinendefinitionstyp zur Verfügung stehen.

Hinweis: Wenn Sie den Maschinendefinitions-Manager nach dem Bearbeiten einer Komponentenbibliothek schließen und keinen Maschinentyp ausgewählt haben, wird die Bibliothek als aktuelle Maschine ausgewählt, weil sie zuletzt bearbeitet wurde. Klicken Sie in diesem Fall im Maschinendefinitions-Manager auf Maschinendefinition laden und ändern Sie dann den Dateityp in denjenigen Maschinentyp, mit dem Sie arbeiten wollen.

Erstellen Ihrer eigenen Komponentenbibliothek

Die Arbeit mit einer Komponentenbibliothek ist der mit einer Maschinendefinition ähnlich. Laden Sie zuerst die Komponentenbibliothek ALL COMPONENTS.GMD-7 in den Maschinendefinitions-Manager.

Wenn Sie Gruppen oder Komponenten zum Speichern in Ihre eigene Bibliothek einfügen wollen, ziehen Sie sie per „drag & drop“ (ziehen und ablegen) in die Maschinenkonfigurationsstruktur, so als wenn Sie eine Maschinendefinition erstellen. Wenn Sie Komponenten hinzugefügt und ihre Eigenschaften geändert haben, drücken Sie die Schaltfläche Maschinendefinitionsdatei unter einem neuen Namen sichern (Sichern als), um die Bibliotheksdatei mit der neuen Bezeichnung zu speichern.

Tipp: Wenn Sie eine Maschinendefinition erstellt haben und die Komponenten für eine erneute Verwendung in einer Bibliothek speichern möchten, öffnen Sie die Maschinendefinition, drücken dann die Schaltfläche Maschinendefinitionsdatei unter einem neuen Namen sichern (Sichern als), wählen GMD-7 als Dateityp, benennen die Bibliothek und speichern sie ab.

Laden von Komponenten aus einer Bibliothek

Wenn Sie den Maschinendefinitions-Manager aufrufen, zeigt Mastercam die Komponentenbibliothek im Fenster links unten im Bereich Komponentendatei an. Klicken Sie auf die Schaltfläche Öffnen..., um die gewünschte Komponentenbibliothek zu wählen.

Die in der Bibliothek gespeicherten Komponenten werden angezeigt. Sie können die Komponenten mit der Maus in die Maschinenkonfigurationsstruktur ziehen, um sie zum Bestandteil der Maschinendefinition zu machen.

Siehe auch...

  • Maschinenkomponenten

  • Komponentengruppen

  • Maschinendefinitions-Manager


Hinzufügen, Verschieben und Kopieren von Komponenten (Maschinendefinition)

Beim Erstellen einer Maschinendefinition können Sie mit der Maus Komponenten aus dem Fenster Komponentendatei in die Verzeichnisstruktur der Maschinenkonfiguration ziehen. Sie können außerdem in der Verzeichnisstruktur Komponenten von einer Position auf eine andere verschieben oder kopieren. Mastercam platziert die Komponente, fragt aber möglicherweise nach, ob sie zur Komponente darüber als gleichwertige oder untergeordnete Komponente hinzugefügt werden soll.

  • Gleichwertige Komponente hinzu – Platziert die Komponente auf derselben Stufe wie die untergeordnete Komponente der gewählten. Zwei gleichwertige Komponenten sind an dieselbe Komponente in der Werkzeugmaschine angefügt und können unabhängig voneinander verschoben werden.

  • Untergeordnete Komponente hinzu – Macht die neue Komponente zur alleinigen untergeordneten Komponente der gewählten. Alle untergeordneten Komponenten der gewählten werden zu untergeordneten Komponenten der neuen. Eine untergeordnete Komponente wird auf der Werkzeugmaschine an die Komponente darüber angefügt. Untergeordnete Komponenten müssen zusammen mit ihren übergeordneten Komponenten verschoben werden.

Weitere Informationen zu...

  • Maschinenkomponenten

  • Komponentengruppen


Dialogfeld &bdquo;Maschinenkomponentenmanager – Automatischer WZ-Wechsler“

Dialogfeld „Maschinenkomponentenmanager – Automatischer WZ-Wechsler“

Mit Hilfe dieses Dialogfelds können Sie einer Maschinendefinition einen automatischen Werkzeugwechsler als Komponente hinzufügen. Geben Sie dabei die Anzahl der WZ-Taschen (Stationen) im automatischen WZ-Wechsler und die für einen Werkzeugwechsel benötigte Zeit ein. Mastercam verwendet die Werkzeugwechselzeit bei der Berechnung eines Einstellblattes. Wählen Sie danach die passende „Indexmethode“ für den automatischen Werkzeugwechsler:

  • Kein Indexieren / Vorstufenwerkzeug Verwenden Sie diese Option, wenn kein automatischer WZ-Wechsler vorhanden ist oder wenn der automatische WZ-Wechsler nach dem Laden des aktuellen Werkzeugs das nächste Werkzeug in eine „Standby“-Position lädt.

  • Indexzeit minimieren Verwenden Sie diese Option für bidirektionale Automatische WZ-Wechsler.

  • Index nur in positiver Richtung/negativer Richtung Stellt die Indexrichtung für automatische Werkzeugwechsler ein, die nur in einer Richtung indexieren können. Positiv bezieht sich auf eine zunehmende Werkzeugstationsnummer, negativ auf eine abnehmende.


Registerkarte &bdquo;Geometrie“ (Werkzeug)

Registerkarte „Geometrie“ (Werkzeug)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Steuern Sie mit Hilfe dieser Registerkarte, wie das Werkzeug während seiner Simulation dargestellt wird. Werkzeug und Halter werden auf Basis des Profils, das in der Werkzeugdefinition gespeichert ist, als Rotationssolids gerendert.

  • Bestimmen Sie mit Hilfe der Toleranz, wie fein (kleiner Wert) oder grob (großer Wert) das Werkzeug während der Simulation gerendert wird.

Hinweis: Werkzeugkomponenten und diese Einstellungen sind nicht für alle Maschinendefinitionen erforderlich. Sie werden nur für die Maschinensimulation verwendet. Klicken Sie hier, um weitere Informationen über die Mindestanforderungen von Mastercam für Maschinendefinitionen aufzurufen. Diese informieren darüber, welche Eigenschaften Sie für Ihr Mastercam-Produkt definieren müssen.

Was möchten Sie tun?

  • Werkzeuge für die Simulation konfigurieren

Weitere Informationen zu...

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Werkzeuge“

Registerkarte „Werkzeuge“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Registerkarte können Werkzeugkomponenten konfiguriert werden. Eine Werkzeugkomponente übergibt Mastercam die Daten, die es zum Assoziieren einer Werkzeugdefinition aus einer Werkzeugbibliothek mit der Maschinendefinition erfordert, so dass das Werkzeug korrekt simuliert werden kann. Werkzeugkomponenten können auf drei Arten erzeugt werden:

  • Automatisch, wenn Sie die Simulationsfunktion starten.

  • Anhand der Funktion //Selektierte WZge in die Maschine laden//. Diese erzeugt automatisch Werkzeugkomponenten von Werkzeugen, die für Operationen ausgewählt wurden.

  • Indem Sie im Maschinendefinitions-Manager mit der rechten Maustaste auf eine Werkzeughalterkomponente klicken und im Kontextmenü Komponente hinzu, Werkzeug wählen. (Bei Fräsmaschinen fügen Sie das Werkzeug normalerweise einer Werkzeugspindel-Komponente und keiner WZ-Wechsler-Komponente hinzu.)

Hinweis: Der Zugriff auf Werkzeugkomponenten ist nur in der lokalen Kopie der Maschinendefinition und nicht in der Hauptkopie möglich. Das bedeutet, dass Sie den Maschinendefinitions-Manager vom Werkzeugweg-Manager aus aufrufen sollten und nicht über das Menü Einstellungen.

Auswählen der WZ-Definition

Anders als bei den meisten anderen Komponenten, bei denen Sie ein Solidmodell der Komponente erzeugen und speichern, verwendet Mastercam für Werkzeugkomponenten die Daten aus der Werkzeugdefinition zur Anzeige des Werkzeugs während der Simulation. Falls eine Werkzeugdefinition ein benutzerdefiniertes Profil beinhaltet, wird dieses Profil in der Simulation gerendert.

Sie können die Werkzeugdefinition entweder aus einer Werkzeugbibliothek oder einer aktiven Maschinengruppe wählen. Klicken Sie zur Werkzeugauswahl in der entsprechenden Gruppe auf die Wählen-Schaltfläche.

  • Wenn Sie ein Werkzeug aus einer Bibliothek wählen, lädt Mastercam eine Kopie der Werkzeugdefinition in die Maschinengruppe, so als wenn Sie ein Werkzeug für eine Operation auswählen.

  • Bei einer automatischen Erzeugung der Werkzeugkomponente wird die Werkzeugdefinition automatisch ausgewählt. Wenn Sie die Werkzeugkomponente manuell erstellen, müssen Sie sie selbst auswählen.

Ändern der Werkzeugdefinition

Drücken Sie die Schaltfläche WZ ändern, um Änderungen an den Werkzeugeigenschaften vorzunehmen. Alle Änderungen, die Sie durchführen, beeinflussen die Kopie der Werkzeugdefinition, die in der Maschinengruppe gespeichert ist. Falls das Werkzeug bereits in einem Werkzeugweg verwendet wird, können Ihre Änderungen eine Regenerierung des Werkzeugwegs erfordern.

Einstellen des Werkzeugs in seinen Revolver oder Werkzeugwechsler

Verwenden Sie nach Auswahl der Werkzeugdefinition den unteren Bereich, um anzugeben, wie das Werkzeug in seinen Werkzeugwechsler oder Revolver geladen wird. Mastercam aktiviert automatisch die Steuerungen für einen Werkzeugwechsler, Revolver oder Stufenwerkzeug, je nachdem, wie der Rest Ihrer Maschinendefinition eingerichtet ist. Geben Sie die Positionsnummer in das Feld ein oder drücken Sie die Schaltflächen, damit Mastercam die Berechnung übernimmt.

Hinweis: Werkzeugkomponenten sind nicht für alle Maschinendefinitionen erforderlich. Sie werden nur für die Maschinensimulation verwendet.

Was möchten Sie tun?

  • Werkzeuge für die Simulation konfigurieren

Weitere Informationen zu...

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Parameter“ (WZ-Spindel)

Registerkarte „Parameter“ (WZ-Spindel)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Komponente können Sie eine Spindel mit angetriebenem Werkzeug definieren. Diese Komponente kann für viele unterschiedliche Maschinentypen verwendet werden.

  • Die meisten Fräsmaschinen besitzen eine einzelne WZ-Spindel, angefügt an der Z-Achsen-Komponente. WZ-Spindeln können auch an Rotationsachsen angeschlossen werden.

  • Diese Komponente kann in gleicher Weise für Router wie auch für Fräsmaschinen verwendet werden. Router besitzen jedoch einen zusätzlichen Komponententyp, eine Routerspindel, die verwendet werden kann, wenn Sie zusammen mit der WZ-Spindel einen Versatz angeben müssen. Dies ist normalerweise der Fall, wenn die WZ-Spindel Teil eines Aggregat-Werkzeugkopfes oder -Blocks ist.

  • Sie können diese Komponente dazu verwenden, einen Kopf mit angetriebenen Werkzeugen für eine Dreh- oder Mill-Turn-Maschine zu definieren. Fügen Sie diese Komponente für diese Maschinen als untergeordnete Komponente eines Revolvers oder Stufenwerkzeugblocks hinzu.

  • Bei Multifunktions-Maschinen (wie z.B. eine Integrex) ist die WZ-Spindel häufig an einer B-Achsenkomponente angefügt.

Klicken Sie hier für ein Beispiel eines WZ-Setups (Werkzeugeinrichtung)

Durch die hier gezeigten Einstellungen wird das Werkzeug der unten angezeigten B-Achsen-Werkzeugspindel zugeordnet.

Ziehen Sie den Mauszeiger über die Abbildung, damit die WZ-Positionsvektoren deutlicher zu sehen sind.

Hinweis: Die WZ-Setup-Optionen werden nur für die Maschinensimulation verwendet.

Was möchten Sie tun?

  • Werkzeuge für die Simulation konfigurieren

Weitere Informationen zu...

  • Tipps zum Erzeugen von Komponentengeometrie

  • Registerkarte „WZ/Materialbibliotheken“ (Allgemeine Maschinenparameter)


Registerkarte „Geometrie“ (Revolver) – (Geometrie: Parametrisch)

Diese Registerkarte wird zur parametrischen Definition der Geometrie für einen WZ-Revolver verwendet. Sie wird für Mastercams Maschinensimulations-Funktion verwendet. Zum Definieren von Revolvern müssen Sie nur auf der Registerkarte Parameter die Daten eingeben.


Registerkarte &bdquo;Parameter“ (Revolver)

Registerkarte „Parameter“ (Revolver)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Konfigurieren Sie mit Hilfe dieser Dialogfeldregisterkarte eine Revolverkomponente.

Hinweis: Sie müssen möglicherweise keine Werte für all diese Parameter eingeben.

Revolverachse – ALLE Anwender

Wählen Sie die Rotationsachse, um anzuzeigen, wie der Revolver ausgerichtet ist.

Wählen Sie nach Auswahl der Rotationsachse die Indexierte WZ-Achse. Hierdurch wird die Richtung angedeutet, in die ein Werkzeug zeigt, wenn seine Indexposition aktiv ist. Die Achsendarstellung wird bei jeder Auswahl einer Rotationsachse aktualisiert.

Indexmethode

Diese Einstellungen sind nur für folgende Fälle erforderlich:

  • Postprozessoren oder Einstellblätter werden explizit zur Verwendung dieser Werte erstellt.

  • Ihr Mastercam-Produkt unterstützt die Simulation.

Weitere Informationen zu den einzelnen Optionen erhalten Sie, indem Sie auf die Registerkarte „Felddefinitionen“ klicken.

Weitere Informationen zu...

  • Maschinendefinitions-Manager


Registerkarte „Parameter“ (Linearachse)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Konfigurieren Sie mit Hilfe dieses Dialogfelds eine Linearachsenkomponente — normalerweise X, Y oder Z. Je nach Postprozessor und Mastercam-Ebene kann es sein, dass nicht alle Daten eingegeben werden müssen.

  • Die Maschinenkoordinate und die Positive Achsenrichtung sind für alle Maschinendefinitionen erforderlich. Diese Daten sollten von allen Anwendern eingegeben werden.

  • „Verfahrlimits“ und Limits für die „G0 Verfahrbewegung“ sind für die Simulation erforderlich, für andere Maschinen jedoch nur dann, wenn Ihr Postprozessor sie auch ausdrücklick erfordert.

Achsenrichtung und Orientierung

  • Die Positive Achsenrichtung wird in Weltkoordinaten ausgedrückt. Durch sie wird die Maschinenkoordinate auf das physikalische Layout Ihrer Werkzeugmaschine abgebildet. Bei einer typischen Vertikalfräsmaschine (oder einem Vertikalbearbeitungszentrum (VMC) passt die Achsenausrichtung zur Maschinenkoordinate. Bei einer Horizontalfräsmaschine oder den meisten Drehmaschinen sind sie unterschiedlich.

  • Bei den meisten Horizontalfräsmaschinen wird die Maschinenkoordinate=Z Y+ zugeordnet.

  • Bei einer typischen Drehmaschine wird die Machine coordinate=Z X+ für eine linke Spindel zugeordnet oder X- für eine rechte Spindel.

Kippwinkel

Wenn die Linearachse unter einem Winkel relativ zu einer anderen Achse in der Maschine positioniert ist, klicken Sie auf die Schaltfläche Kippwinkel, um den Winkel zu definieren.

Hinweis: Es kann sein, dass Sie eine Achsenkombination erzeugen müssen, um diese Achse zu verwenden und sie mit der korrekten Bearbeitung zu verbinden. Siehe Achsenkombinationen für weitere Informationen dazu.

Physikalische und programmierte Bewegung im Vergleich

Bei einigen Achsenkomponenten unterscheidet sich die physikalische Bewegung der Komponente von der programmierten Bewegung. Dies ist normalerweise dann der Fall, wenn die Achsenkomponente unter einem nicht-orthogonalen Winkel an einer anderen Achsenkomponente montiert ist. In diesem Fall müssen beide Achsenkomponenten verschoben werden und die programmierte Bewegung beider Komponenten ist interpoliert. Ziehen Sie den Mauszeiger über die folgende Abbildung, um ein Beispiel dazu einzublenden. In diesem Beispiel hat die orange Komponente unterschiedliche physikalische und programmierte Bewegungen:

Achsenbewegung für nicht-orthogonale Achsen

Gehen Sie für diese Komponenten in folgenden Schritten vor:

  1. Deaktivieren Sie die Option Programmierte Achsenbewegung = Physikalische Achsenbewegung.

  2. Markieren Sie die Option Physikalische Achse.

  3. Geben Sie Werte für die folgenden Einstellungen ein:

    • Positive Achsenrichtung

    • Kippwinkel

    • Definierte Achsenposition

    • Verfahrlimits

  4. Markieren Sie die Option Programmierte Achse.

  5. Geben Sie für die folgenden Einstellungen einen anderen Satz von Werten ein:

    • Positive Achsenrichtung

    • Kippwinkel

    • Definierte Achsenposition

    • Verfahrlimits

Klicken Sie hier, um weitere Informationen über physikalische Achsenbewegung im Gegensatz zu programmierter Achsenbewegung aufzurufen.

Verfahrlimits / Definierte Achsenposition

Diese Felder werden normalerweise nur in Mastercam-Produkten verwendet, die eine Maschinensimulation unterstützen.

Verwenden Sie diese Felder, um die Verfahrlimits der Achse relativ zum Solidmodell der Komponente zu identifizieren. Verwenden Sie die Definierte Achsenposition zum Identifizieren der Position des Referenzpunkts auf der Komponente. Geben Sie dann das Min. Limit und das Max. Limit dieses Punktes entlang der Verfahrachse ein.

Weil die in diese Felder eingegebenen Werte davon abhängen, wo Ihr Modell dargestellt/gezeichnet ist, sollten Sie in folgenden Schritten vorgehen:

  1. Zeichnen Sie das Modell und geben Sie auf der Registerkarte Geometrie seine Eigenschaften ein.

  2. Nehmen Sie bei Bedarf auf der Registerkarte Position/Orientierung auf der Maschine alle Positionsanpassungen vor.

  3. Geben Sie auf dieser Registerkarte die Definierte Achsenposition und die Verfahrlimits ein.

Sie müssen sowohl einen inch als auch einen metrischen Satz von Werten eingeben. Drücken Sie die Konvertierungsschaltflächen in mm / in inch, um einen eingegebenen Satz von Werten automatisch in die jeweils andere Einheit zu konvertieren.

G0-Verfahrbewegung

Stellen Sie mit Hilfe dieser Felder die Bewegung ein, die für G0-Bewegungen verwendet wird. Sie können diese Werte auf zwei Arten einstellen:

  • Sie können diese Werte für jede Linearachse einzeln einstellen, indem Sie die Werte hier eingeben.

  • Sie können Sie global für alle Linearachsen einstellen. Verwenden Sie in diesem Fall die Registerkarte Achsenvorschubbegrenzungen des Dialogfelds Allgemeine Maschinenparameter.

Sie sollten sowohl einen inch- als auch einen metrischen Wert eingeben. Drücken Sie die Konvertierungsschaltflächen [in mm/min umwandeln] / [ in inch/min umwandeln], um einen eingegebenen Wert automatisch in die jeweils andere Einheit zu konvertieren.

Hinweis: Zum Einstellen von Vorschubbegrenzungen, siehe Registerkarte „OP Vorschubbegrenzungen / Achsenbewegung“.

Weitere Informationen zu...

  • Dialogfeld „Kippwinkel“

  • Maschinendefinitions-Manager


Registerkarte &bdquo;Parameter“ (Rotationsachse)

Registerkarte „Parameter“ (Rotationsachse)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Konfigurieren Sie mit Hilfe dieses Dialogfelds eine Rotationsachsenkomponente.

Identifizieren der Achsenkomponente

Wählen Sie zuerst die Maschinenkoordinate, die die Achse identifiziert, die mit dieser Komponente assoziiert ist. Dies ist normalerweise die Bezugs-Achse, die beim Programmieren von Teilen und Operationen verwendet wird. Wählen Sie A, B oder C.

Ordnen Sie dann die Achse der Maschinenkoordinate ihrer physikalischen Ausrichtung auf Ihrer Werkzeugmaschine zu, indem Sie das Diagramm auf der Registerkarte verwenden. Wählen Sie dort die gewünschte Achse, indem Sie sie anklicken. Auf einer typischen 2-Achsen-Drehmaschine wird beispielsweise die Maschinenkoordinate=C der Rotationsachse = X+ zugeordnet. Bei einer typischen 3-Achsen Vertikalfräsmaschine andererseits, würde X+ für Maschinenkoordinate=A verwendet.

Wählen Sie schließlich die Startposition (0 Grad-Position) und die Rotationsrichtung, indem Sie die entsprechenden Optionen anklicken.

  • Drücken Sie die Schaltfläche Kippwinkel, um eine Rotationsachse zu konfigurieren, die über eine Achse gekippt ist, die keine Rotationsachse ist.

  • Geben Sie im Feld Winkel (von 0 Grad) die Startposition ein. Falls Ihre Maschinendefinition für eine Simulation verwendet wird, repräsentiert diese normalerweise die Position des Solidmodells für diese Komponente innerhalb Ihres Maschinenmodells.

Durch die Achsenkennung wird die Koordinatenbezeichnung identifiziert, die in den NC-Code ausgegeben wird. Diese wird normalerweise nur in Mastercam-Produkten verwendet, die eine Maschinensimulation und ereignisgesteuertes Programmieren unterstützen. Andere Mastercam-Anwender sollten dieselbe Koordinate als Maschinenkoordinate wählen.

Rotationsparameter

Jede Rotationsachse in der Werkzeugmaschine kann ihre eigenen Vorschublimits besitzen. Geben Sie die Limits direkt ein oder drücken Sie die Schaltfläche Von der Maschine, damit diese aus der Registerkarte „Achsenvorschubbegrenzungen“ des Dialogfelds Allgemeine Maschinenparameter importiert werden. Die allgemeinen Maschinenparameter können auch eingestellt werden, um jede Achsenkomponente zu zwingen, automatisch die allgemeinen Maschinenlimits zu verwenden; in diesem Fall zeigt diese Registerkarte die Meldung Von den allgem. Maschinenparam. gesetzt und diese Optionen sind deaktiviert.

Mit den anderen Parametern können Sie eine Feineinstellung der Rotationsbewegung Ihrer Komponente vornehmen. Klicken Sie oben auf die Registerkarte „Felddefinitionen“, um nähere Informationen dazu aufzurufen.

Hinweis: Zum Limitieren von Vorschüben für Werkzeugwege, siehe Registerkarte „OP Vorschubbegrenzungen / Achsenbewegung“.

Rotationszentrum und Verfahrlimits

Diese Felder werden normalerweise nur in Mastercam-Produkten verwendet, die eine Maschinensimulation und ereignisgesteuertes Programmieren unterstützen.

  • Geben Sie für das Rotationszentrum die Koordinaten aller Punkte entlang der Rotationsachse ein, oder drücken Sie die Schaltfläche Wählen, um im Grafikfenster eins auszuwählen.

Weitere Informationen zu...

  • Dialogfeld „Kippwinkel (Drehachse)“

  • Maschinendefinitions-Manager


Dialogfeld &bdquo;Kippwinkel (Linearachse)“

Dialogfeld „Kippwinkel (Linearachse)“

Definieren Sie mit Hilfe dieses Dialogfelds eine Linearachse, die unter einem Winkel über einer anderen Achse der Maschine verläuft. Verwenden Sie den Kippwinkel beim Definieren einer Schrägbett-Drehmaschine, um die Revolverachse (X-Achse) über die Spindelachse (Z-Achse) zu kippen.

Kippwinkel

Geben Sie den Winkel relativ zur standardmäßigen Rechte-Hand-Ansicht und die positive Gegenuhrzeigersinn-Richtung ein.

Kippachse über

Bestimmt die Achse, um die die aktuelle Achse rotiert wird. Wendet die Rotation auf die positive Achsenrichtung an.

Weitere Informationen zu...

  • Dialogfeld „Maschinenkomponentenmanager – Linearachse“


Dialogfeld „Kippwinkel (Drehachse)“ (Rotationsachse)

Definieren Sie mit Hilfe dieses Dialogfelds eine Rotationsachse, die um eine Achse rotiert und über eine andere gekippt ist. Beispiel: In der Abbildung unten sehen Sie, dass die Achse um X rotiert und dann über Y gekippt wird.

Kippachse über

Wählen Sie die Achse in der Ebene, die normal (senkrecht) auf der Rotationsachse (die auf der Registerkarte „Parameter“ (Rotationsachse) gewählt wurde) steht.

Kippwinkel

Geben Sie den Winkel ein, um den die Achse relativ zur standardmäßigen Rechte-Hand-Ansicht gekippt werden soll, und die positive Gegenuhrzeigersinn-Richtung, in die die Achse gekippt wird. Beispiel: In dieser Abbildung beträgt der in das Dialogfeld eingegebene Kippwinkel 135 Grad.

Weitere Informationen zu...

  • Registerkarte „Parameter“ (Rotationsachse)


Registerkarte &bdquo;Geometrie“ (Spannvorrichtung)

Registerkarte „Geometrie“ (Spannvorrichtung)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Registerkarte können Sie Spannvorrichtungsgeometrie definieren, indem Sie ihre Abmessungen direkt in die Felder eingeben. Für viele Anwendungen ist dies schneller und vorteilhafter, als ein Solidmodell der Spannvorrichtung zu erstellen. Gehen Sie zur Definition von Spannvorrichtungen in folgenden Schritten vor:

  1. Wählen Sie in der Liste die Spannvorrichtungskonfiguration.

  2. Geben Sie die Spannvorrichtungsabmessungen ein.

  3. Vervollständigen Sie, falls nicht bereits geschehen, die Registerkarte Parameter.

  4. Konfigurieren und fügen Sie auf der Registerkarte „Rohteileinstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“ Spannbacken hinzu und platzieren Sie dort das Rohteil in der Spannvorrichtung.

Wenn Sie eine Spannvorrichtung auf diese Weise definieren, wird jedesmal, wenn Mastercam die Spannvorrichtung auf dem Bildschirm anzeigen muss, das Modell direkt aus den Parameterwerten, statt aus einem Solidmodell erzeugt. Dies erleichtert Änderungen an der Geometrie der Spannvorrichtung.

Wenn Sie Standard-Zusatzoperationen in Mastercam Drehen erstellen, müssen Sie keine Spannvorrichtungsgeometrie erzeugen. Drehen-Zusatz-OPs basieren auf den Spannbacken und nicht auf der Spannvorrichtung selbst.

Was möchten Sie tun?

  • Ein Spannfutter zu einer Drehmaschine hinzufügen

  • Spannbacken hinzufügen

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Registerkarte &bdquo;Parameter“ (Spannvorrichtung)

Registerkarte „Parameter“ (Spannvorrichtung)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Konfigurieren Sie mit Hilfe dieser Registerkarte eine Spannvorrichtung für Ihre Maschinendefinition.

Spindeldrehzahlbeschränkungen

Bei Maschinendefinitionen für das Drehen werden die Min. und Max. Spindeldrehzahlen für die Spannwerte verwendet, die in Ihren Werkzeugwegen erlaubt sind.

  • Mastercam erlaubt auf der Seite „Werkzeuge“ keine Eingabe von Werten, die außerhalb dieser Limits liegen.

  • Auch wenn Sie im CSS-Modus (konstante Schnittgeschwindigkeit) programmieren, erlaubt Mastercam keine Spindeldrehzahl außerhalb dieser Limits.

  • Wird diese Maschinendefinition bei vorhandenen Operationen angewendet, überprüft Mastercam die Spindeldrehzahlen, die in solchen Operationen verwendet werden, anhand der hier eingegebenen Limits.

Diese Felder stehen für Fräs- und Router-Maschinendefinitionen nicht zur Verfügung. In Fräsen und Router kann ein Spannfutter als Werkstückspannvorrichtung oder Werkzeughalter verwendet werden, wird jedoch normalerweise nicht zur Begrenzung der WZ-Spindeldrehzahlen genutzt. Siehe Dialogfeld „Maschinenkomponentenmanager - WZ-Spindel“ für weitere Informationen dazu.

Backenposition in der Spannvorrichtung

Definieren Sie anhand dieses Wertes den programmierten Punkt, auf dem die Spannbacken positioniert werden. Die Standardposition 0.0 positioniert die Spannbacken im Zentrum der Stirnseite des Spannfutters. Werte, die Sie hier eingeben, repräsentieren einen Versatz von dieser Position:

Was möchten Sie tun?

  • Ein Spannfutter zu einer Drehmaschine hinzufügen

  • Spannbacken hinzufügen

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Registerkarte &bdquo;Geometrie“ (Spannfutter (Spannbacken))

Registerkarte „Geometrie“ (Spannfutter (Spannbacken))

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Registerkarte können Sie einen Spannbackensatz für eine Bearbeitungsoperation definieren. Hierdurch wird die Position der Spannbacke in Bezug auf das Teil ermittelt und es wird sichergestellt, dass das Werkzeug nicht in die Spannbacke fährt. Um die Spannbacke zu definieren:

Definieren Sie die Form der Spannbacke

Mastercam bietet zwei Möglichkeiten zum Einstellen der Spannbacken-Abmessungen.

  • Definieren Sie sie parametrisch mit den Optionen auf dieser Registerkarte.

  • Definieren Sie die Form, indem Sie ihr Profil mit Drahtmodellgeometrie zeichnen/darstellen. Wählen Sie in diesem Fall die Optionsschaltfläche Kette und dann die Geometrie. Die Geometrie sollte bereits vor dem Starten dieser Funktion auf ihrer richtigen Position relativ zu Ihrem Teil skizziert sein. Sie sollte ein 2D-Profil sein; Geben Sie zum Erzeugen der finalen Abmessung die Dicke der Spannbacken ein.

Wählen Sie eine Spannmethode aus

Wählen Sie im Dialogfeldbereich Spannmethode eine Option, um festzulegen, wie die Spannbacken das Rohteil halten sollen. Mastercam bietet dazu sieben Spannoptionen: vier Außen(OD)-Optionen und drei Innen(ID)-Optionen (bei denen das Rohteil eine Zentrumsbohrung besitzt). Der Referenzpunkt bestimmt, wo die Spannbacke das Teil festhält. Wählen Sie die Option aus, die am besten zu Ihrer Werkzeugmaschine passt.

Definieren Sie, wo sich die Spannvorrichtung befindet

Legen Sie fest, wo sich die Spannvorrichtung befindet. Die Parameter im Bereich Position bestimmen, wo sich der Referenzpunkt in Relation zum Rohteil befindet. Mastercam zeichnet dann den Rest der Spannbacken von diesem Punkt aus.

Der einfachste Weg die Spannbacke zu positionieren, ist das Markieren des Kontrollkästchens vom Rohteil. Es muss dazu jedoch ein Rohteil definiert sein. Durch das Auswählen dieser Option wird die Spannbacke auf dem Rohteil positioniert, indem der ausgewählte Referenzpunkt der Spannmethode verwendet wird. Sie können wählen, wieweit das Rohteil in die Spannbacken eingespannt ist und, falls ein Rohteil mit unterschiedlichen Durchmessern vorliegt, bei welchem Durchmesser die Spannbacke das Rohteil einspannt.

Sie können die Koordinatenpositionen des Referenzpunkts auch direkt eingeben. Wenn Sie das Kontrollkästchen vom Rohteil deaktivieren, werden die Felder im Bereich „Selbst definierte Position“ aktiviert. Geben Sie die gewünschten X/D- und Z-Koordinatenwerte ein oder wählen Sie sie aus.

Was möchten Sie tun?

  • Ein Spannfutter zu einer Drehmaschine hinzufügen

  • Spannbacken hinzufügen

  • Ein Rohteilmodell definieren (Drehen)

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Registerkarte &bdquo;Parameter“ (Aggregate)

Registerkarte „Parameter“ (Aggregate)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Fügen Sie mit Hilfe diese Dialogfelds einer Maschinendefinition Aggregat-Werkzeuge hinzu. Die Komponente „Aggregat“ erfordert eine Spindel als übergeordnete Komponente.

Klicken Sie oben auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den Parametern aufzurufen.

Gehen Sie zum Definieren eines Aggregats in folgenden Schritten vor:

  • Wählen Sie den Aggregat-Typ.

  • Klicken Sie mit der rechten Maustaste ins Fenster Stationen, um dem Aggregat die Stationen hinzuzufügen. Bestücken Sie jede Station mit einem Werkzeug, indem Sie die Station markieren, die rechte Maustaste drücken und dann über die Kontextmenü-Option „Lade WZ vom WZ-Manager“ ein Werkzeug aus der Bibliothek wählen.

  • Geben Sie für jede Station die Winkelposition (Maschinenbetrachtungswinkel), die WZ-Achsenlänge, einen Versatz von der Z-Achse der Spindel und optional einen Arbeitsversatz ein.

  • Geben Sie auf der Registerkarte „Position/Orientierung auf der Maschine“ die Koordinaten des Blockankerpunkts ein.

Bearbeitung mit Aggregaten – Übersicht

In Mastercam sind die Werkzeuginformationen für Aggregate in eine Hierarchie von Köpfen, Blöcken und Werkzeugstationen unterteilt.

  • Köpfe sind komplette Baugruppen, die auf Achsenbefehle reagieren und sich als Einheit bewegen. Die Komponente Routerspindel ist ein Kopf.

  • Blöcke sind auf Köpfen montiert und halten die einzelnen Werkzeugstationen. Eine Aggregatkomponente ist ein Block.

  • Werkzeugstationen sind auf Blöcken befestigt und halten einzelne Werkzeuge.

Optionen des Kontextmenüs

  • Station anlegen – Fügt dem Aggregat eine Station hinzu.

  • WZ erzeugen – Fügt der Station ein Werkzeug hinzu. Hierdurch wird der Werkzeugassistent im separaten „stand-alone“ Tool-Manager aufgerufen, in dem Sie ein neues Werkzeug anlegen können. (Rufen Sie für weitere Informationen dazu die Werkzeugassistenten-Hilfe auf).

  • Bearbeiten – Ist nur dann verfügbar, wenn einer Station ein Werkzeug zugewiesen wurde. Ruft den WZ-(Bearbeitungs)-Assistenten im separaten „stand-alone“ Tool-Manager auf, wo Sie das Werkzeug ändern können. (Rufen Sie für weitere Informationen dazu die Werkzeugassistenten-Hilfe auf).

  • Lade WZ vom WZ-Manager – Öffnet den WZ-Manager, in dem Sie ein vorhandenes Werkzeug für das Aggregat wählen können.

  • Ausschneiden/Kopieren/Einfügen – Verwenden Sie diese Funktionen, um eine Station in der Verzeichnisstruktur zu verschieben oder um auf der Basis von Parametern einer vorhandenen Station eine neue anzulegen.

  • Löschen – Entfernt eine Station oder ein Werkzeug.

  • Umbenennen – Fügt der Station eine beschreibende Bezeichnung hinzu.

Weitere Informationen zu...

  • Wählen eines Aggregatkopfes

  • Dialogfeld „Aggregatselektion“

  • Registerkarte „Parameter“ (Router Spindel)


Registerkarte &bdquo;Position/Orientierung auf der Maschine“ (Aggregate)

Registerkarte „Position/Orientierung auf der Maschine“ (Aggregate)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Jeder Block (bzw. Aggregatkopf) benötigt einen Blockankerpunkt. Dies ist der Punkt auf dem Block, der sich auf den programmierten Positionen befindet. Geben Sie den Abstand in Bezug auf eine Versatzposition von einer bekannten Position auf der Spindel ein.

Klicken Sie hier, um weitere Informationen zum Definieren eines Blocks (bzw. Aggregatkopfes) aufzurufen.

Weitere Informationen zu...

  • Wählen eines Aggregatkopfes

  • Dialogfeld „Aggregatselektion“

  • Registerkarte „Parameter“ (Router Spindel)


Registerkarte „Parameter“ (Blockbohrer)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Erzeugen Sie mit Hilfe dieses Dialogfelds einen Blockbohrer und fügen sie ihn einer Maschinendefinition hinzu. Blockbohrer enthalten mehrere Bohrer und sind für Blockbohr-Werkzeugwege in Mastercam Router erforderlich.

Vor dem Definieren einer Blockbohrerkomponente müssen Sie eventuell eine weitere Zusatzkomponente hinzufügen, die den Anschlusspunkt des Blockbohrers an die Werkzeugmaschine darstellt. Bewegt sich der Blockbohrer beispielsweise in der Z-Achse, wird der Anschlusspunkt an die Z-Achse angefügt und der Blockbohrer an die Zusatzkomponente.

Der erste zum Block hinzugefügte Bohrer wird zum Führungsbohrer. Die anderen Bohrer sind relativ zu diesem Bohrer versetzt. Der Führungsbohrer wird mit einem weißen Fadenkreuz dargestellt. Der aktuell gewählte Bohrer wird in rot angezeigt.

Die Stationsposition ist ein Versatz vom Führungsbohrer. Geben Sie für jeden Bohrer im Block eine Stationsposition ein.

Über die Block-Ansicht wird die Maschinenebene für den Block eingestellt. Für einen vertikalen Blockbohrer ist die Block-Ebene „Oben“. Pro Blockbohrer kann nur eine Ebene eingestellt werden. Wenn Sie mit einem Blockbohrer mit vertikalen UND horizontalen Bohrern arbeiten, müssen im Fenster Maschinenkonfiguration zwei separate Blockbohrer erzeugen und sie in separaten Blockbohr-Werkzeugwegen verwenden.

Optionen des Kontextmenüs

  • Erzeuge — Ruft das Dialogfeld „Blockerzeugung“ auf, in dem Sie einen kompletten Blockbohrer mit mehreren Stationen definieren können.

  • Hinzu — Fügt ein neues Werkzeug in den Blockbohrer ein.

  • Bearbeiten — Öffnet die WZ-Definition.

  • Ausschneiden/Kopieren/Einfügen — Verwenden Sie diese Funktionen, um ein Werkzeug zu verschieben oder um auf der Basis von Parametern eines vorhandenen Werkzeugs ein neues anzulegen.

  • Löschen — Entfernt ein Werkzeug.

  • Umbenennen — Fügt dem Werkzeug eine beschreibende Bezeichnung hinzu.

Weitere Informationen zu...

  • Auswählen eines Blockbohrers für eine Operation

  • Blockbohr-Werkzeugwege


Registerkarte &bdquo;Position/Orientierung auf der Maschine“ (Blockbohrer)

Registerkarte „Position/Orientierung auf der Maschine“ (Blockbohrer)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Der Blockankerpunkt positioniert den Blockbohrer relativ zu einer bekannten Position auf dem Router (Holzbearbeitungsmaschine).

Jeder Blockbohrer benötigt einen Blockankerpunkt. Dies ist der Punkt auf dem Block, der sich auf den programmierten Positionen befindet. Geben Sie den Abstand in Bezug auf eine Versatzposition von einer bekannten Position auf der Routerspindel ein.

Klicken Sie hier, um weitere Informationen zum Definieren eines Blockbohrers aufzurufen.


Registerkarte „Parameter“ (Router Spindel)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Fügen Sie einer Router-Maschinendefinition mit Hilfe dieser Registerkarte Router-Spindeln und Router-Aufsatzspindeln hinzu. Die Kombination aus Router-Spindel und Aufsatzspindel wird von Mastercam zum Programmieren von Mehrfachköpfen verwendet.

Vor dem Hinzufügen einer Router-Aufsatzspindel müssen Sie eventuell eine weitere Zusatzkomponente hinzufügen, die den Verknüpfungspunkt der Aufsatzspindel an die Router-Spindel darstellt. Bewegt sich die Router-Spindel beispielsweise in der Z-Achse, wird der Anschlusspunkt an die Z-Achse angefügt und die Router-Spindel an die Zusatzkomponente.

Verwenden Sie eine Router-Spindel anstatt einer regulären WZ-Spindel-Komponente, wenn Sie einen Versatz für die Spindel spezifizieren müssen. Sie können entweder eine Koordinatenposition oder einen Arbeitsversatzcode eingeben.

  • Weisen Sie der Spindel mit Hilfe dieser Registerkarte einen Arbeitsversatzcode zu.

  • Weisen Sie der Kopfposition mit Hilfe der Registerkarte Position/Orientierung auf der Maschine einen XYZ-Versatz zu.

Weitere Informationen zu...

  • Maschinenkomponenten

  • Maschinendefinitions-Manager


Registerkarte &bdquo;Position/Orientierung auf der Maschine“ (Router-Spindel)

Registerkarte „Position/Orientierung auf der Maschine“ (Router-Spindel)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Verwenden Sie eine Router-Spindel anstatt einer regulären WZ-Spindel-Komponente, wenn Sie einen Versatz für die Spindel spezifizieren müssen. Sie können entweder eine Koordinatenposition oder einen Arbeitsversatzcode eingeben.

  • Weisen Sie mit Hilfe dieser Registerkarte der Kopfposition einen XYZ-Versatz zu.

  • Klicken Sie auf die Registerkarte Parameter, um der Spindel einen Arbeitsversatzcode zuzuweisen.

Klicken Sie hier, um weitere Informationen über das Hinzufügen von Router-Spindeln oder Router-Aufsatzspindeln aufzurufen.


Registerkarte &bdquo;Geometrie“ (Zylinder)

Registerkarte „Geometrie“ (Zylinder)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Erzeugen Sie mit Hilfe dieser Registerkarte eine zylindrische Komponente oder ein Stangenmaterialteil. Dieses Thema setzt voraus, dass Sie Stangenmaterial für eine Drehmaschine erzeugen, dieselben allgemeinen Konzepte jedoch auf alle zylindrischen Komponenten anwenden.

Hierfür gibt es drei Schritte:

Einstellen der Stangenabmessungen

Verwenden Sie eine dieser Methoden, um den Durchmesser und die Länge des Stangenmaterials einzustellen.

  • Drücken Sie die Schaltfläche von 2 Punkten, um zur Auswahl der Stangenecken ins Grafikfenster zu wechseln.

  • Geben Sie die Werte direkt in die Felder AD (Außendurchmesser) und Länge ein.

Mastercam erlaubt außerdem die Definition von Rohren (bzw. hohlem Stangenmaterial) durch Auswahl der Option ID (Innendurchmesser) und Eingabe des Innendurchmesserwertes.

Ermitteln (bzw. Positionieren) der Stirnseite des Stangenmaterials

Der nächste Schritt ist das Ermitteln der Stirnseite des Rohteils oder Zylinders.

  • Legen Sie zuerst im Feld Position entlang der Achse eine Position fest. Normalerweise markiert dieser Punkt das Zentrum der Stirnseite. Sie können auch die Schaltfläche Wählen drücken, um zur Auswahl der Stirnseite ins Grafikfenster zu wechseln.

  • Richten Sie dann das Rohteil aus, indem Sie in der Liste Achse eine Option auswählen. Hierdurch wird die Zylinderachse ausgerichtet.

Für allgemeine zylindrische Komponenten, nicht nur für Dreh-Rohteile, wird das Feld Position entlang der Achse durch das Feld Basispunkt ersetzt. Dies ermöglicht ein Positionieren der Komponente an einer beliebigen Stelle im 3D-Raum mit separaten X-Y-Z-Feldern. Verwenden Sie gegebenenfalls die Registerkarte „Position/Orientierung auf der Maschine“, um die Position der Komponenten relativ zum Rest Ihres Maschinenmodells zu verfeinern.

Definieren von Rohteilaufmaßen (nur für die Rohteildefinition)

Für Rohteilkomponenten ist das Definieren von Rohteilaufmaßen ein optionaler Schritt. Durch die Verwendung von Aufmaßen können Sie fertige Teile-Abmessungen eingeben und dann den Durchmessern und Stirnseiten passende Rohteil-Beträge hinzufügen.

Hinweis: Die Registerkarte Geometrie ist nicht für alle Maschinendefinitionen erforderlich. Sie wird normalerweise nur verwendet für:

  • Maschinensimulation

  • Rohteilmodelle (Drehen) und Peripheriekomponenten

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Ein Rohteilmodell definieren (Drehen)

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Tipps zum Erzeugen von Komponentengeometrie

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine


Registerkarte &bdquo;Position/Orientierung auf der Maschine“ (Rohteil)

Registerkarte „Position/Orientierung auf der Maschine“ (Rohteil)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Verwenden Sie diese Registerkarte, um das Rohteil relativ zu Ihrem Teil korrekt zu positionieren.

  • Bei den meisten typischen Drehanwendungen sind diese Optionen nicht erforderlich. Das Kontrollkästchen Das Rohteil wird auf der Position auf der Maschine gezeigt sollte markiert sein.

  • Bei einem Zylinder-Stangenmaterial (Menü „Geometrie“) sollten Sie die Option Position entlang der Achse (bzw. „Basispunkt“) auf der Registerkarte Geometrie verwenden, damit das Rohteil auf der richtigen Position angezeigt wird.

Gehen Sie zum Positionieren des Rohteils in folgenden Schritten vor:

  1. Deaktivieren Sie die Option Das Rohteil wird auf der Position auf der Maschine gezeigt. Hierdurch werden die anderen Optionen auf der Registerkarte aktiviert.

  2. Wählen Sie die Position am Rohteil (Weltkoordinaten). Normalerweise liegt diese auf einer der Flächen in Richtung Spindel-Zentrumslinie. Klicken Sie auf die Schaltfläche „Wählen...“, um im Grafikfenster einen Punkt auf Ihrem Modell auszuwählen.

  3. Wählen Sie die Position auf der Maschine (Weltkoordinaten). Hiermit können Sie den Basispunkt relativ zum Rest Ihrer Maschinengeometrie bestimmen.

  4. Blenden Sie eine Vorschau Ihres Rohteilmodells ein, um zu überprüfen, ob es relativ zu Ihrer Teilegeometrie korrekt positioniert ist.

    • Drücken Sie in der Symbolleiste die Schaltflächen Die gesamte Maschine... / Die Maschinenkomponente... / Die ganze Komponentengruppe im Grafikfenster zeigen, um das Rohteil entweder relativ zur Komponentengruppe, zur gesamten Maschine oder zu sich selbst anzuzeigen.

Hinweis: Falls Ihr Rohteil durch eine andere Komponente – wie zum Beispiel Spannbacken – automatisch positioniert wurde, werden alle Optionen auf dieser Registerkarte deaktiviert.

Was möchten Sie tun?

  • Ein Rohteilmodell definieren (Drehen)

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine


Registerkarte &bdquo;Geometrie“ (Block)

Registerkarte „Geometrie“ (Block)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Der Block wird relativ zum Basispunkt in magenta dargestellt.

Mit Hilfe dieser Option können Sie eine Maschinenkomponente oder ein Rohteilmodell als Solidblockprimitiven darstellen, dessen Abmessungen hier angegeben werden.

  • Der Block befindet sich am Basispunkt, wobei sich seine Länge in X-Richtung erstreckt.

  • Verwenden Sie bei Bedarf die Registerkarte Position/Orientation auf der Maschine, um den Block in eine andere Ebene oder Ausrichtung zu transformieren, so dass er relativ zum Rest der Maschine korrekt positioniert ist.

Verwenden Sie nach der Erzeugung des Modells die Symbolleistenschaltflächen zur Vorschau der Komponente.

Hinweis: Die Registerkarte Geometrie ist nicht für alle Maschinendefinitionen erforderlich. Sie wird normalerweise nur verwendet für:

  • Maschinensimulation

  • Rohteilmodelle (Drehen) und Peripheriekomponenten

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Rohteil, Spannvorrichtungen und Peripheriegeräte zu Ihrer Maschine hinzufügen (Drehen)

Weitere Informationen zu...

  • Komponentengruppen

  • Komponentenbibliotheken

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte „Geometrie“ (Austragen)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Option können Sie eine Maschinenkomponente oder ein Rohteilmodell als Solidblockprimitiven darstellen, der aus einem selbstdefinierten Drahtmodellprofil ausgetragen wird.

  • Klicken Sie auf die Schaltfläche Profil, um die Drahtmodellgeometrie auszuwählen und geben Sie den Abstand der Austragung an.

  • Verwenden Sie bei Bedarf die Registerkarte Position/Orientation auf der Maschine, um das resultierende Solid in eine andere Ebene oder Ausrichtung zu transformieren, so dass es relativ zum Rest der Maschine korrekt positioniert ist.

Wichtig! Bevor die Drahtmodellgeometrie ausgewählt werden kann, muss sie mit der aktuellen Maschinendefinitionsdatei verbunden werden. Klicken Sie hier, um weitere Informationen dazu aufzurufen.

Verwenden Sie nach der Erzeugung des Modells die Symbolleistenschaltflächen zur Vorschau der Komponente.

Hinweis: Die Registerkarte Geometrie ist nicht für alle Maschinendefinitionen erforderlich. Sie wird normalerweise nur verwendet für:

  • Maschinensimulation

  • Rohteilmodelle (Drehen) und Peripheriekomponenten

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Rohteil, Spannvorrichtungen und Peripheriegeräte zu Ihrer Maschine hinzufügen (Drehen)

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Komponentengruppen

  • Komponentenbibliotheken

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Geometrie“ (Keine Geometrie)

Registerkarte „Geometrie“ (Keine Geometrie)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Diese Registerkarte wird angezeigt, wenn auf der Registerkarte Geometrie die Option Keine Geometrie ausgewählt ist. Wenn Keine Geometrie ausgewählt ist, kann Mastercam diese Komponente nicht simulieren.

  • Wenn Ihre Maschinendefinition nicht für eine Unterstützung der Simulation vorgesehen ist, ist die Option Keine Geometrie die richtige Wahl.

  • Zum Aktivieren der Simulation dieser Komponente müssen Sie in der Liste Geometrie eine Modellmethode auswählen.

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Rohteil, Spannvorrichtungen und Peripheriegeräte zu Ihrer Maschine hinzufügen (Drehen)

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Komponentengruppen

  • Komponentenbibliotheken


Registerkarte &bdquo;Geometrie“ (Rotation)

Registerkarte „Geometrie“ (Rotation)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Option können Sie eine Maschinenkomponente als Solid repräsentieren, dass aus einem Drahtmodell-Rotationsprofil erzeugt wurde. Sie eignet sich auch zum Erzeugen von Dreh-Rohteilmodellen. Ziehen Sie den Mauszeiger über die Abbildung rechts, um ein Beispiel dazu einzublenden.

  • Klicken Sie auf die Schaltfläche Geometrie selektieren, um die Drahtmodellgeometrie auszuwählen.

  • Die Drahtmodellgeometrie muss ein geschlossenes Profil sein.

  • Verwenden Sie bei Bedarf die Registerkarte Position/Orientation auf der Maschine, um das resultierende Solid in eine andere Ebene oder Ausrichtung zu transformieren, so dass es relativ zum Rest der Maschine korrekt positioniert ist.

Wichtig! Bevor die Drahtmodellgeometrie ausgewählt werden kann, muss sie mit der aktuellen Maschinendefinitionsdatei verbunden werden, außer wenn Sie ein Dreh-Rohteilmodell erzeugen. Klicken Sie hier, um weitere Informationen dazu aufzurufen.

Verwenden Sie nach der Erzeugung des Modells die Symbolleistenschaltflächen zur Vorschau der Komponente.

Hinweis: Die Registerkarte Geometrie ist nicht für alle Maschinendefinitionen erforderlich. Sie wird normalerweise nur verwendet für:

  • Maschinensimulation

  • Rohteilmodelle (Drehen) und Peripheriekomponenten

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Rohteil, Spannvorrichtungen und Peripheriegeräte zu Ihrer Maschine hinzufügen (Drehen)

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Komponentengruppen

  • Komponentenbibliotheken

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Geometrie“ (STL Element)

Registerkarte „Geometrie“ (STL Element)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe der Option STL Element können Sie ein vor-skizziertes STL-Modell spezifizieren, das eine Maschinenkomponente oder ein Rohteilmodell repräsentiert. Klicken Sie auf die Schaltfläche Element selektieren und wählen Sie im Grafikfenster das gewünschte Solid.

Wichtig! Bevor das STL-Element ausgewählt werden kann, muss sie mit der aktuellen Maschinendefinitionsdatei verbunden werden. Klicken Sie hier, um weitere Informationen dazu aufzurufen.

Wenn Sie wünschen, können Sie Name und Farbe der Komponente vom importierten Solid übernehmen, indem Sie auf die entsprechende Komponenten...-Schaltfläche klicken.

Verwenden Sie bei Bedarf die Registerkarte Position/Orientation auf der Maschine, um das resultierende Solid in eine andere Ebene oder Ausrichtung zu transformieren, so dass es relativ zum Rest der Maschine korrekt positioniert ist.

Verwenden Sie nach der Erzeugung des Modells die Symbolleistenschaltflächen zur Vorschau der Komponente.

Hinweis: Die Registerkarte Geometrie ist nicht für alle Maschinendefinitionen erforderlich. Sie wird normalerweise nur verwendet für:

  • Maschinensimulation

  • Rohteilmodelle (Drehen) und Peripheriekomponenten

Was möchten Sie tun?

  • Geometrie zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Rohteil, Spannvorrichtungen und Peripheriegeräte zu Ihrer Maschine hinzufügen (Drehen)

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Komponentengruppen

  • Komponentenbibliotheken

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Geometrie“ (Solid-Element)

Registerkarte „Geometrie“ (Solid-Element)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe der Option Solid-Element können Sie ein vor-skizziertes Solidmodell spezifizieren, das eine Maschinenkomponente oder ein Rohteilmodell repräsentiert. Klicken Sie auf die Schaltfläche Element selektieren und wählen Sie im Grafikfenster das gewünschte Solid.

Wichtig! Bevor das Solid-Element ausgewählt werden kann, muss sie mit der aktuellen Maschinendefinitionsdatei verbunden werden. Klicken Sie hier, um weitere Informationen dazu aufzurufen.

Wenn Sie wünschen, können Sie Name und Farbe der Komponente vom importierten Solid übernehmen, indem Sie auf die entsprechende Komponenten...-Schaltfläche klicken.

Verwenden Sie bei Bedarf die Registerkarte Position/Orientation auf der Maschine, um das resultierende Solid in eine andere Ebene oder Ausrichtung zu transformieren, so dass es relativ zum Rest der Maschine korrekt positioniert ist.

Verwenden Sie nach der Erzeugung des Modells die Symbolleistenschaltflächen zur Vorschau der Komponente.

Hinweis: Die Registerkarte Geometrie ist nicht für alle Maschinendefinitionen erforderlich. Sie wird normalerweise nur verwendet für:

  • Maschinensimulation

  • Rohteilmodelle (Drehen) und Peripheriekomponenten

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

  • Rohteilmodelle für die Simulation konfigurieren (Fräsen/Mehrachsen)

  • Rohteil, Spannvorrichtungen und Peripheriegeräte zu Ihrer Maschine hinzufügen (Drehen)

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Komponentengruppen

  • Komponentenbibliotheken

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Position/Orientierung auf der Maschine“

Registerkarte „Position/Orientierung auf der Maschine“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Registerkarte kann das Solidmodell für diese Komponente, relativ zum Rest des Maschinenmodells, richtig positioniert werden. Sie wird normalerweise nur beim Erstellen von Maschinenmodellen für die Simulation verwendet und wenn das Solidmodell für eine bestimmte Komponente noch nicht auf seiner korrekten Position angezeigt (gezeichnet) wurde. Dies kann beispielsweise vorkommen, wenn Sie ein CAD-Modell für eine bestimmte Komponente direkt vom Hersteller bekommen, statt es selbst zu zeichnen.

  • Falls die Komponente bereits auf der korrekten Position angezeigt wird, müssen die Optionen auf dieser Registerkarte nicht verwendet werden. Die Option Die Komponente wird in der Position auf der Maschine gezeigt sollte markiert sein.

Gehen Sie zum Positionieren der Komponente in folgenden Schritten vor:

  1. Deaktivieren Sie die Option Die Komponente wird in der Position auf der Maschine gezeigt. Hierdurch werden die anderen Optionen auf der Registerkarte aktiviert.

  2. Wählen Sie die Position auf der Komponente (Weltkoordinaten). Dies ist ein Referenzpunkt, den Sie zum Positionieren der Komponente verwenden. Für eine zylindrische Komponente, wie eine Spindel beispielsweise, kann diese Position entlang der Zentrumslinie auf einer der Flächen liegen. Klicken Sie auf die Schaltfläche Wählen..., um im Grafikfenster einen Punkt auf Ihrem Modell auszuwählen.

  3. Wählen Sie bei Bedarf im Bereich Orientierung auf der Maschine eine Ebene aus. Verwenden Sie diese Option, um das Modell beispielsweise auf seine Seite zu drehen, oder um es, relativ zum Rest der Maschine, auf einer Schräge zu positionieren.

  4. Wählen Sie die Position auf der Maschine (Weltkoordinaten). Hiermit können Sie die Position auf dem Komponentenpunkt relativ zum Rest Ihrer Maschinengeometrie bestimmen.

  5. Blenden Sie eine Vorschau Ihres Rohteilmodells ein, um zu überprüfen, ob es relativ zu Ihrer Teilegeometrie korrekt positioniert ist. Drücken Sie in der Symbolleiste die Schaltflächen Die gesamte Maschine... / Die Maschinenkomponente... / Die ganze Komponentengruppe im Grafikfenster zeigen, um die Komponente entweder relativ zur Komponentengruppe, zur gesamten Maschine oder zu sich selbst anzuzeigen.

Hinweise:

  • Falls Ihre Komponente durch eine andere Komponente – wie zum Beispiel Spannbacken – automatisch positioniert wurde, werden alle Optionen auf dieser Registerkarte deaktiviert.

  • Alle Koordinatenpositionen auf dieser Registerkarte beziehen sich auf den Maschinen-Nullpunkt. Wenn Sie im Bereich Orientierung auf der Maschine eine neue Ebene wählen, verwendet Mastercam nur ihre planare Orientierung/Ausrichtung. Der Nullpunkt der gewählten Ebene hat auf die auf dieser Registerkarte eingegebenen Koordinatenpositionen keinen Einfluss.

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

Weitere Informationen zu...

  • Dialogfeld „Komponente hinzu“

  • Tipps zum Erzeugen von Komponentengeometrie


Registerkarte &bdquo;Parameter“ (Lünette)

Registerkarte „Parameter“ (Lünette)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie in dieser Registerkarte die Daten Ihrer Lünette.

Programmierter Punkt

Dieser Punkt wird nur beim Vorhandensein von Lünetten und in angepassten Operationen verwendet und nicht in standardmäßigen Mastercam Zusatz-Operationen. Anwender von Mastercam Drehen, die nicht mit „Mill-Turn“ arbeiten, müssen diesen Bereich nicht abschließen.

Kollisionsgeometrie

Dieser Bereich betrifft alle Anwender von Mastercam Drehen. Dieser muss zur Definition der Lünette abgeschlossen werden.

Klicken Sie auf die Schaltfläche Wählen und verketten Sie die Drahtmodellgeometrie, die die Kollisionsgeometrie repräsentiert. Mastercam verwendet diese Funktion, um zu gewährleisten, daß in Ihrer Drehmaschine keine Bewegungen ausgeführt werden, die zu Kollisionen mit der Lünette führen. Ihre Geometrie muss folgende Anforderungen erfüllen:

  • Sie sollte eine 2D-Kontur sein, die in derselben Ebene liegt, wie das WKS. Mastercam erzeugt durch Rotieren der Begrenzungskontur um die Spindelachse automatisch eine 3D-Sicherheitszone (Kollisionsgeometrie).

  • Sie sollte eine geschlossene Kette bilden.

  • Sie sollte in ihrer richtigen Anfangsposition relativ zu Ihrem Teil skizziert sein.

Was möchten Sie tun?

  • Eine Lünette hinzufügen

  • Eine Kollisionsgeometrie (bzw. Sicherheitszone) definieren

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Registerkarte &bdquo;Geometrie“ (Zentrum (bzw. Reitstockzentrum))

Registerkarte „Geometrie“ (Zentrum (bzw. Reitstockzentrum))

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie mit Hilfe dieser Registerkarte ein Reitstockzentrum, indem Sie dessen Abmessungen und Startposition direkt in die Felder eingeben. Für viele Anwendungen ist dies schneller und vorteilhafter, als anhand der anderen Geometrie-Erzeugungsmethoden ein Solidmodell zu erstellen.

Definieren Sie zuerst das Zentrum, indem Sie seine Abmessungen und Startposition direkt in die einzelnen Felder eintragen und dabei das voreingestellte Maß als Anleitung verwenden.

Geben Sie dann im Bereich Position entlang der Achse seine Position an. Diese wird entlang der Achse gemessen, die parallel zur Pinole liegt. Normalerweise ist dies die Z-Achse.

  5. Klicken Sie auf die Schaltfläche Wählen..., um im Grafikfenster die Position auszuwählen.

  6. Klicken Sie auf die Schaltfläche Vom Rohteil..., um das Zentrum automatisch auf der Stirnseite des Rohteils zu positionieren. Das Rohteil muss bereits definiert sein, damit diese Option verfügbar ist.

Blenden Sie eine Vorschau des Zentrums ein, um zu prüfen, ob es richtig positioniert ist. Dazu stehen in Mastercam verschiedene Methoden zur Wahl:

  7. Klicken Sie auf die Schaltfläche Vorschau (Drehbegrenzungen)..., um die Zentrumskonturen als Silhouette einzublenden. So können Sie auf einfache Weise Zentrum und 2D-Drehteilgeometrie vergleichen.

  8. Klicken Sie in der Symbolleiste auf die Schaltfläche Die Maschinenkomponente im Grafikfenster zeigen [image] , um ein 3D-Solidmodell des Zentrums einzublenden.

  9. Klicken Sie nach der Definition von Geometrie für ihren Reitstock-Körper auf die Schaltfläche Die ganze Komponentengruppe im Grafikfenster zeigen [image] , um Zentrum, Reitstockblock und Pinole als eine einzelne Baugruppe einzublenden.

Andere Geometrie-Erzeugungsoptionen

Sie können bei Bedarf in der Liste „Geometrie“ eine andere Geometrie-Erzeugungsoption wählen.

  • Sie können das Zentrum auch als Zylinder anzeigen lassen. Diesen können Sie entweder durch Auswahl zweier Punkte im Grafikfenster oder durch direkte Eingabe seiner Abmessungen auf der Registerkarte definieren.

  • Wählen Sie die Menü-Option Rotation, um ein Drahtmodellprofil für das Zentrum zu verwenden. Das Zentrum wird dann durch Rotieren des Profils um die Zentrumslinie der Spindel erzeugt.

  • Wählen Sie Solid-Element, um ein anderes, bereits vorhandenes Solidmodell für den Reitstock zu verwenden. Falls das Solid nicht rotationssymmetrisch ist, verwendet Mastercam dessen Rotationsprofil als Sicherheitszone zur Kollisionsvermeidung.

  • Wählen Sie STL Element, um für den Reitstock ein STL-Modell zu verwenden.

Was möchten Sie tun?

  • Einen Reitstock hinzufügen

  • Ein Zentrum zu einem Reitstock hinzufügen

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Registerkarte &bdquo;Geometrie“ (Reitstock)

Registerkarte „Geometrie“ (Reitstock)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Registerkarte können Sie Reitstockgeometrie definieren, indem Sie ihre Abmessungen direkt in die Felder auf dieser Registerkarte eingeben. Jedesmal, wenn Mastercam den Reitstock auf dem Bildschirm anzeigen muss, wird das Modell aus den Parameterwerten, statt aus einem Solidmodell erzeugt. Dies erleichtert Änderungen an der Geometrie des Reitstocks.

Was möchten Sie tun?

  • Einen Reitstock hinzufügen

  • Ein Zentrum zu einem Reitstock hinzufügen

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Registerkarte &bdquo;Parameter“ (Reitstock)

Registerkarte „Parameter“ (Reitstock)

Geben Sie auf dieser Registerkarte Reitstockdaten für die Programmierung wie Verfahrlimits für die Pinole und erweitertete Ruckzugsvorschübe ein.

  • Die Daten auf dieser Registerkarte werden normalerweise nur bei Reitstockereignissen und benutzerdefinierten Operationen verwendet. Diese Registerkarte muss nur dann ausgefüllt werden, wenn Ihr Mastercam-Produkt die Simulation unterstützt.

  • Standard-Zusatzoperationen von Mastercam funktionieren auf einer Reitstockzentrumskomponente, nicht auf dem Reitstockkörper selbst. Klicken Sie auf die nachfolgenden Links, um weitere Informationen über das Konfigurieren von Komponenten zur Unterstützung von Mastercams Standard-Zusatzoperationen aufzurufen.

Was möchten Sie tun?

  • Einen Reitstock hinzufügen

  • Ein Zentrum zu einem Reitstock hinzufügen

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen


Hinzufügen von Geometrie zu einer Maschinendefinition

Das Hinzufügen von Solidmodellen zu Ihrer Maschinendefinition ist normalerweise ein zweistufiger Prozess:

  • Zuerst müssen Sie die gewünschte Geometrie mit der Maschinendefinitions-Datei zusammenlegen. Dies ist für vorgefertigte Solid-Elemente und für die Drahtmodellgeometrie erforderlich, die für ausgetragene und rotierte Modelle verwendet wird.

  • Danach müssen Sie jede Komponente mit dem richtigen Solid-Element assoziieren und eine Feineinstellung seiner Eigenschaften vornehmen.

Für parametrische, Block- und Zylindergeometrie-Erzeugungsmethoden muss der Geometrie-Verbindungsprozess nicht ausgeführt werden. Klicken Sie hier für eine Zusammenfassung dieser Anforderungen.

Klicken Sie auf eins der nachfolgenden Themen, um detaillierte Schritte einzublenden.

Laden der Maschinendefinition

  1. Erzeugen und speichern Sie Ihre Geometrie in ihrer eigenen Mastercam-Teiledatei. Einschließlich aller folgenden Geometrietypen:

  2. Mastercam-Solidelemente

  3. STL-Elemente

  4. Drahtmodellführungsgeometrie für ausgetragene oder rotierte Elemente

  5. Andere Referenz-Drahtmodellgeometrie, die sehr nützlich ist, —beispielsweise zum Wählen von Punkten für wichtige Positionen auf einem Solid.

  2. Öffnen Sie nach der Geometrie-Erzeugung eine neue Mastercam-Design-Datei. Stellen Sie sicher, dass sich im Werkzeugweg-Manager keine Maschinengruppe befindet. (Klicken Sie hier, um zu erfahren, wie alle Maschinengruppen aus einer Datei entfernt werden.)

  3. Klicken Sie im Menü Einstellungen auf Maschinendefinition (Manager).

  4. Falls Ihre Maschinendefinition bereits existiert, klicken Sie die Schaltfläche Maschinendefinition laden, um sie jetzt zu öffnen.

  • Falls Sie nicht bereits mit dem Aufbau Ihrer Maschinendefinition begonnen haben, klicken Sie auf die Schaltflächen Fräsen/VMC/HMC oder Drehen/VTL, um eine neue Maschinendefinition zu erstellen.

  4. Klicken Sie in der Symbolleiste des Maschinendefinitions-Managers auf die Schaltfläche Optionen (bzw. Grafische Benutzerschnittstellenoptionen ändern).

  5. Mastercam muss beim Import Ihrer Maschinengeometrie die Importposition für diese kennen. Bestätigen Sie den Layer, auf der die Geometrie gespeichert wird und klicken Sie auf OK.

Hinweis: Falls auf diesem Layer bereits irgendeine Geometrie existiert, bekommen Sie beim Import Ihrer Maschinengeometrie eine Fehlermeldung und Sie werden aufgefordert, einen anderen Layer zu wählen.

  6. Wenn Sie eine neue Maschinendefinition erstellen, speichern und bezeichnen Sie sie.

  7. Klicken Sie auf OK, um den Maschinendefinitions-Manager zu schließen. Ihre Maschinendefinition bleibt jedoch im Hintergrund geladen.

  8. Klicken Sie in der Menüleiste auf Datei, Datei verbinden / Blöcke....

  9. Wählen Sie die Datei, die Ihre Geometrie enthält.

Mastercam fügt die Elemente in die aktuelle Datei ein.

  10. Klicken Sie auf OK, um die verbundenen Elemente zu akzeptieren und die Optionsleiste zu schließen.

Tipp: Klicken Sie in der Menüleiste auf die Schaltfläche Anpassen [image] , damit die gesamte verbundene Geometrie angezeigt wird.

An diesem Punkt können Sie die Geometrie bearbeiten, verschieben oder skalieren. Sie können bei Bedarf auch zusätzliche Geometrie zeichnen.

Assoziieren von Komponenten mit Modellen

  1. Klicken Sie nach erfolgreichem Verbinden der Komponentengeometrie im Menü Einstellungen auf Maschinendefinition (Manager).

  2. Erstellen Sie (bei Bedarf) die Komponentenstruktur mit den erforderlichen Komponenten.

  3. Klicken Sie mit der rechten Maustaste auf eine Komponente und wählen Sie im Kontextmenü die Option Eigenschaften.

  4. Wählen Sie die Registerkarte Geometrie.

  5. Wählen Sie einen Geometrie-Typ.

    • Die Geometrietypen Solid-Element, STL Element, Austragen und Rotation erfordern die Auswahl importierter Geometrie. Klicken Sie die entsprechende Schaltfläche, um die Geometrie im Grafikfenster auszuwählen.

    • Die Geometrietypen Block und Zylinder erfordern keine importierte Geometrie. Erzeugen Sie das Solidelement durch Ausfüllen der Felder.

  6. Verwenden Sie Symbolleistenschaltflächen für eine Vorschau des Komponentenmodells und seiner Position.

Verwenden Sie gegebenenfalls die Registerkarte Position/Orientierung auf der Maschine, um das Solid auf die richtige Position relativ zum Rest der Maschine zu verschieben.

  7. Geben Sie auf der Registerkarte Parameter die Startposition und Verfahrlimits der Komponente ein.

  8. Drücken Sie die Schaltfläche Maschinenachsen prüfen [image] , um die Bewegung der Komponente zwischen ihren Limits zu simulieren.

Siehe auch...

  • Tipps zum Erzeugen von Komponentengeometrie


Tipps zum Erzeugen von Komponentengeometrie

Während Ihnen die Maschinendefinitions-Architektur von Mastercam große Flexibilität für das Formen Ihrer Maschine und ihrer Komponenten bietet, können sich die folgenden Richtlinien als sehr hilfreich erweisen.

  • Erzeugen (oder zumindest planen) Sie die Komponentenstruktur, die Sie im Maschinendefinitions-Manager verwenden wollen, bevor Sie Ihre Modelle erstellen. Sie können jeder Komponente nur ein Solidelement zuweisen, was bei der genauen Planung hilft, welche Modelle erzeugt werden müssen. Zusatzkomponenten (bzw. Erweitert...) stellen eine bequeme Möglichkeit dar, um Komponenten oder Baugruppen hinzuzufügen, die in die Simulation einbezogen werden sollen, jedoch in Mastercam nicht einzeln programmiert werden können.

  • Ein detailliertes Modell einer kompletten Werkzeugmaschine wird wahrscheinlich viel mehr Solidelemente enthalten, als es Komponenten in der Komponentenstruktur gibt. Deshalb müssen Sie unter Umständen mehrere Solidelemente miteinander kombinieren (z.B. mit der Funktion Solids, Hinzu), um die Anzahl der Elemente zu reduzieren, während die Detailstufe erhalten bleibt. Klicken Sie hier für ein Beispiel.

  • Eine wichtige Entscheidung betrifft die Art und Weise, wie detailliert (und genau) Ihre Modelle erzeugt werden sollen. Dies hängt direkt davon ab, wie detailliert Ihre Simulation sein soll. Es ist dabei hilfreich, Ihre Maschine hinsichtlich „heißer Zonen“ und „kalter Zonen“ zu betrachten. Heiße Zonen sind dabei die Bereiche der Arbeitsumgebung in der Nähe der Stelle, an der das Werkzeug Kontakt mit dem Werkstück hat. Kalte Zonen liegen an weiter entfernten Stellen, an denen Komponenten weniger wahrscheinlich Kontakt mit dem Werkstück haben. Allgemeinen gilt: je näher eine Komponente an einer heißen Zone liegt, desto detaillierter und genauer sollte das Modell sein.

  • Eine andere wichtige Planungsentscheidung betrifft die Position, auf der Ihr Maschinen-Nullpunkt definiert werden soll. Alle Ihre Maschinenkomponenten werden relativ zu diesem Punkt definiert und positioniert, deswegen sollte es eine Position sein, auf die sich andere Komponenten leicht beziehen können. Eine typische Position für eine Drehmaschine wäre beispielsweise die Stelle, an der sich die Zentrumslinie der Spindel mit der Vorderseite der Spindel oder der Spannvorrichtung schneidet. Typische Positionen für eine Fräsmaschine können solche Stellen sein, an denen sich die Z-Achse mit dem Tisch schneidet oder das Zentrum der Werkzeugspindelspitze. Diese Positionen erleichtern den Beginn des Maschinenaufbaus von der heißen Zone und die Arbeit nach außen. Klicken Sie hier für ein Beispiel.

  • Ihr Maschinen-Nullpunkt hat keinen Einfluss auf die Werkstückprogrammierung. Wenn Sie eine Rohteilkomponente erzeugen und es auf der Maschine platzieren, definiert das Rohteilmodell die Beziehung zwischen den Maschinenkoordinaten und Ihren Werkstückkoordinaten.

  • Es ist im Allgemeinen leichter, alle Komponenten auf ihren korrekten Positionen relativ zueinander zu zeichnen. Sie können bei Bedarf jedoch auch die Registerkarte „Position/Orientierung auf der Maschine“ zur Neupositionierung von Komponenten verwenden.

  • Im Maschinendefinitions-Manager können Solids nicht skaliert oder in der Größe verändert werden. Sie können sie jedoch verschieben oder neu positionieren, sowie ihre Farbe ändern.

  • Profilgeometrie für ausgetragene und Rotations-Solids muss aus geschlossenen Kurven bestehen.

  • Das schnellste Simulationsergebnis wird durch die Geometrietypen Block und Zylinder erzielt. Das langsamste durch importierte Solid-Elemente. Sie können die Toleranz erhöhen, um das Simulationsergebnis zu verbessern. Ziehen Sie die Verwendung einer groberen Toleranz für Komponenten in der kalten Zone in Betracht und eine feinere Toleranz für Komponenten in der heißen Zone.

Siehe auch...

  • Hinzufügen von Geometrie zu einer Maschinendefinition

  • Registerkarte „Position/Orientierung auf der Maschine“


Konfigurieren von Rohteilmodellen für die Simulation

Mastercam erfordert das Definieren eines Rohteilmodell, bevor Sie Werkzeugwege simulieren können. Wenn Sie ein Rohteilmodell definieren, fügt Mastercam automatisch eine Rohteilkomponente in die Maschinendefinition ein. Sie können diese, wie jede andere Komponente, bearbeiten und ihre Anzeigeeigenschaften einstellen.

Hinweis: Mastercam speichert das Rohteilmodell als Teil der lokalen Kopie der Maschinendefinition (gespeichert mit Ihrer Teile-Datei), nicht in der Hauptkopie der Maschinendefinition (gespeichert auf Ihrem Mastercam-Arbeitsplatz).

Definieren des Rohteilmodells

Klicken Sie im Werkzeugweg-Manager auf Rohteileinstellungen, um mit dem Erstellen des Rohteilmodells zu beginnen.

Es erscheint daraufhin die Registerkarte Rohteileinstellungen. Sie können ein Rohteil-Basismodell erstellen, indem Sie die Daten direkt in diese Registerkarte eingeben. Mastercam erstellt daraufhin automatisch eine Maschinendefinitionskomponente aus diesen Einstellungen.

Arbeiten mit Rohteilkomponenten

Wählen Sie auf der Registerkarte Rohteileinstellungen die Option Maschinenbaum verwenden, um die Rohteilkomponente direkt zu bearbeiten.

Wenn Sie diese Option wählen, zeigt Mastercam das Rohteilmodell als Teil der Tischkomponentengruppe an.

Klicken Sie mit der rechten Maustaste auf das Rohteilmodell (bzw. Rohteil) und wählen Sie die Kontextmenü-Option Eigenschaften, um dessen Komponenten-Eigenschaften zu bearbeiten. Mastercam zeigt, wie bei anderen Maschinendefinitionskomponenten, die standardmäßige Registerkarte (Komponenten-)Geometrie an. Hierdurch erhalten Sie mehrere zusätzliche Einstellmöglichkeiten:

  • Konfigurieren der Farbe und anderer Anzeigeattribute.

  • Erstellen von Rohteilmodellen aus ausgetragenen und rotierten Profilen.

  • Verwenden der Symbolleistenschaltflächen für eine Vorschau des Rohteilmodells relativ zum Rest der Maschinendefinition.

  • Verwenden Sie die Registerkarte Position/Orientierung auf der Maschine, um das Rohteilmodell auf eine andere Tischposition zu verschieben.

Wenn Sie auf der Standard-Registerkarte Rohteileinstellungen ein blockförmiges oder zylindrisches Rohteil definiert haben, überträgt Mastercam diese Einstellungen automatisch auf die Registerkarte Geometrie. Sie können sie von beiden Positionen bearbeiten.

Verschieben des Rohteilmodells an eine andere Position auf Ihrer Maschine

Das Rohteilmodell, dass Sie entweder mit der Registerkarte Rohteileinstellungen oder der Registerkarte Geometrie erstellen, wird relativ zu Ihrem Teil angezeigt (gezeichnet). Oft liegt eine Ecke des Modells oder dessen Zentrumspunkt auf der Position (0,0,0). Verwenden Sie die Registerkarte Position/Orientierung auf der Maschine, um das Rohteilmodell auf eine andere Tischposition zu verschieben.

  1. Deaktivieren Sie das Kontrollkästchen Das Rohteil wird auf der Position auf der Maschine gezeigt.

  2. Wählen Sie im Bereich Position am Rohteil (Weltkoordinaten) einen Referenzpunkt auf dem Rohteilmodell aus.

  3. Stellen Sie im Bereich Position auf der Maschine (Weltkoordinaten) die Koordinaten des Referenzpunkts relativ zum Maschinen-Nullpunkt ein.

Siehe auch...

  • Konfigurieren von Rohteilmodellen für die Simulation: Beispiel

  • Konfigurieren von Werkzeugen für die Simulation


Konfigurieren von Werkzeugen für die Simulation

Ziehen Sie den Mauszeiger über die Abbildung, um die
Werkzeugkomponente in der Komponenten-Verzeichnisstruktur anzuzeigen.

Damit Mastercam Ihre Werkzeuge korrekt simulieren kann, müssen Sie für jedes Werkzeug, das simuliert werden soll, eine Werkzeugkomponente in Ihre Maschinendefinition einfügen. Werkzeugkomponenten basieren auf den in der Werkzeugdefinition gespeicherten Daten.

  • Mastercam erzeugt Werkzeugkomponenten beim Start der Simulation automatisch. Die Werkzeuge, die Sie für Ihre Operationen gewählt haben, werden automatisch importiert.

  • Sie können die Komponenten auch manuell erzeugen und/oder bearbeiten.

Konfigurieren Sie Ihre Werkzeug- und Maschinendefinitionen nach den folgenden Richtlinien, damit das korrekt funktioniert.

Werkzeugdefinitionen

Bei Standardwerkzeugtypen erzeugt Mastercam zwei Solids für die Werkzeugsimulation:

  • Einen einfachen Werkzeughalter, der auf den Halter- und Halter-DM-Abmessungen aus der WZ-Definition basiert.

  • Ein Rotationssolid des Werkzeugprofils, das in der WZ-Definition angezeigt wird.

Bei der Werkzeugsimulation legt Mastercam den Mittelpunkt der Oberseite des Werkzeughalters auf die WZ-Referenzposition in der Spindel, die auf der Registerkarte Parameter (WZ-Spindel) gespeichert ist. Der Abstand von der WZ-Spindel-Fläche bis zur WZ-Spitze ist gleich der Halter-Länge plus der (Gesamt-)Länge.

Hinweis: Bei undefinierten oder benutzerdefinierten Werkzeugtypen simuliert Mastercam nur das Werkzeugprofil und nicht den Halter. Es nimmt an, dass das Halterprofil Teil des Werkzeugprofils ist.

Klicken Sie hier für ein Beispiel

Die Einstellungen unten definieren einen standardmäßigen Fasensenker. Ziehen Sie den Mauszeiger über die Abbildung, um das Werkzeug anzuzeigen, das anhand dieser Einstellungen simuliert wird:

Werkzeugdefinition für die Simulation

Werkzeugspindelkomponenten

In Ihrer Maschinenkonfigurationsstruktur sind Werkzeugkomponenten an WZ-Spindeln angefügt. Wenn Sie Werkzeuge in die Maschine laden, durchsucht Mastercam Ihre Maschinendefinition nach einer WZ-Spindel, an der die Werkzeuge angefügt werden können. Wenn mehr als eine WZ-Spindel vorhanden ist, werden Sie aufgefordert, die passende auszuwählen.

Wenn mehr als ein Werkzeug vorhanden ist, werden alle Werkzeuge als gleichwertige Komponente an der WZ-Spindel angefügt. Sie werden nicht in den Werkzeugwechsler eingefügt. (In Dreh- und Mill-Turn-Maschinen können Werkzeuge auch zu Revolver- und Stufenwerkzeug-Komponenten hinzugegfügt werden.)

Die WZ-Referenzposition in der Spindel und die WZ-Orientierung in der Spindel sind für die korrekte Simulation entscheidend.

  • Die WZ-Referenzposition in der Spindel bestimmt die Position des Werkzeugs relativ zu Ihrem Maschinen-Nullpunkt, wenn die Spindel auf der WZ-Wechselposition liegt.

  • Die WZ-Orientierung in der Spindel bestimmt die Richtung, in der das Werkzeug ausgerichtet ist, wenn die Spindel auf der WZ-Wechselposition liegt.

Klicken Sie hier für ein Beispiel eines Vertikal-Bearbeitungszentrums (VMC).

In Vertikal-Bearbeitungszentren (VMCs) wird bei der Werkzeugsimulation normalerweise die Ansicht Oben verwendet. Die Spindel wird direkt über dem Maschinen-Nullpunkt angezeigt.

Klicken Sie hier für ein Beispiel eines Horizontal-Bearbeitungszentrums (HMC).

Bei Werkzeugen in einem HMC würde zur korrekten Ausrichtung normalerweise die Ansicht Hinten verwendet.

Siehe auch...

  • Konfigurieren von Rohteilmodellen für die Simulation


Dialogfeld „Komponente hinzu“

Geben Sie mit Hilfe dieses Dialogfelds an, ob in der Komponenten-Verzeichnisstruktur (untergeordnete Komponente) für die soeben erzeugte Komponente eine neue Ebene erzeugt werden soll oder ob sie als zusätzliche Komponente auf derselben Ebene (gleichwertige Komponente) eingefügt werden soll. Beispiel: In dieser Abbildung

sind die ersten drei Komponenten nachfolgend untergeordnet. Jede Komponente liegt auf einer Ebene unterhalb der vorherigen.

Im Gegensatz dazu sind die drei WZ-Einheit-Komponenten untereinander gleichwertig. Jede liegt auf derselben Ebene und ist direkt mit der Komponente unterer Revolver (Lathe Lower Turret) verbunden.

Mastercam zeigt dieses Dialogfeld immer dann automatisch an, wenn Sie eine Komponente hinzufügen und die aktuell ausgewählte Komponente bereits eine untergeordnete Komponente besitzt. In diesem Fall beispielsweise würde es angezeigt, weil die Komponente C-Achse bereits eine untergeordnete Komponente, die Spannvorrichtung besitzt.

Wenn Sie die Optionsschaltfläche Untergeordnete Komponente hinzu markieren, erzeugt Mastercam zwischen C-Achse und Spannvorrichtung eine neue Ebene für die neue Komponente. Wenn Sie die Optionsschaltfläche Gleichwertige Komponente hinzu markieren, fügt Mastercam die neue Komponente auf derjenigen Ebene ein, auf der sich auch die Spannvorrichtung befindet.

Weitere Informationen zu...

  • Maschinenkomponenten

  • Komponentengruppen


Dialogfeld &bdquo;Achsen-Kombinationen“

Dialogfeld „Achsen-Kombinationen“

Wählen Sie mit Hilfe dieses Dialogfelds eine Achsenkombination zur Verwendung in der Operation. Normalerweise repräsentiert eine Achsenkombination die spezifische Spindel und/oder den spezifischen Revolver, die/den Sie für einen Bearbeitungsjob verwenden wollen. Hierdurch wird definiert, welche Maschinenachsen zur Repräsentation des Teile-Koordinatensystems verwendet werden. Jede Achsenkombination kann auch eine Werkzeugwechselposition und einen Satz Referenzpunkte speichern.

Achsenkombinationen werden mit der Maschinendefinition definiert und gespeichert. Normalerweise ist es nur bei Mehrfach-Achsen-/Mehrfach-Revolver-Drehmaschinen erforderlich, Achsenkombinationen einzurichten. Für die meisten Fräsmaschinen und Router (Holzbearbeitungsmaschinen) genügt die voreingestellte Achsenkombination.

Weitere Informationen zu...

  • Maschinen-Achsenkombinationen


Dialogfeld &bdquo;Zugeteilte Achsenkombinationen“

Dialogfeld „Zugeteilte Achsenkombinationen“

Dieses Dialogfeld erscheint beim Import eines Dateiverzeichnisses nach Mastercam. Achsenkombinationen werden gemäß der in den importierten Dateien verwendeten Werkzeugebenen und Werkzeugdefinitionen zugewiesen. Mit Hilfe von Achsenkombinationen wird in der Maschinendefinition definiert, welche Achsen für einen Werkzeugweg zusammenarbeiten können. Ein Maschinentyp, für den normalerweise Achsenkombinationen erforderlich sind, ist eine Mehrspindel-/Multi-Revolver-Drehmaschine.

In diesem Dialogfeld werden die automatisch von Mastercam erstellten Achsenkombinationszuweisungen angezeigt. Das geschieht nur dann, wenn:

  • Sie eine Teiledatei mit Werkzeugwegen aus einer früheren Version von Mastercam in eine Maschinengruppe laden, und

  • die Maschinendefinition mehrere Achsenkombinationen enthält.

Mastercam weist den Operationen automatisch Achsenkombinationen zu und blendet zur Information darüber dieses Dialogfeld ein. Anhand der darin enthaltenen Angaben können Sie Änderungen an der Achsenkombination durchführen, die einer Operation zugewiesen ist.

Hinweis: Sie können diese Meldung deaktivieren, indem Sie das Kontrollkästchen „Diese Meldung für die verbleibenden Importdateien nicht mehr zeigen“ markieren. Danach wird das Dialogfeld für den Rest der laufenden Mastercam-Sitzung nicht mehr angezeigt.


Dialogfeld &bdquo;Blockerzeugung“

Dialogfeld „Blockerzeugung“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Erzeugen Sie mit Hilfe dieses Dialogfelds einen kompletten Blockbohrer mit mehreren Stationen statt einzelne Werkzeuge hinzuzufügen. Dabei können Sie Bohrer in der X- und Y-Bank in beliebiger Anordnung definieren, indem Sie die erste Bohrposition einrichten und dann das Vorzeichen der Versatzwerte ändern. Sie können einen einzigen Versatz für alle Stationen (mit Inkrement Null) angeben oder jeden einzelnen Stationsversatz beim Definieren der Station inkremental erhöhen. Im Vorschaufenster werden die Postionen der definierten Bohrer angezeigt. Klicken Sie oben auf die Registerkarte Felddefinitionen, um weitere Informationen aufzurufen.

Weitere Informationen zu...

  • Maschinenkomponenten

  • Dialogfeld „Maschinenkomponentenmanager - Blockbohrer“ (Parameter)

  • Blockbohr-Werkzeugwege

  • Dialogfeld „Blockbohrauswahl“


Dialogfeld „CNC-Maschinentypen“

Verwenden Sie dieses Dialogfeld, um den Maschinentyp, der erzeugt oder bearbeitet werden soll, auszuwählen oder um eine Komponentenbibliothek zu öffnen. Sie können hier mit jeder Schaltfläche den Maschinendefinitions-Manager aufrufen und die Komponentengruppen für den gewählten Maschinentyp laden.

Wenn Sie dieses Dialogfeld über den Maschinendefinitions-Manager vom Menü Einstellungen aus geöffnet haben und es ist kein Maschinentyp definiert, erscheint das Dialogfeld „CNC-Maschinentyp“ wie oben dargestellt. Wenn Sie bereits einen Maschinentyp ausgewählt haben, können Sie im Maschinendefinitions-Manager die Schaltfläche Neu (Datenbank leeren...) drücken.

Wenn Sie auf diese Weise auf das Dialogfeld zugreifen, steht die Schaltfläche Öffnen (bzw. Maschinendefinition laden) nicht zur Verfügung (siehe unten) und Sie müssen eine der anderen Schaltflächen wählen, um eine neue Maschinendefinition zu erzeugen oder eine Komponentenbibliothek zu öffnen.


Dialogfeld //&bdquo;Komponente zum Einspannen von Werkzeugen“//

Dialogfeld //„Komponente zum Einspannen von Werkzeugen“//

Dieses Dialogfeld erscheint, wenn Sie versuchen, Werkzeuge zu laden und Mastercam nicht herausfinden kann, in welcher Komponente ein oder mehrere Werkzeuge montiert sein sollen. Wählen Sie die passende Komponente und klicken Sie auf OK.


Dialogfeld &bdquo;Eckbeschleunigung“

Dialogfeld „Eckbeschleunigung“

Berechnen Sie mit Hilfe dieses Dialogfelds den Eckbeschleunigungswert, der in der Highfeed-Bearbeitung verwendet wird. Ziehen Sie für den optimalen Wert in Gs für die Eckbeschleunigung die Dokumentation Ihrer Werkzeugmaschine zu Rate. Ist dieser Wert dort nicht angegeben, können Sie den besten Wert für die Eckbeschleunigung durch Testen ermitteln.

Klicken Sie hier, um Informationen zur Berechnung der geeigneten Eckbeschleunigung aufzurufen.

Geben Sie nach Abschluss des Eckbeschleunigungstests die Werte unten ein, so dass Mastercam den Eckbeschleunigungswert in Gs berechnen kann.

  • Vorschub am Testdurchmesser – Geben Sie hier den im Eckbeschleunigungstest ermittelten Vorschubwert ein. Dies ist der größtmögliche Vorschub, bei dem im Test weder ein Rattern noch Kollisionen auftreten.

  • Testdurchmesser – Geben Sie hier die Größe des Kreises ein, den Sie beim Eckbeschleunigungstest bearbeitet haben.

  • Eckbeschleunigung – Mastercam berechnet diesen Wert automatisch, nachdem Sie den Vorschub und den Testdurchmesser eingegeben haben.


Registerkarte &bdquo;KEbene / WEbene“ (Allgemeine Maschinenparameter)

Registerkarte „KEbene / WEbene“ (Allgemeine Maschinenparameter)

Verwenden Sie diese Registerkarte, damit Mastercam immer dann automatisch ein bestimmtes Werkzeug und eine bestimmte Konstruktionsebene auswählt, wenn diese Maschine für eine Operation gewählt wird. Diese Registerkarte wird für Fräs- und Router-Maschinendefinitionen verwendet. Klicken Sie hier, um weitere Informationen über die verschiedenen Optionen aufzurufen, die für das Drehen zur Verfügung stehen.

Vordef. KEbene

Klicken Sie auf die gewünschte Ebene oder das gewünschte Koordinatensystem.

  • Wählen Sie zur Verwendung der Durchmesserkoordinaten die Option „DZ“, die dem gewünschten Quadranten, zum Beispiel +D+Z für den oberen rechten Quadranten entspricht.

  • Wählen Sie zur Verwendung der Radiuskoordinaten die Option „XZ“, die dem gewünschten Quadranten, zum Beispiel -X+Z für den unteren rechten Quadranten entspricht.

  • Wählen Sie eine der Standardebenen (zum Beispiel: Oben, Vorne oder Hinten), um ein 3D-Koordinatensystem in der gewünschten Ausrichtung einzurichten.

  • Wählen Sie Nein, um das bei Auswahl der Maschine aktive Werkzeug und die dann aktiven Konstruktionsebenen zu verwenden.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „Achsenvorschubbegrenzungen“

  • Registerkarte „Kühlmittelbefehle“

  • Registerkarte „WZ/Materialbibliotheken“

  • Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

  • Registerkarte „Maschinendynamik“

  • Einstellen der Standard-KEbenen und -WEbenen

  • Maschinendefinitions-Manager


Registerkarte &bdquo;KEbene, WKS, HTC/VTL“ (Allgemeine Maschinenparameter)

Registerkarte „KEbene, WKS, HTC/VTL“ (Allgemeine Maschinenparameter)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Richten Sie mit Hilfe dieser Registerkarte das Standard-Koordinatensystem für Ihre Drehmaschine ein. Die hier gewählten Ebenen werden immer dann automatisch aktiviert, wenn diese Maschine für eine Operation gewählt wird. Diese Registerkarte wird für Drehmaschinendefinitionen verwendet. Klicken Sie hier, um weitere Informationen über die verschiedenen Optionen aufzurufen, die für Fräsen und Router zur Verfügung stehen.

Vordef. KEbene

Klicken Sie auf die gewünschte Ebene oder das gewünschte Koordinatensystem.

  • Wählen Sie zur Verwendung der Durchmesserkoordinaten die Option „DZ“, die dem gewünschten Quadranten, zum Beispiel +D+Z für den oberen rechten Quadranten entspricht.

  • Wählen Sie zur Verwendung der Radiuskoordinaten die Option „XZ“, die dem gewünschten Quadranten, zum Beispiel -X+Z für den unteren rechten Quadranten entspricht.

  • Wählen Sie eine der Standardebenen (zum Beispiel: Oben, Vorne oder Hinten), um ein 3D-Koordinatensystem in der gewünschten Ausrichtung einzurichten.

  • Wählen Sie Nein, um das bei Auswahl der Maschine aktive Werkzeug und die dann aktiven Konstruktionsebenen zu verwenden.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „Achsenvorschubbegrenzungen“

  • Registerkarte „Kühlmittelbefehle“

  • Registerkarte „WZ/Materialbibliotheken“

  • Registerkarte „Maschinendynamik“

  • Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

  • Koordinatensysteme beim Drehen

  • Einstellen der Standard-KEbenen und -WEbenen

  • Arbeiten mit vertikalen Revolver-Drehmaschinen (VRDs)

  • Verwenden der Ebene „Drehen Z = Welt Z“

  • Maschinendefinitions-Manager


Dialogfeld „Vordefinierte WZ-Wechselposition“

Definieren Sie mit Hilfe dieses Dialogfelds die vordefinierte WZ-Wechselposition für die gewählte Achsenkombination. Geben Sie sowohl in den Inch- als auch in den mm-Feldern Werte für die WZ-Wechselposition ein. Verwenden Sie die Kopieren-Schaltflächen (siehe unten), um einen Satz von Werten automatisch in die jeweils andere Einheit zu konvertieren und in die entsprechenden Felder zu übernehmen.

Weitere Informationen zu...

  • Dialogfeld „Voreingestellter Referenzpunkt“

  • Metrische und Inch-Maschinendefinitionen

  • Werkzeugwechselpositionen und Referenzpunkte

  • Komponentengruppen


Dialogfeld „Voreingestellter Referenzpunkt“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie mit Hilfe dieses Dialogfelds die voreingestellten Referenzpunkte für die gewählte Achsenkombination.

Ein Referenzpunkt ist eine Position, die das Werkzeug zwischen der Werkzeugwechselposition und dem Anfang oder Ende des Werkzeugwegs anfährt. Die WZ-Wechselposition ist normalerweise die Position, die das Werkzeug zum Werkzeugwechsel und am Ende des NC-Programms anfährt.

  • Sie können separate Referenzpunkte für Anfahr- und Rückzugsbewegungen erzeugen.

  • Bei Drehmaschinen können Sie für Innen- und Außenarbeiten separate Sätze von Referenzpunkten erzeugen.

Definieren von Referenzpositionen

Markieren Sie zuerst die Kontrollkästchen Anfahrt oder Rückzug, um die Referenzpunktfunktion für die jeweilige Bewegung zu aktivieren. Ist keine der beiden Typen aktiviert, fährt das Werkzeug im Eilgang direkt von der Werkzeugwechselposition zur ersten/letzten programmierten Position in der Operation.

Stellen Sie als nächstes die Koordinaten der einzelnen Punkte ein.

  • Aktivieren Sie die einzelnen Achsen durch Markieren der Kontrollkästchen X, Y und Z. Wenn beispielsweise nur Z und nicht X und Y markiert ist, fährt das Werkzeug am Ende des Werkzeugwegs ohne Änderungen in X oder Y im Eilgang direkt auf die angegebene Z-Höhe.

  • Markieren Sie die Option Absolut, um den Referenzpunkt relativ zum Nullpunkt (0,0,0) einzustellen oder Inkremental, um ihn relativ zur ersten/letzten Bewegung im Werkzeugweg einzustellen.

  • Klicken Sie auf die Schaltfläche [image] , um denselben Punkt sowohl für Anfahrt- als auch für Rückzugsbewegungen zu verwenden.

Metrische und Inch-Werte

Wenn Sie Referenzpunkte für eine Maschinendefinition einstellen, sollten Sie für metrische und Inch-Operationen separate Sätze von Werten anlegen. Klicken Sie auf die Schaltfläche In mm umwandeln oder In Inch umwandeln, um einen Wertesatz automatisch in die jeweils andere Einheit umzuwandeln und in die entsprechenden Felder zu übernehmen.

Weltkoordinaten und Teilekoordinaten im Vergleich

Wenn Sie im Maschinendefinitions-Manager voreingestellte Referenzpunkte für eine Maschinendefinition einstellen, beziehen sich die Koordinatenachsen auf das Weltkoordinatensystem. Bei einer typischen 2-Achsen Schrägbett-Drehmaschine beispielsweise wäre ein Referenzpunkt auf der Zentrumslinie der Spindel eine X-Koordinate.

Wenn Sie Referenzpunkte für eine einzelne Operation definieren, sind die Koordinatenachsen mit denen Ihres Teileprogramms identisch. Bei derselben 2-Achsen-Schrägbett-Drehmaschine beispielsweise wäre ein Referenzpunkt auf der Zentrumslinie der Spindel eine Z-Koordinate.

Weitere Informationen zu...

  • Werkzeugwechselpositionen und Referenzpunkte


Dialogfeld &bdquo;Operations-Kompatibilität“

Dialogfeld „Operations-Kompatibilität“

Wenn Sie eine Operation von einer Maschinengruppe in eine andere verschieben, prüft Mastercam, ob die Operation mit der Maschinendefinition der neuen Maschinengruppe kompatibel ist. Erkennt Mastercam dabei, dass die Operation nicht auf der Maschine ausgeführt werden kann oder auf irgendeine Weise geändert werden muss, wird dieses Dialogfeld eingeblendet.

Klicken Sie auf die Schaltfläche Details, um eine Übersicht der Änderungen an der Operation aufzurufen, die notwendig sind, damit sie auf der Maschine ausgeführt werden kann. Falls die Operation aufgrund inkompatibler Achsen oder fehlender Unterstützung des Operationstyps durch der Maschine nicht ausgeführt werden kann (z.B. ein Drehwerkzeugweg auf einer Fräsmaschine), wird die Operation nicht zur neuen Maschine verschoben.


Ändern einer Maschinendefinition

Bevor Sie in Mastercam Werkzeugwege erzeugen können, müssen Sie eine Maschinendefinition aktivieren.

Die Maschinendefinition in der Maschinengruppe ist in Wirklichkeit eine Kopie der Maschinendefinitionsdatei. Diese lokale Kopie ist innerhalb des Teils gespeichert, so dass Sie das Teil auf einen anderen Mastercam-Rechner verschieben können, ohne separate Maschinen- und Steuerungsdefinitions-Dateien mitnehmen zu müssen.

Wichtig! Der Postprozessor wird kein Bestandteil der Maschinendefinition und wird deshalb nicht mit der Teiledatei gespeichert oder übertragen.

Mastercam erlaubt Änderungen sowohl an der Haupt-Kopie der Maschinendefinition als auch an der lokalen Kopie.

Ändern der Originaldatei (Hauptkopie)

  • Klicken Sie im Menü Einstellungen auf Maschinendefinition (Manager). Ist im Werkzeugweg-Manager eine Maschinengruppe aktiv, lädt Mastercam das Original (die Hauptkopie) der Maschinendefinitionsdatei in den Maschinendefinitions-Manager. Alle Ihre Änderungen werden in der Hauptkopie der Maschinendefinition gespeichert und verändern die Maschinendefinition. Desweiteren besitzen Sie die Möglichkeit, die Änderungen in die lokale Kopie der Maschinendefinition zu übernehmen, wenn sie in einer Werkzeugweggruppe verwendet wird.

Ändern der lokalen Kopie

  • Klicken Sie zum Öffnen der lokal in der MCX-Datei gespeicherten Maschinendefinition im Werkzeugweg-Manager unter „Eigenschaften der Maschinengruppe“ auf das Symbol „Dateien“.

Klicken Sie dann auf die Schaltfläche „Bearbeiten“, um den Maschinendefinitions-Manager zu öffnen.

Wichtig! Wenn Sie den Maschinendefinitions-Manager aus den „Eigenschaften der Maschinengruppe“ heraus aufrufen, bietet er keine Möglichkeit zum Speichern der Maschinendefinition in einer anderen Datei. Er sichert alle Änderungen nur in der lokalen Kopie der Maschinendefinition, die in dem Teil gespeichert ist.

Siehe auch...

  • Erstellen einer Maschinendefinition

  • Maschinendefinitions-Manager

  • Auswählen eines Maschinentyps


Dialogfeld &bdquo;Maschinendefinition – Dateischutz“

Dialogfeld „Maschinendefinition – Dateischutz“

Dieses Dialogfeld wird angezeigt, wenn Sie versuchen, eine kennwortgeschützte Maschinendefinition zu öffnen. Wenn Sie das Kennwort nicht kennen, klicken Sie auf OK, um den Maschinendefinitions-Manager zu öffnen, in dem Sie die Maschinendefinition dann einsehen, aber nicht ändern können.

Setzen Sie sich bei Fragen zum Kennwort mit Ihrem Systemadministrator oder Ihrem Mastercam-Vertriebspartner in Verbindung.


Dialogfeld „Maschinen-Achsenkombinationen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie mit Hilfe dieses Dialogfelds zulässige Achsenkombinationen für Maschinen mit mehreren Achsen. Achsenkombinationen informieren Mastercam darüber, welche Z-Achse verwendet wird. Darüber hinaus können Sie eine Werkzeugwechselposition und Referenzpunkte für jede Achsenkombination definieren. Drücken Sie beim Erzeugen eines Werkzeugwegs auf der Registerkarte Werkzeuge die Schaltfläche Achsen-Kombinationen oder wählen Sie die Seite Achsen-Kombination, wenn Sie eine Achsenkombination verwenden wollen.

Mastercam legt automatisch eine voreingestellte Achsenkombination für jede Maschinendefinition an, die Sie erstellen. In vielen Fällen braucht die voreingestellte Achsenkombination nicht geändert werden. Je nach Komplexität Ihrer Werkzeugmaschine müssen Sie jedoch möglicherweise zusätzliche Achsenkombinationen einrichten. Achsenkombinationen müssen die folgenden Anforderungen erfüllen:

  • Eine Achsenkombination erfordert zwei Komponentengruppen.

  • Jede Komponentengruppe muss entweder in einer Werkstück-Einspann- oder Werkzeughalter-Komponente enden.

Klicken Sie auf eins der folgenden Themen, um produktspezifische Informationen einzublenden.

Drehen

Drehmaschinen mit mehreren Spindeln und Revolvern erfordern normalerweise Achsenkombinationen, um Werkzeuge mit den richtigen Spindeln zu kombinieren. Eine Achsenkombination könnte beispielsweise die linke Spindel mit dem oberen Revolver verknüpfen.

Router

Bei Router-Maschinendefinitionen mit Mehrfachköpfen werden die Kopfpositionsversätze über das Dialogfeld „Mehrfachkopfauswahl“ der Registerkarte „Werkzeuge“ der Operation an die NCI-Datei übergeben. Sie müssen nicht alle möglichen Achsenkombinationen für Maschinen mit Mehrfachköpfen einrichten.

Fräsen

Für die meisten Fräsmaschinen sind keine Achsenkombinationen erforderlich. Außer, wenn Ihre Maschine eine programmierbare Pinole besitzt. In diesem Fall müssen Sie Achsenkombinationen definieren, um die Pinole von der regulären Z-Achse zu unterscheiden.

Drahten

Optionen des Kontextmenüs

Achsen-Kombinationen

Ist eine Achsenkombination markiert, sind die nachfolgenden Funktionen verfügbar. Ist keine markiert, steht nur die Kontextmenü-Option Neue Achsenkombination zur Verfügung.

  • Neue Achsenkombination fügt eine Achsenkombination in die Liste ein.

  • Selektierte Achsenkombination löschen: Löscht die gewählte Achsenkombination aus der Liste.

  • Selektierte Achsenkombination umbenennen Ermöglicht eine Änderung der Bezeichnung einer Achsenkombination.

Verwendete Komponenten

  • Alle öffnen/Alle schließen Öffnet und schließt die Komponentengruppen in der Verzeichnisstruktur.

  • Große Icons/Kleine Icons Ändert die Größe der Komponentensymbole.

Wie kann ich...?

  • Eine Achsenkombination erzeugen

Weitere Informationen zu...

  • Werkzeugwechselpositionen und Referenzpunkte

  • Komponentengruppen


Dialogfeld &bdquo;Maschinendefinition – Dateischutz“

Dialogfelder „Maschinendefinition Dateischutz“ / „Steuerungsdefinition Kennwortschutz“

Mit Hilfe dieses Dialogfelds kann eine Maschinendefinitions- oder Steuerungsdefinitions-Datei mit einem Kennwort ausgestattet werden. Ist eine Maschinen- oder Steuerungsdefinition durch ein Kennwort geschützt, kann Sie geöffnet und eingesehen aber nicht bearbeitet werden. Anders gesagt, sie ist „gesperrt“.

Das Kennwort schützt nur die Hauptkopie der Maschinen-/Steuerungsdefinition. Änderungen an der lokalen Kopie der Maschinendefinition sind auch dann noch möglich, wenn die Hauptkopie der Maschinen-/Steuerungsdefinition kennwortgeschützt ist. Die lokale Kopie kann über das Dialogfeld Eigenschaften der Maschinengruppe geöffnet werden. Alle darin vorgenommen Änderungen werden in der Teiledatei gespeichert, jedoch nicht in der Hauptkopie der Maschinen-/Steuerungsdefinition.

So weisen Sie einer Maschinen- oder Steuerungsdefinition ein Kennwort zu:

  1. Öffnen Sie im Maschinendefinitions-Manager oder Steuerungsdefinitions-Manager die Maschinen-/Steuerungsdefinitions-Datei.

  2. Drücken Sie die Schaltfläche Verschlüsselung setzen [image].

  3. Aktivieren Sie die Optionsschaltfläche Benutzen und geben Sie ein Kennwort ein.

Das Kennwort muss mindesten sechs Zeichen lang sein (und aus Zahlen, Buchstaben oder aus einer Kombination aus beiden bestehen).

  4. Geben Sie das Kennwort zur Bestätigung erneut ein.

  5. Klicken Sie auf OK, um das Dialogfeld zu schließen.

Das Kennwort wird beim nächsten Laden der Maschinen- oder Steuerungsdefinition in eine Maschinengruppe wirksam, öffnen Sie sie dann über das Menü Einstellungen, indem Sie dort auf Maschinendefinition (Manager) oder Steuerungsdefinition (Manager) klicken. Vor dem Öffnen der Maschinen-/Steuerungsdefinition werden Sie nach dem Kennwort gefragt. Ist es nicht bekannt, können Sie die Maschinen-/Steuerungsdefinition dennoch einsehen, jedoch keine Änderungen speichern.

Wenn Sie im Maschinendefinitions-Manager oder Steuerungsdefinitions-Manager einer kennwortgeschützten Maschinen-/Steuerungsdefinition erneut auf die Schaltfläche Verschlüsselung setzen [image] klicken, werden Sie nach einem Kennwort gefragt. Geben Sie es ein, um das Dialogfeld zu öffnen und den Kennwortschutz zu deaktivieren oder das Kennwort zu ändern.

Weitere Informationen zu...

  • Maschinendefinitions-Manager

  • Steuerungsdefinitions-Manager

  • Eigenschaften der Maschinengruppe


Dialogfeld &bdquo;Maschinendefinition: Dateiwarnung“

Dialogfeld „Maschinendefinition: Dateiwarnung“

Wenn im Werkzeugweg-Manager eine Maschinengruppe geladen ist und Sie versuchen, den Maschinendefinitions-Manager über das Menü Einstellungen aufzurufen, wird dieses Dialogfeld geöffnet, damit Sie wissen, dass alle Änderungen an der Maschinendefinition in der Hauptkopie gespeichert werden. Diese Warnung können Sie für die laufende Sitzung deaktivieren, indem Sie das Kontrollkästchen „Diese Meldung nicht noch einmal zeigen“ markieren.

Weitere Informationen zu...

  • Maschinendefinitions-Manager


Dialogfeld &bdquo;Optionen des Maschinendefinitions-Managers“

Dialogfeld „Optionen des Maschinendefinitions-Managers“

Weisen Sie Mastercam mit Hilfe dieses Dialogfelds an, auf welchen Layern die Solids gespeichert werden sollen, die zum Formen der Maschinenkomponenten verwendet werden. Sie sollten diese Layer nicht zum Speichern von Teile-Geometrie oder anderer Elemente verwenden. Markieren Sie die Kontrollkästchen, um ausgeblendete Komponenten während der Maschinensimulation einzublenden und eine Abfrage durchzuführen, bevor Komponenten / Komponentengruppen gelöscht werden.

Was möchten Sie tun?

  • Solidmodelle zu einer Maschinendefinition hinzufügen

Weitere Informationen zu...

  • Maschinendefinitions-Manager

  • Tipps zum Erzeugen von Komponentengeometrie


Dialogfeld „Warnung“ (Diese Maschinendefinition ist kennwortgeschützt. Sie können...)

Dieses Warnungs-Dialogfeld wird eingeblendet, wenn die folgenden Bedingungen erfüllt sind:

  1. Sie arbeiten im Design-Modus.

  2. Sie erzeugen oder öffnen über das Menü Einstellungen eine Maschinendefinition.

  3. Schließen Sie alle geöffneten Dialogfelder und speichern Sie die Datei.

Da Mastercam geometrische Modelle in der Maschinendefinition unterstützt, muss Mastercam wissen, ob die Geometrie Teil der Maschinendefinition oder eine Mastercam-Teile-Datei ist, wenn Sie Ihre Datei auf diese Weise speichern.

Das Feld Kennwort ist aktiviert und die Schaltfläche OK ist deaktiviert, wenn die Maschinendefinition, die Sie geöffnet haben, kennwortgeschützt ist und Sie beim Öffnen dieser kein Kennwort eingegeben haben. In diesem Fall müssen Sie das Kennwort eingeben, bevor die Schaltfläche OK verfügbar wird.

Markieren Sie die Optionsschaltfläche Nur die Geometrie in die Mastercam Datei sichern, um das Teil ohne Maschinenelemente aus der von Ihnen erzeugten Maschinendefinition zu speichern. Wenn Sie auf OK klicken, speichert Mastercam die Geometrie als eine Teile-Datei.

Markieren Sie die Optionsschaltfläche Datenbank in eine Maschinendefinitionsdatei sichern, um die Geometrie als Maschinenmodell für ihre Maschinendefinition zu speichern. Hierdurch können Sie das Grafikfenster nicht nur zum Erzeugen Ihrer Maschinenkomponentenmodelle verwenden, sondern auch für Konstruktionsgeometrie, Bemaßungen, Auswahlpunkte und andere Geometrie, die in Ihrer Maschinendefinition von Nutzen sein kann, und sie in Ihrer Maschinendefinitionsdatei speichern.

Weitere Informationen zu...

  • Maschinendefinitions-Manager

  • Maschinendefinition – Übersicht


Dialogfeld „Layerproblem bei der Maschinendarstellung“

Mastercam speichert Komponentengeometrie und andere Maschinendefinition-Elemente auf drei Layern:

Mastercam zeigt dieses Dialogfeld an, wenn auf einem dieser drei Layer Teile-Geometrie oder andere unerwartete Elemente erkannt werden. Wählen Sie mit Hilfe dieses Dialogfelds unterschiedliche Layer aus, die Mastercam für die Maschinendefinitionsgeometrie verwenden kann. Wählen Sie Layer, die nicht für Teile-Geometrie verwendet wird.

Weitere Informationen zu...

  • Dialogfeld „Optionen des Maschinendefinitions-Managers“


Registerkarte &bdquo;Maschinendynamik“ (Allgemeine Maschinenparameter)

Registerkarte „Maschinendynamik“ (Allgemeine Maschinenparameter)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Geben Sie auf dieser Registerkarte Daten für Vorschubanpassungen und Eckenverhalten ein, die durch die Funktion Highfeed-Bearbeitung im Werkzeugweg-Manager verwendet werden.

Die Highfeed-Bearbeitung ist ein Optimierungsverfahren für 2,5- und 3-Achsen-Werkzeugwege in Fräsen und Router, durch das durch Vorschubkontrolle in Eckbereichen und Berechnung der Spanlast die Bearbeitungszeit reduziert wird. Zusätzlich werden dabei die Maschinenkräfte kontrolliert, um ein Überfahren der Achsen zu vermeiden.

Hinweis: Die Highfeed-Bearbeitung kann nicht mit Mehrachsen- oder Dreh-Werkzeugwegen verwendet werden.

Vorschubanpassungen

Anhand dieser Parameter trennt Mastercam einen Werkzeugweg in kleine Segmente oder Blöcke auf. Beim Optimieren eines Werkzeugwegs mit der Highfeed-Bearbeitung analysiert Mastercam den Vorschub in den einzelnen Blöcken und kombiniert die Blöcke mit Hilfe dieser Parameter dann wieder zu Einzelbewegungen mit demselben Vorschub. Zur Feinjustierung der Verzögerung bei der Einfahrt in Ecken und der Beschleunigung bei der Ausfahrt, trennt Mastercam die Bewegung anhand des Parameters Beschleunigung für Vorschubanpassung in gleichmäßige kleine Blöcke auf, um eine graduelle Geschwindigkeitsverringerung oder -erhöhung der Werkzeugbewegung zu bewirken.

Eckenverhalten

Mit Hilfe dieser Parameter definieren Sie eine Ecke als Grad der Richtungsänderung und begrenzen Vorschübe bei der Eckenbearbeitung. Klicken Sie auf die Schaltfläche „Eckenbeschleunigung“, um einen mit Ihrer Werkzeugmaschine erreichbaren Beschleunigungswert in Gs einzugeben. Ist dieser Wert vom Hersteller nicht angegeben, können Sie die optimalen Werte durch einen Eckenbeschleunigungstest ermitteln.

Weitere Informationen zu...

Allgemeine Maschinenparameter

  • Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

  • Registerkarte „Achsenvorschubbegrenzungen“

  • Registerkarte „WZ/Materialbibliotheken“

  • Registerkarte „Kühlmittelbefehle“

  • KEbene / WEbene

  • Vorschubanpassungen

  • Eckenbeschleunigung

  • Highfeed-Bearbeitung


Dialogfeld &bdquo;Maschinenreferenzpositions-Manager“ (Mill-Turn)

Dialogfeld „Maschinenreferenzpositions-Manager“ (Mill-Turn)

Hinweis: Hinweis: Diese Funktion wird nur bei Mastercam Mill-Turn-Maschinen verwendet. Wenn Sie ein anderes Mastercam-Produkt verwenden, muss diese Funktion nicht verwendet werden.

Erzeugen Sie mit Hilfe dieses Dialogfelds Sätze benannter Referenzpositionen für diese Werkzeugmaschine. Maschinenreferenzpositionen erlauben das Positionieren der einzelnen Maschinen-Achsen im Sinne von Maschinen-Koordinaten, die sich auf die Null-Positionen der Achsen beziehen, statt NC-Koordinaten, die sich auf den NC-Programm-Nullpunkt beziehen. Sie werden in Mill-Turn Teile-Handling-Werkzeugwegen verwendet, um die Achsen auf ihre WZ-Wechsel- oder Park-Position zu setzen. Das geschieht normalerweise, um den Revolver oder den B-Achsen-Kopf beim Ausführen einer Übergabe-Operation zur Seite zu bewegen.

Klicken Sie hier, um Informationen darüber einzublenden, wie Referenzpunkte aktuell in Mastercam Fräsen, Drehen, Drahten und Router implementiert sind.

Siehe auch...

  • Maschinendefinitions-Manager

  • Auswählen eines Maschinentyps


Warn-Dialogfeld &bdquo;Ersetze Gruppenmaschine...“ (bzw. &bdquo;Machine Group-x: ...“)

Warn-Dialogfeld „Ersetze Gruppenmaschine...“ (bzw. „Machine Group-x: ...“)

Auf der Registerkarte „Dateien“ des Dialogfelds „Eigenschaften der Maschinengruppe“ können Sie eine andere Maschinendefinition wählen (Klicken Sie im Gruppenfeld „Maschine“ die Schaltfläche Ersetzen, um eine auf Ihrem System verfügbare Maschinendefinition auszuwählen).

Wenn Sie bei einer Teile-Datei, die bereits Operationen enthält, eine andere Maschinendefinition wählen, prüft Mastercam, ob die Operationen mit der neuen Maschinendefinition ausgeführt werden können. Ist dies ohne Änderungen auf der neuen Maschine möglich, wird die Maschinendefinition in die Maschinengruppe geladen.

Wird festgestellt, dass die neue Operation auf der neuen Maschine nicht laufen kann, ist es nicht möglich, die ursprüngliche Maschinendefinition zu ersetzen. Klicken Sie auf die Schaltfläche Details, um Informationen zu Inkompatibilitäten zwischen Maschine und Operationen aufzurufen. Einer der Gründe ist, das die Maschine nicht über die richtigen Achsen zum Ausführen der Operation verfügt.

In anderen Fällen indes könnte die Maschine die Operationen ausführen, einige der programmierten Parameter der vorhandenen Operation liegen jedoch nicht im eingestellten Wertebereich der Maschinendefinition. Möglicherweise markiert Mastercam diese Operationen als unbereinigt und weist darauf hin, dass sie eventuell regeneriert und neu gepostet werden müssen. Diese Informationen sind auch per Mausklick auf die Schaltfläche Details abrufbar. (Bei einigen Parameteränderungen kann es sein, dass die Operation weder als unbereinigt markiert wird noch einer Regenerierung bedarf.) Diese Parameter liegen auf der Seite Werkzeuge und werden in Kursivschrift markiert.


Dialogfeld //„Ersetze Gruppen-Postprozessor mit...“ (bzw.: „Postprozessor-x: ...“)//

Mastercam zeigt dieses Dialogfeld an, wenn der Postprozessor in dem Ordner, der in der Maschinendefinition aufgeführt ist, nicht gefunden werden kann:

Dies ist normalerweise entweder dann der Fall, wenn:

  • der Postprozessor verschoben wurde, nachdem die Maschinen- und Steuerungsdefinition erzeugt worden ist.

  • Sie eine Maschinen- und Steuerungsdefinition verwenden, die von einem anderen PC-Arbeitsplatz kopiert wurde und sich der relative Verzeichnispfad zum Postprozessor unterscheidet.

Wenn Mastercam den Postprozessor nicht auf seiner erwarteten Position finden kann, sucht es an einer anderen Stelle des Rechners. Wenn es einen Postprozessor mit demselben Namen, jedoch in einem anderen Ordner findet, wird dieses Dialogfeld angezeigt, so dass Sie entscheiden können, ob dieser verwendet werden soll oder nicht.

  • Wählen Sie die Option Ersetzen..., um den in diesem Dialogfeld aufgelisteten Postprozessor zu verwenden. Mastercam listet diesen Postprozessor in den „Eigenschaften der Maschinengruppe“ auf, die Maschinen- und Steuerungsdefinition wird dabei jedoch NICHT mit der Position des Postprozessors aktualisiert. Mit dem neuen Postprozessor kann normal gepostet werden.

  • Wählen Sie die Option //Setzen Sie den Postprozessor auf „NONE (KEIN)“//, wenn der Postprozessor, der in diesem Dialogfeld aufgelistet ist, NICHT verwendet werden soll. Mastercam aktualisiert Ihre Maschinengruppeneigenschaften, um zu zeigen, dass die Auswahl „NONE (Kein Postprozessor)“ aktiviert ist:

Klicken Sie zur Auswahl eines Postprozessors beim Posten auf Post wählen:

Zur Lösung dieses Problems müssen Sie die folgenden beiden Aufgaben durchführen:

  • Kopieren oder verschieben Sie den Postprozessor in den korrekten Ordner, der in der Maschinendefinition aufgeführt ist.

  • Erzeugen Sie eine neue Steuerungsdefinition, die mit dem korrekten Postprozessor verknüpft ist.

Weitere Informationen zu...

  • Steuerungsdefinitionen und Postprozessoren


Dialogfeld „Gruppen-Maschinendefinition sichern“

Diese Meldung erscheint, wenn Sie versuchen, die Maschinendefinition einer Maschinengruppe so zu ändern, dass keine bereits erzeugte Operation ausgeführt werden kann. Dies geschieht nur dann, wenn Sie die lokale Kopie der Maschinendefinition über das unten angezeigte Dialogfeld Eigenschaften der Maschinengruppe bearbeiten:

Wenn Sie beispielsweise einen 5-Achsen-Werkzeugweg erzeugt haben; drücken Sie auf der Registerkarte Dateien des Dialogfelds Eigenschaften der Maschinengruppe die Schaltfläche Bearbeiten; löschen Sie eine der Rotationsachsen; speichern Sie dann die Maschinendefinition, Mastercam zeigt daraufhin diese Meldung an und akzeptiert keine Änderung.

Im Normalfall wird die Schaltfläche Bearbeiten für kleine job-spezifische Änderungen verwendet. Für große Änderungen, wie diejenigen, die zu dieser Meldung führen, gehen Sie in folgenden Schritten vor:

  • Bearbeiten Sie die Haupt-Kopie der Maschinendefinition, die auf der Festplatte Ihres Rechners gespeichert ist. Rufen Sie den Maschinendefinitions-Manager über das Menü Einstellungen auf und öffnen Sie die gewünschte Maschinendefinitions-Datei.

  • Bearbeiten Sie die Maschinendefinition und speichern Sie Ihre Änderungen.

  • Öffnen Sie die Registerkarte Dateien des Dialogfelds Eigenschaften der Maschinengruppe. Klicken Sie auf die Schaltfläche Ersetzen und wählen Sie eine neue Maschine, die in der Lage ist, alle Operationen in der Maschinengruppe auszuführen.

Weitere Informationen zu...

  • Ändern einer Maschinendefinition

  • Maschinendefinition – Übersicht


Registerkarte &bdquo;OP Vorschubbegrenzungen, Achsenbewegung“ (Drahten)

Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“ (Drahten)

Die allgemeinen Maschinenparameter sind globale Einstellungen für die Maschinendefinition. Definieren Sie auf dieser Registerkarte die Vorschublimits für Drahtoperationen und den maximalen Konikwinkel beim Drahten.

Vorschublimits

Diese Vorschublimits (bzw. Vorschubbegrenzungen) repräsentieren den interpolierten Vorschub, wenn in mehreren Achsen gleichzeitig verfahren wird. Mit Hilfe dieser Vorschublimits werden die Vorschubwerte auf der Draht-Parameter-Registerkarte für alle Drahtwege nach oben begrenzt, so dass keine höheren Werte eingegeben werden können.

Max. Konik beim Drahten

Geben Sie den maximalen Winkel ein, unter dem die Drahterodiermaschine den Draht neigen kann. Dieser Winkel wird zum Limitieren des Konikwinkels in einem Kontur-Drahtweg verwendet.

Weitere Informationen zu...

Allgemeine Maschinenparameter

Registerkarte „Achsenvorschubbegrenzungen“

Registerkarte „Spülbefehle“

  • Maschinendefinitions-Manager


Registerkarte &bdquo;Spülbefehle“ (Drahten)

Registerkarte „Spülbefehle“ (Drahten)

Mastercam X steigert deutlich Ihre Flexibilität bei der Erzeugung und Auswahl von Spülungsoptionen für Drahterodiermaschinen. Dabei können Sie folgende Aktionen ausführen:

  • bis zu 10 Spülungsoptionen definieren

  • jede Option einzeln und in jeder gewünschten Kombination aktivieren

  • Namen und Zustand jeder Option selbst definieren

Durch das Einstellen der Spülbefehle in der Maschinendefinition steuern Sie die Art der Starteinstellung der Spülung in einer Drahten-Operation. Anwender, die andere Maschinentypen wie Laser- oder Wasserstrahlschneidmaschinen mit Mastercam Drahten programmieren, können diese Optionen benutzen, um andere Peripheriegeräte anzusteuern. Alle definierten Optionen sind auf der Seite Spülen eines beliebigen Drahtwegs verfügbar. Zur Nutzung der Spüloptionen muss Ihr Postprozessor angepasst werden.

WICHTIG! Einen Postprozessor so anzupassen, dass er neue Kühlmitelfunktionen unterstützt, ist eine anspruchsvolle Aufgabe, die nur von erfahrenen Postprozessorautoren durchgeführt werden sollte.

Kompatibilität für Mastercam V9 Postprozessoren

Markieren Sie das Kontrollkästchen Spülung mit Postprozessorwerten verwenden, damit die Spülung so arbeitet wie in Mastercam V9. Bei dieser Einstellung kann der Postprozessor ohne Änderung mit dem Zusatztextbereich arbeiten.

Erster Spülparameter = AUS, dann alle anderen auch aus

Markieren Sie dieses Kontrollkästchen, um alle Spüloptionen mit einem einzelnen Aus-Ereignis zu steuern. Diese Option ist automatisch deaktiviert, wenn Sie die Option für die Kompatibilität mit V9 Postprozessoren gewählt haben.

Ändern der Schaltflächenbezeichnung (Text für die Selektionstaste)

Je nach Funktionsumfang Ihrer Werkzeugmaschine und wie Ihre Steuerungsdefinition und der Postprozessor eingerichtet sind, können die Spülfunktionen so konfiguriert werden, dass, neben der Spülung, auch andere Funktionen unterstützt werden. Sie können eine neue Bezeichnung für die Schaltfläche und das entsprechende Dialogfeld eingeben.

Aktivieren von Spülfunktionen

Jede Kühlmitteloption besitzt eine Ereignisbezeichnung: eine „Ereignis Ein“-Einstellung und eine „Ereignis Aus“-Einstellung. Befolgen Sie zum Aktivieren oder Deaktivieren der jeweiligen Option folgende Regeln:

Ereigniseintrag | Aktionen
““ zwei Anführungszeichen | Deaktiviert die Funktion. Die Optionen Aktivieren/Deaktivieren sind deaktiviert, wenn das Ereignis deaktiviert ist.
Leeres Ereignisfeld | Aktiviert die Funktion und fügt als Bezeichnung den werkseitig voreingstellten Text ein. Die Optionen Aktivieren/Deaktivieren können separat aktiviert werden.
Für ein Ereignis eingegebener Text | Aktiviert die Funktion und fügt den Text als Bezeichnung ein.

Weitere Informationen zu...

Allgemeine Maschinenparameter

Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

Registerkarte „Achsenvorschubbegrenzungen“

  • Maschinendefinitions-Manager

  • Dialogfeld „Kühlmittel/Spülen/Optionen“


Registerkarte &bdquo;Achsenvorschubbegrenzungen“ (Drahten)

Registerkarte „Achsenvorschubbegrenzungen“ (Drahten)

Die allgemeinen Maschinenparameter sind globale Einstellungen für die Maschinendefinition.

Stellen Sie auf dieser Registerkarte „Vorschubbegrenzungen“ (bzw. Vorschublimits) von Linearachsen für eine Drahten-Maschinendefinition ein. Diese Begrenzungen werden dann im Dialogfeld „Maschinenkomponentenmanager - ...“ für die Achsen angezeigt, wenn Sie dort auf die Schaltfläche Von der Maschine klicken. Alle Vorschübe, die Sie in einem Achsen-Eigenschaften-Dialogfeld einstellen, überschreiben die auf dieser Registerkarte eingestellten Vorschubbegrenzungen.

Rufen Sie die Seite „Vorschub“ in der Steuerungsdefinition auf, um den Vorschubtyp für die Steuerung auszuwählen.

Weitere Informationen zu...

Allgemeine Maschinenparameter

Registerkarte „OP Vorschubbegrenzungen, Achsenbewegung“

Registerkarte „Spülbefehle“

  • Maschinendefinitions-Manager


Dialogfeld &bdquo;Maschinenkomponenten – Obere Drahtführung“

Registerkarte „Parameter“ (Obere Drahtführung)

In diesem Dialogfeld definieren Sie die Eigenschaften einer Drahtführung zur Verwendung in einer Drahterodiermaschinendefinition. Die Daten aus den Drahtführungskomponenten-Eigenschaften werden vom Postprozessor und beim Berechnen des Einstellblatts verwendet. Geben Sie die folgenden Parameter für eine Drahtführung ein:

  • Bezeichnung – Durch die Bezeichnung wird die Komponente in der Maschinenkonfigurationsstruktur identifiziert.

  • Einfädelzeit – Die zum Einfädeln in der Drahterodiermaschine benötigte Zeit. Dieser Wert steht für das Einstellblatt zur Berechnung der Zykluszeiten zur Verfügung.

  • Der unteren Führung zuweisen – Markieren Sie diese Option für Maschinen, bei denen die obere und untere Drahtführung demselben Weg folgen. Markieren Sie diese Option nicht, wenn Ihre Maschine 4-Achsen-Operationen unterstützt, bei denen sich obere und untere Drahtführung unabhängig voneinander bewegen können.

Hinweis: Für die untere Drahtführung steht keine Parameter-Registerkarte zur Verfügung.

Weitere Informationen zu...

    • Maschinendefinitions-Manager


Dialogfeld „Maschinen-Achsenkombinationen“ (Drahten)

Erzeugen Sie mit Hilfe dieses Dialogfelds Achsenkombinationen für eine Drahterodiermaschine und definieren Sie hier den voreingestellten Drahtweg-Startpunkt.

Eine typische Drahten-Maschinendefinition besteht aus drei Komponentengruppen: der Maschinentischgruppe, der Gruppe der oberen Drahtführung und der Gruppe der unteren Drahtführung. Beide Drahtführungsgruppen können zwei Sätze von Linearachsen unterstützen: U und V für die obere Drahtführung und X und Y für die untere Drahtführung. Zur gemeinsamen Nutzung dieser Linearachsen müssen Sie Bestandteil derselben Achsenkombination sein.

Die voreingestellte Achsenkombination für Drahterodiermaschinen ist nachfolgend abgebildet. Diese Achsenkombination ist für die meisten Maschinendefinitionen in Drahten ohne Modifikation geeignet:

Wenn Sie mit Mastercam Drahten einen anderen als einen Drahten-Maschinentyp programmieren, können Sie eine Achsenkombination mit nur einer Drahtführungsgruppe mit zwei Achsen erstellen.

Startposition

Die Startposition stellt den voreingestellten Startpunkt für Operationen in Drahten dar. Mastercam liest diese Startposition aus der Maschinendefinition in jede Drahtoperation ein. Sie können diese Startposition in der Operation auf der Seite Startposition eines beliebigen Drahtweg-Dialogfelds überschreiben.

Optionen des Kontextmenüs

Achsen-Kombinationen

Ist eine Achsenkombination markiert, sind die nachfolgenden Funktionen verfügbar. Ist keine markiert, steht nur die Kontextmenü-Option Neue Achsenkombination zur Verfügung.

  • Neue Achsenkombination fügt eine Achsenkombination in die Liste ein.

  • Selektierte Achsenkombination löschen: Löscht die gewählte Achsenkombination aus der Liste.

  • Selektierte Achsenkombination umbenennen Ermöglicht eine Änderung der Bezeichnung einer Achsenkombination.

Verwendete Komponenten

  • Alle öffnen/Alle schließen Öffnet und schließt die Komponentengruppen in der Verzeichnisstruktur.

  • Große Icons/Kleine Icons Ändert die Größe der Komponentensymbole.

Weitere Informationen zu...

  • Erzeugen einer Achsenkombination

  • Maschinendefinitions-Manager


Konfigurieren von Rohteilmodellen für die Simulation: Beispiel

In diesem Beispiel erzeugen Sie ein Rohteilmodell für das folgende Teil. Dieses wird auf einem „Horizontal-Bearbeitungszentrum“ (HBZ bzw. HMC (engl.)) bearbeitet, so dass die Teile-Geometrie auf der Ebene Hinten, auf der Oberseite (obere Fläche) des Rohteils angezeigt wird.

Nach dem Erzeugen des Rohteilmodells verschieben Sie es auf die richtige Maschinentischposition, so dass es korrekt simuliert werden kann:

Erzeugen des Rohteilmodells

  1. Klicken Sie im Werkzeugweg-Manager auf Rohteileinstellungen.

  2. Legen Sie den Rohteilnullpunkt fest, indem Sie (in der Dialogfeldabbildung) die linke untere Ecke wählen und diese auf den Nullpunkt Ihres Teiles legen.

  3. Klicken Sie auf die Schaltfläche Eckpunkte, um den Block festzulegen (zu zeichnen).

  4. Klicken und ziehen Sie dazu ein Rechteck vom Nullpunkt zur Ecke des Teils auf. (Ziehen Sie den Mauszeiger über die Abbildung, um das zu veranschaulichen.)

Auswählen der Ecken für das Rohteilmodell

Ihr Rohteilmodell sollte wie in folgender Abbildung aussehen. Klicken Sie hier, um die Rohteilabmessungen einzublenden.

Positionieren der Rohteilkomponente

  1. Wählen Sie auf der Registerkarte Rohteileinstellungen die Option Maschinenbaum verwenden.

  2. Mastercam zeigt das Rohteilmodell als Komponente in der Maschinendefinition an. Klicken Sie doppelt darauf (oder wählen Sie die Kontextmenü-Option „Eigenschaften“), um seine Eigenschaften zu bearbeiten.

Die Geometrie-Eigenschaften werden automatisch aus den Einträgen übernommen, die Sie auf der Registerkarte Rohteileinstellungen vorgenommen haben. Wenn Sie wünschen, können Sie aber auch jeden anderen Geometrie-Typ zum Zeichnen des Modells verwenden.

  3. Klicken Sie in der Symbolleiste auf die Schaltfläche Die ganze Komponentengruppe im Grafikfenster zeigen, um eine Vorschau des Rohteilmodells einzublenden.

Mastercam zeigt das Solidmodell auf derselben Position, wie die der roten Konturen von der Registerkarte Rohteileinstellungen.

  4. Wählen Sie die Registerkarte Position/Orientierung auf der Maschine und deaktivieren Sie das Kontrollkästchen Das Rohteil wird auf der Position auf der Maschine gezeigt , um das Rohteilmodell auf eine andere Tischposition zu verschieben.

  5. Wählen Sie im Bereich Position am Rohteil (Weltkoordinaten) einen Referenzpunkt auf dem Rohteilmodell aus. In diesem Fall können Sie die Koordinaten auf (0,0,0) lassen, damit die Ecke links unten als Referenzposition verwendet wird.

  6. Stellen Sie im Bereich Position auf der Maschine (Weltkoordinaten) die Koordinaten des Referenzpunkts relativ zum Maschinen-Nullpunkt ein. Für dieses Beispiel positionieren Sie den Block 40 mm nach links (X-40), 8 mm in Richtung Tischvorderseite (Y8) und platzieren ihn auf der Tischoberfläche. Da der Maschinen-Nullpunkt 6 mm über dem Tisch liegt, müssen Sie Z-6 eingeben, um den Block auf dem Tisch selbst zu platzieren.

  7. Klicken Sie erneut auf die Schaltfläche Die ganze Komponentengruppe im Grafikfenster zeigen. Das Rohteilmodell erscheint auf der neuen Position. Die roten Linien zeigen die Original-Rohteilkonturen von der Registerkarte Rohteileinstellungen an. Bei der Werkzeugwegsimulation bearbeitet das Werkzeug das Teil in dem blauen Solid und die roten Linien sind nicht sichtbar.

Siehe auch...

  • Konfigurieren von Rohteilmodellen für die Simulation


Registerkarte &bdquo;Parameter“ (Stufenwerkzeug)

Registerkarte „Parameter“ (Stufenwerkzeug)

Stufenwerkzeuge sind Blöcke, die zur Aufnahme mehrerer Werkzeuge konstruiert wurden – sowohl fixiert als auch angetrieben – und normalerweise auf „Swiss-Typ“-Drehmaschinen (Langdrehmaschinen) verwendet werden. Sie können ein Stufenwerkzeug auch in einen Revolver einfügen, um mehrere Werkzeuge auf eine Indexposition zu legen.

  • Da Stufenwerkzeugblöcke angetriebene Werkzeuge aufnehmen können, geben Sie die minimale und maximale Spindeldrehzahl für diese Werkzeuge ein.

  • Der Neigungswinkel definiert den Winkel, unter dem der Block montiert ist. Die Werkzeuge sind so montiert, dass die Schnittfläche entweder parallel oder rechtwinklig zum Neigungswinkel ausgerichtet ist. Wenn der Stufenwerkzeugblock auf einem Revolver montiert ist, ist der Neigungswinkel für den Stufenwerkzeugblock und den Revolver normalerweise derselbe.

  • Mit Hilfe der Revolverindexposition kann Mastercam die Revolverfläche bestimmen, zu der der Stufenwerkzeugblock hinzugefügt wurde. Dieses Feld ist deaktiviert, falls die Komponentengruppe, zu der der Stufenwerkzeugblock hinzugefügt wurde, noch keine Revolverkomponente besitzt.

  • Klicken Sie auf die Schaltfläche WZ aktualisieren, um Änderungen auf Stufenwerkzeuge anzuwenden, die in vorhandenen Operationen verwendet werden.

Nachdem der Stufenwerkzeugblock definiert ist, können Sie WZ-Einheit-Komponenten erzeugen, um Mastercam darüber zu informieren, wie unterschiedliche Werkzeuge in den Block montiert werden.

Hinweis: Diese Komponente wird normalerweise nur auf Drehmaschinen oder Mill-Turn-Maschinen verwendet. Wenn Sie einen Router (Holzbearbeitungsmaschine) mit Stufenwerkzeug verwenden, sollten Sie einen Blockbohrer oder andere Aggregatbearbeitungs-Komponenten verwenden.


Positionieren von Maschinenkomponenten (Mill-Turn)

Damit die Simulations- und Synchronisierungsfunktionen korrekt arbeiten, muss Mastercam die Position aller Komponenten kennen. Diese Information besteht aus zwei Teilen:

  • Ein Basispunkt auf jeder Komponente

  • Die Position jeder Komponente in Weltkoordinaten

Auf der Registerkarte „Position/Orientierung auf der Maschine“ des Dialogfelds „Maschinenkomponentenmanager - ...“ können diese definiert werden.

Weltkoordinaten stellen einen willkürlichen Referenzrahmen dar, in dem die Werkzeugmaschine existiert. Sie werden nur beim Erstellen des Maschinenmodells verwendet. Sie bestimmen den Nullpunkt auf Basis der Koordinaten, die Sie jeder Komponente zuweisen. Die Nullpunktposition ist beliebig; wichtig dabei ist, dass die Koordinaten aller Referenzpunkte einheitlich definiert sind, so dass sich alle Komponenten auf den richtigen Positionen relativ zueinander befinden. Sie definieren Ihre Werkzeugmaschine beispielsweise so, dass (0,0,0) in Weltkoordinaten auf der vorderen linken Ecke Ihrer Werkzeugmaschinenbasis liegt, oder auf der hintersten rechten Ecke, oder entlang der Mittellinie der Spindel. Wenn Ihre gesamte Werkzeugmaschine im Maschinendefinitions-Manager in einer Vorschau angezeigt wird, können Sie sehr leicht erkennen, falls sich irgendeine Komponente an der falschen Stelle befindet.

Die Position jeder Komponente wird unabhängig von den anderen Komponenten definiert. Auch wenn Ihr Revolver beispielsweise auf der X-Achse montiert ist und zusammen mit ihr bewegt wird, ist die Position jeder Komponente relativ zum Weltkoordinaten-Nullpunkt definiert. Wenn Sie die Position der X-Achsenkomponente ändern, würde sich die Position des Revolvers nicht ändern. Sie definieren die Position des Revolvers nicht als Versatz zum X-Achsen-Nullpunkt.

Wenn eine Komponente eine programmierbare Bewegung ausführen kann, können Sie auf der Registerkarte „Parameter“ des Dialogfelds „Maschinenkomponentenmanager...“ die Startposition definieren, da es sein kann, dass diese nicht mit dem Basispunkt oder dem Verfahrlimit übereinstimmt.

Weitere Informationen zu...

  • Werkzeugwechselpositionen und Referenzpunkte

  • Dialogfeld „Maschinenreferenzpositions-Manager“ (Mill-Turn)

  • Komponentengruppen


Entwerfen von Maschinenkomponenten (Mill-Turn)

Jede Maschinenkomponente wird durch ein Solidmodell repräsentiert. Das Modell wird bei der Werkzeugwegsimulation angezeigt und Mastercam kann die Abmessungen aller Komponenten zur Kollisionskontrolle überprüfen (verify). Identifizieren Sie mit Hilfe der Registerkarte „Geometrie“ des Dialogfelds „Maschinenkomponentenmanager...“ das Solidmodell, das für jede Komponente verwendet wird.

Die Komponenten-Geometrie kann auf drei Arten definiert werden. Klicken Sie zur Anzeige von Details auf die folgenden Links.

Solidelemente

Sie können ein vorhandenes Solidelement wählen, um eine Komponente zu repräsentieren. Es können alle Solidmodellierungsmöglichkeiten von Mastercam verwendet werden, um das Modell so detailliert zu erstellen, wie Sie es wünschen. Normalerweise werden diese gezeichnet, bevor Sie mit der Arbeit im Maschinendefinitions-Manager beginnen, und sie werden in einer Mastercam-Datei gespeichert, die ein Modell der gesamten Maschine enthält, in der alle Komponenten vorhanden und relativ zueinander korrekt dimensioniert und positioniert sind.

Wählen Sie in der Liste „Geometrie“ die Option „Solid-Element“. Mastercam importiert die Größe, Position und Orientiering (Ausrichtung) jeder Komponente auf Basis der Art, wie sie in der Quelldatei skizziert ist.

Wenn Sie wollen, können Sie nach der Auswahl des Solidelements die Registerkarte „Position/Orientierung auf der Maschine“ verwenden, um es zu verschieben oder seine Orientierung zu ändern. Sie können beispielsweise seine Ebene so ändern, dass es umgedreht oder auf die Seite gedreht erscheint.

Hinweis: Mastercam speichert ein Kopie des Solidelements in der Maschinendefinitionsdatei, nachdem Sie Ihre Komponenten erzeugt haben. Nach dem Speichern der Maschinendefinition, ist die Original-Geometrie oder die Datei, durch die sie importiert wurde, nicht mehr erforderlich. Sie dürfen nur ein einzelnes Solidelement für jede Komponente wählen.

Parametrische Definition

Definieren Sie die Komponente entweder als Polygon, Block oder Zylinder, indem Sie ihre Abmessungen und Formeigenschaften direkt in das Dialogfeld eingeben. Mastercam erzeugt ein Solidelement aus diesen Daten.

Sie können wählen, ob das erzeugte Solidelement gespeichert werden soll oder nicht; Falls nicht, erzeugt Mastercam immer, wenn es erforderlich ist, auf Basis der Werte auf dieser Registerkarte, das Komponentenmodell aus den Parametern.

Wählen Sie in der Liste „Geometrie“ entweder Parametrisch (für ein Polygon), Block oder Zylinder. Verwenden Sie nach der Definition der Größe und Form der Komponente die Registerkarte „Position/Orientierung auf der Maschine“, um Mastercam darüber zu informieren, wie sie lokalisiert (positioniert) werden soll.

Wählen Sie zuerst einen Referenzpunkt auf der Komponente; geben Sie dann die Koordinaten des Referenzpunktes in Weltkoordinaten ein. Die Koordinaten aller parametrischen Komponenten liegen relativ zum Weltkoordinaten-Nullpunkt und nicht zu irgendeiner anderen Komponente oder zur Maschinenbasis.

Drahtmodell

Wenn die Komponentendatei durch eine Drahtmodellgeometrie repräsentiert wird, können Sie wählen, ob das Solidmodell durch Rotation oder Austragen einer Drahtmodellkurve oder Kette erzeugt werden soll. Sie können dann, wie bei den parametrisch definierten Komponenten, wählen, ob das resultierende Solid gespeichert werden soll oder ob es durch Mastercam nur dann erzeugt wird, wenn es erforderlich ist. Wählen Sie dazu in der Liste „Geometrie“ entweder die Option „Rotation“ oder „Austragen“.

Wie bei den Solidelementen importiert Mastercam die Position und Orientierung der Solidkomponente von der Position der Originalgeometrie. Verwenden Sie die Registerkarte „Position/Orientierung auf der Maschine“, um sie zu verschieben, ihre Orientierung zu ändern oder einen anderen Referenzpunkt zu wählen.

Für jede Komponente kann eine andere Geometrie-Erzeugungsmethode gewählt werden. Sie können beispielsweise ein detailliertes, sehr genaues Solidmodell aus Hauptkomponenten, wie einer Spindel oder einem Werkzeugrevolver erzeugen, jedoch einfache parametrische Komponenten für eine Maschinenbasis oder einen Tisch verwenden.

Klicken Sie jedesmal, wenn Sie mit Komponentengeometrie arbeiten, in der Symbolleiste auf die Schaltfläche Optionen (Grafische ... ändern), um das Dialogfeld „Optionen des Maschinendefinitionsmanagers“ aufzurufen. Verwenden Sie es zum Festlegen der Layer, auf denen die Geometrie gespeichert wird, so dass Sie Ihre Komponenten in logischen Gruppen verwalten können.


Dialogfeld &bdquo;Neuer Revolver in der Werkzeug-Einheit“

Dialogfeld „Neuer Revolver in der Werkzeug-Einheit“

Wählen Sie mit Hilfe dieses Dialogfelds einen WZ-Einheit-Typ aus. WZ-Einheiten werden verwendet, um die exakte Position und Ausrichtung (Orientierung) von Werkzeugen festzulegen, die in einem Revolver montiert werden.

Erzeugen einer speziellen WZ-Einheit – Erzeugen Sie mit Hilfe dieser Option eine spezielle WZ-Einheit, die nur für eine spezifische Revolver-Indexposition verwendet werden kann. Es erscheint ein neues Dialogfeld mit einem Satz von Parametern, deren Anzeige vom gewählten Geometrietyp abhängt.

Erzeugen einer allgemeinen WZ-Einheit – Erzeugen Sie mit Hilfe dieser Option eine allgemeine WZ-Einheit, die in jeder Revolver-Indexposition verwendet werden kann. Es erscheint ein neues Dialogfeld, in dem Sie die Parameter der allgemeinen WZ-Einheit ändern können.


Dialogfeld //&bdquo;Spindeln, Revolver, Stufenwerkzeuge“//

Dialogfeld //„Spindeln, Revolver, Stufenwerkzeuge“//

Dieses Dialogfeld erscheint, wenn Sie Werkzeuge automatisch in die Maschine laden und Mastercam nicht herausfinden kann, welcher Komponente ein bestimmtes Werkzeug hinzugefügt werden kann. Wählen Sie die richtige Werkzeughalter-Komponente aus der Liste und klicken Sie auf OK.


Registerkarte &bdquo;Parameter“ (WZ-Einheit)

Registerkarte „Parameter“ (WZ-Einheit)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Hinweis: Dieses Feature (bzw. Funktion) wird nur bei Mastercam Mill-Turn verwendet. Wenn Sie ein anderes Mastercam-Produkt verwenden, muss dieses Feature nicht verwendet werden.

Konfigurieren Sie mit Hilfe der Einstellungen in diesem Dialogfeld WZ-Einheit-Komponenten. Diese bestimmen die exakte Position und Ausrichtung (Orientierung) von Werkzeugen, die in einen Revolver oder Stufenwerkzeugblock montiert werden. Beispiel: Dasselbe Schruppwerkzeug kann derartig in die meisten Revolver montiert werden, dass es entweder parallel zu X oder Z ausgerichtet ist, für obere/untere Revolver unterschiedlich ausgerichtet ist, oder für Stirn- oder Rückseite in unterschiedliche Richtungen zeigt. Die Simulationsfunktion von Mastercam verwendet diese Einstellungen zur korrekten Anzeige und Simulation der realen Werkzeuge, die in Ihren Operationen verwendet werden.

In Mastercam können WZ-Einheit auf unterschiedliche Art verwaltet und verwendet werden.

  • Sie können WZ-Einheit für bestimmte Werkzeugtypen, wie beispielsweise angetriebene Werkzeuge, Bohrer, Querbearbeitungs- oder Stirnbearbeitungs-Werkzeuge erzeugen. Wenn Sie ein Werkzeug für eine Operation wählen, gleicht Mastercam dieses, anhand der WZ-Setupinformation (Einrichtungsdaten) und der Achsenkombination auf der Seite (bzw. Registerkarte) „Werkzeuge“, automatisch mit der richtigen WZ-Einheit ab.

  • Sie können WZ-Einheit für spezielle Revolver- oder Stufenwerkzeugpositionen erzeugen. Wenn Sie ein Werkzeug für eine Operation wählen, gleicht Mastercam dieses, anhand der Stationsnummer auf der Seite (bzw. Registerkarte) „Werkzeuge“, automatisch mit der richtigen WZ-Einheit ab.

WZ-Einheit-Komponenten werden normalerweise als untergeordnete Komponente des Revolvers oder Stufenwerkzeugblocks platziert. Einzelne Werkzeugkomponenten werden normalerweise als untergeordnete Komponente des WZ-Einheits platziert. Sie können optional wählen, ob Geometrie mit einer WZ-Einheit-Komponente assoziiert werden soll, um alle Blöcke oder Spannvorrichtungen zu repräsentieren, die zwischen dem Revolver und dem Werkzeughalter sitzen.

  • WZ-Einheit-Komponenten werden in Mastercam nur für Mill-Turn-Maschinen oder Multifunktions-Drehmaschinen verwendet.

  • Werkzeuge für Fräsmaschinen werden im Allgemeinen direkt in einer Werkzeugspindelkomponente eingestellt.

  • Router-Maschinendefinitionen verwenden Blockbohr- oder Aggregatkopf-Komponenten zum Verwalten und Positionieren komplexer Werkzeuge.

Weitere Informationen zu...

  • Tipps zum Erzeugen von Komponentengeometrie

  • Registerkarte „WZ/Materialbibliotheken“ (Allgemeine Maschinenparameter)


Starten des Maschinendefintions-Managers über die „Eigenschaften der Maschinengruppen“.


Starten des Maschinendefinitions-Managers über das Menü „Einstellungen“.


Dialogfeld &bdquo;Projektdatei-Ordner“

Dialogfeld „Projektdatei-Ordner“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Legen Sie mit dem Projektmanager die Typen der Dateien fest, die in Ihrem Projektordner gespeichert werden sollen. (Im Projektordner werden die *.MCX-Dateien des Projekts abgelegt.) Durch die Angabe dieser Dateitypen können Sie alle Projektdateien an einem einzigen Ort speichern. Neben den MCX-Dateien können Sie folgende Dateitypen in Ihrem Projektordner ablegen:

  • NC-Dateien (NC-Programmdateien)

  • NCI-Dateien

  • Werkzeugbibliotheken

  • Operationsbibliotheken

  • Operationsvoreinstellungen

  • Leistungsbibliotheken

  • Materialbibliotheken

Der Projektmanager ist nicht aktiv, wenn im Dialogfeld „Projektdatei-Ordner“ kein Dateityp ausgewählt und das Kontrollkästchen Diese Einstellungen verwenden, wenn eine neue Maschinengruppe zu dieser Teiledatei hinzugefügt wird nicht markiert ist. In diesem Fall verwendet Mastercam die Standardpfade, die auf der Registerkarte „Dateien“ des Dialogfelds „Eigenschaften der Maschinengruppe“ eingestellt sind. Um einen Dateityp in Ihren Projektordner umzuleiten, öffnen Sie den Projektmanager und wählen Sie im Bereich Dateien, die dem Projektordner zugewiesen werden den Dateityp aus. Die Einstellungen für den Projektdatei-Ordner bleiben auch zwischen den Sitzungen wirksam.

Beispiel:

Nehmen wir an, Sie haben ein Teil namens Getriebe.mcx-7. Dieses Teil besitzt einen einzelnen Fräswerkzeugweg mit den in Mastercam voreingestellten Datenpfaden. Wenn Sie dieses Teil speichern und seinen Werkzeugweg posten (und dabei sowohl eine NC- als auch eine NCI-Datei erzeugen wollen), erstellt Mastercam die folgenden Dateien in den angezeigten Verzeichnissen. (Bei den Dateipfaden wird davon ausgegangen, dass Mastercam im Standardverzeichnis installiert wurde.)

C:\Benutzer\<Benutzername>\Eigene Dokumente\my mcamx7\mcx\Gear.mcx-7

C:\Benutzer\<Benutzername>\Eigene Dokumente\my mcamx7\mill\nc\Gear.nc

C:\Benutzer\<Benutzername>\Eigene Dokumente\my mcamx7\mill\nci\Gear.nci

Nehmen wir nun an, dass Sie den Projektmanager geöffnet und im Bereich Dateien, die dem Projektordner zugewiesen werden auf die Schaltfläche Alle wählen geklickt haben. Wenn Sie den Werkzeugweg posten, erzeugt Mastercam die resultierenden Dateien so in Ihrem Projektordner (In diesem Beispiel C:\Extern), wie nachfolgend dargestellt:

C:\Extern\Getriebe.mcx-7

C:\Extern\Getriebe.nc

C:\Extern\Getriebe.nci

Tipps für die Verwendung des Projektmanagers

  • Wenn Sie im Projektmanager für vorhandene Operationen die Pfade ändern, werden bereits erzeugte Dateien nicht in das neue Verzeichnis kopiert. Die betreffenden Dateien müssen also, je nach Dateityp, entweder manuell in den Projektordner kopiert werden oder Sie müssen Ihre Operationen neu posten.

  • Wenn Sie den Projektordner für Voreinstellungsdateien, WZ-Bibliotheken, Materialbibliotheken usw. verwenden, müssen Sie darauf achten, dass sich diese Dateien auch im gewählten Projektordner befinden. Wenn beim Verschieben von Dateien in den Projektordner Fehler auftreten, kann die Warnmeldung „Datei nicht vorhanden“ erscheinen.

Weitere Informationen zu...

  • Eigenschaftenseite „Dateien“ (Systemkonfiguration)

  • Registerkarte „Dateien“ (Eigenschaften der Maschinengruppe)


Dialogfeld &bdquo;Maschinen-Kompatibilitätswarnung“

Dialogfeld „Maschinen-Kompatibilitätswarnung“

Dieses Dialogfeld erscheint, wenn Sie eine Mastercam Mehrachsen-Teile-Datei importieren, die zur geladenen Maschinendefinition inkompatibel ist. Wenn Sie beispielsweise eine 3-Achsen-Maschinendefinition in den Maschinendefinitions-Manager geladen haben und Sie versuchen, eine 5-Achsen-Operation zu importieren, wird dieses Dialogfeld aufgerufen.

Klicken Sie auf die Schaltfläche Details, um detaillierte Informationen zur Inkompatibilität zwischen Maschine und Operation aufzurufen.


Physikalische und programmierte Bewegung im Vergleich

Bei einigen Linearachsenkomponenten erfordert eine programmierte Bewegung in einem vorgegebenen Abstand, dass sich zwei Komponenten tatsächlich bewegen. Dies ist normalerweise dann der Fall, wenn eine Achsenkomponente unter einem nicht-orthogonalen Winkel auf einer anderen Komponente montiert ist. In diesem Fall ist die programmierte Bewegung in Wirklichkeit eine interpolierte Bewegung zweier Komponenten.

Das am häufigsten verwendete Beispiel dafür ist eine Y-Achsen-Komponente in einer Multifunktions-Drehmaschine, die auf einer X-Achsen-Komponente montiert ist. Da eine programmierte Y-Achsenbewegung auch eine Bewegung der X-Achsenkomponente erfordert, unterscheidet sich die programmierte Y-Achsenbewegung von der physikalischen Y-Achsenbewegung. Für diese Komponenten müssen Sie für Achsenposition, Verfahrlimits und Kippwinkel zwei Sätze von Werten eingeben. Ein Beispiel zur Erläuterung:

Betrachten wir die folgende Drehmaschine, eine Mori-Seiki NL 3000. Der markierte Ausschnitt zeigt die X-Achsen- und Y-Achsen-Komponente. Die X-Achsen-Komponente ist auf einem Schrägbett montiert. Die Y-Achsen-Komponente ist auf der X-Achsen-Komponente montiert.

Für die X-Achsenkomponente gibt es keinen Unterschied zwischen physikalischer und programmierter Bewegung. Wenn das Werkzeug in X-Richtung verfährt, bewegt sich nur die X-Achsenkomponente. Im Schema unten werden die Linearachsenparameter angezeigt.

Bei der Eingabe Ihrer X-Achsen-Einstellungen sollte die folgende Option markiert werden:

In der vorhergehenden Abbildung kann man erkennen, dass die Y-Achsenkomponente an der X-Achsenkomponente aufwärts und abwärts entlangfahren kann. Da dessen Verfahrrichtung nicht unter einem rechten Winkel zu einer der anderen Achsen liegt, bewegt sich sowohl die X- als auch die Y-Komponente, wenn eine Y-Achsen-Werkzeugbewegung programmiert ist. Beispiel: Sehen Sie sich die Positionen der X- und Y-Komponente in diesen Bildern an, wenn das Werkzeug eine minus-Y-Bewegung ausführt (Ziehen Sie den Mauszeiger über die Abbildung, um die Änderung zu sehen).

Achsenbewegung für nicht-orthogonale Achsen

Für die Y-Achsenkomponente müssen Sie dann sowohl für die physikalische als auch für die programmierte Bewegung Werte eingeben. Das Schema unten zeigt die Linearachsenparameter für die physikalische Bewegung. Für die physikalische Bewegung sollten Sie darauf achten, wie sich die Komponente tatsächlich entlang ihrer Kugelrollspindel bewegt.

Zur Eingabe der Einstellungen für die physikalische Y-Achsen-Bewegung wählen sie die folgenden Optionen:

Das folgende Schema zeigt die Linearachsenparameter für die programmierte Bewegung. Für die programmierte Bewegung sollten Sie darauf achten, wie sich das Werkzeug bewegt, wenn für diese Achse eine Linearbewegung programmiert ist. Im Allgemeinen sollten programmierte Werkzeugbewegungen in der Y-Achse rechtwinklig zur X-Achse verlaufen. Legen Sie diesem Fall die Richtung der Achse entlang der Werkzeugbewegung fest und ermitteln Sie dann die Verfahrlimits in dessen Richtung.

Zur Eingabe der Einstellungen für die programmierte Y-Achsen-Bewegung wählen sie die folgenden Optionen:


Muss ich Geometrie verbinden?

Geometrietyp | Verbinden erforderlich?
Parametrisch | Nein
Solidelement | Ja
STL-Element | Ja
Block | Nein
Zylinder | Nein
Austragen | Ja (für Drahtmodellführungsgeometrie)
Rotation | Ja (für Drahtmodellführungsgeometrie)

Klicken Sie hier, um dieses Thema auszudrucken.


Maschinenkomponenten

Dieses Maschinenmodell besitzt nur 5 Solid-Elemente. Die Basis, die X-Achse und die Y-Achse wurden durch Kombination mehrerer einfacher Solid-Elemente zusammengesetzt. Sowohl die Z-Achse als auch die Spindel wurden aus einem einfachen Drahtmodellprofil ausgetragen.

Klicken Sie hier, um dieses Thema auszudrucken.


Maschinen-Nullpunkt

Das Festlegen Ihres Maschinen-Nullpunkts auf der Vorderseite der Spindel erleichtert das Positionieren anderer programmierbarer Komponenten.

Klicken Sie hier, um dieses Thema auszudrucken.


Rotiertes Rohteil

Ziehen Sie den Mauszeiger über die Abbildung, um das rotierte Rohteilmodell einzublenden.


&bdquo;Werkzeug-Einstellungs-Manager“ (Mill-Turn)

„Werkzeug-Einstellungs-Manager“ (Mill-Turn)

Definieren Sie mit Hilfe dieses Dialogfelds die physische Ausrichtung und Positionierung von Werkzeugen, die in der aktiven Maschinengruppe verwendet werden. Über die Einstellungen dieses Dialogfelds können Sie Werkzeug-Komponenten erzeugen, indem Sie ein Fräs- oder Dreh-Werkzeug mit der Maschinenkomponenten-Information kombinieren, die zum Positionieren des Werkzeugs in der Maschine erforderlich ist.

Es stehen drei Werkzeug-Montagekomponenten zur Verfügung: WZ-Spindeln, Revolver und WZ-Einheiten. Werkzeug-Einheiten sind spezielle Komponenten zum Definieren der WZ-Position und -Ausrichtung auf einem Revolver. Das korrekte Einrichten dieser Komponenten minimiert den Bedarf, die Werkzeuge für jede Operation in die Maschine zu laden.

Klicken Sie oben auf die Registerkarte Felddefinitionen, um detaillierte Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

hinweis: Die in diesem Dialogfeld vorgenommenen Änderungen beeinflussen nur die lokale Kopie der Maschinendefinition, nicht die Hauptkopie, die auf Ihrer Festplatte gespeichert ist.

Siehe auch...

  • Maschinendefinitions-Manager

  • Auswählen eines Maschinentyps

  • Maschinenkomponenten


Dialogfeld &bdquo;Werkzeuge, die nicht in die Maschine geladen wurden“ (Mill-Turn)

Dialogfeld „Werkzeuge, die nicht in die Maschine geladen wurden“ (Mill-Turn)

Dieses Dialogfeld zeigt eine Liste mit Werkzeugen, bei denen das Laden in die Maschine fehlschlägt, nachdem Sie im Werkzeug-Einstellungs-Manager die Kontextmenü-Option (Rechtsklick) Selektierte WZge in die Maschine laden gewählt haben. Die Liste zeigt die Nummer des Werkzeugs, die Bezeichnung, die Platzierung auf der Maschine und den Grund an, warum das WZ nicht geladen werden kann.